!******************************************************************************!
!                                                                              !
!    class_couplings.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2020 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   class_couplings.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 27.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2020-07-29 18:14             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module class_couplings
  use constants_mdl
  use class_particles
  implicit none
  save
  integer, parameter :: n = 307

  logical :: couplings_init = .false.
  logical :: ctcouplings_init = .false.
  complex(dp) :: coupl(1810)
  integer, parameter :: nGC_139 = 1
  integer, parameter :: nGC_14 = 2
  integer, parameter :: nGC_13 = 3
  integer, parameter :: nGC_9 = 4
  integer, parameter :: nGC_140 = 5
  integer, parameter :: nGC_137 = 6
  integer, parameter :: nGC_50 = 7
  integer, parameter :: nGC_48 = 8
  integer, parameter :: nGC_47 = 9
  integer, parameter :: nGC_49 = 10
  integer, parameter :: nGC_7 = 11
  integer, parameter :: nGC_138 = 12
  integer, parameter :: nGC_40 = 13
  integer, parameter :: nGC_37 = 14
  integer, parameter :: nGC_16 = 15
  integer, parameter :: nGC_53 = 16
  integer, parameter :: nGC_54 = 17
  integer, parameter :: nGC_11 = 18
  integer, parameter :: nGC_12 = 19
  integer, parameter :: nGC_144 = 20
  integer, parameter :: nGC_44 = 21
  integer, parameter :: nGC_143 = 22
  integer, parameter :: nGC_42 = 23
  integer, parameter :: nGC_35 = 24
  integer, parameter :: nGC_24 = 25
  integer, parameter :: nGC_22 = 26
  integer, parameter :: nGC_23 = 27
  integer, parameter :: nGC_13352 = 28
  integer, parameter :: nGC_39 = 29
  integer, parameter :: nGC_38 = 30
  integer, parameter :: nGC_31 = 31
  integer, parameter :: nGC_43 = 32
  integer, parameter :: nGC_34 = 33
  integer, parameter :: nGC_41 = 34
  integer, parameter :: nGC_30 = 35
  integer, parameter :: nGC_68 = 36
  integer, parameter :: nGC_67 = 37
  integer, parameter :: nGC_66 = 38
  integer, parameter :: nGC_65 = 39
  integer, parameter :: nGC_36 = 40
  integer, parameter :: nGC_28 = 41
  integer, parameter :: nGC_61 = 42
  integer, parameter :: nGC_62 = 43
  integer, parameter :: nGC_25 = 44
  integer, parameter :: nGC_26 = 45
  integer, parameter :: nGC_147 = 46
  integer, parameter :: nGC_60 = 47
  integer, parameter :: nGC_146 = 48
  integer, parameter :: nGC_58 = 49
  integer, parameter :: nGC_33 = 50
  integer, parameter :: nGC_29 = 51
  integer, parameter :: nGC_59 = 52
  integer, parameter :: nGC_57 = 53
  integer, parameter :: nGC_32 = 54
  integer, parameter :: nGC_150 = 55
  integer, parameter :: nGC_149 = 56
  integer, parameter :: nGC_70 = 57
  integer, parameter :: nGC_69 = 58
  integer, parameter :: nGC_77 = 59
  integer, parameter :: nGC_78 = 60
  integer, parameter :: nGC_81 = 61
  integer, parameter :: nGC_80 = 62
  integer, parameter :: nGC_88 = 63
  integer, parameter :: nGC_89 = 64
  integer, parameter :: nGC_92 = 65
  integer, parameter :: nGC_91 = 66
  integer, parameter :: nGC_95 = 67
  integer, parameter :: nGC_94 = 68
  integer, parameter :: nGC_108 = 69
  integer, parameter :: nGC_107 = 70
  integer, parameter :: nGC_133 = 71
  integer, parameter :: nGC_132 = 72
  integer, parameter :: nGC_111 = 73
  integer, parameter :: nGC_120 = 74
  integer, parameter :: nGC_155 = 75
  integer, parameter :: nGC_169 = 76
  integer, parameter :: nGC_170 = 77
  integer, parameter :: nGC_152 = 78
  integer, parameter :: nGC_153 = 79
  integer, parameter :: nGC_174 = 80
  integer, parameter :: nGC_188 = 81
  integer, parameter :: nGC_173 = 82
  integer, parameter :: nGC_186 = 83
  integer, parameter :: nGC_184 = 84
  integer, parameter :: nGC_187 = 85
  integer, parameter :: nGC_191 = 86
  integer, parameter :: nGC_185 = 87
  integer, parameter :: nGC_192 = 88
  integer, parameter :: nGC_177 = 89
  integer, parameter :: nGC_183 = 90
  integer, parameter :: nGC_176 = 91
  integer, parameter :: nGC_181 = 92
  integer, parameter :: nGC_179 = 93
  integer, parameter :: nGC_182 = 94
  integer, parameter :: nGC_180 = 95
  integer, parameter :: nGC_189 = 96
  integer, parameter :: nGC_190 = 97
  integer, parameter :: nGC_157 = 98
  integer, parameter :: nGC_158 = 99
  integer, parameter :: nGC_161 = 100
  integer, parameter :: nGC_160 = 101
  integer, parameter :: nGC_164 = 102
  integer, parameter :: nGC_163 = 103
  integer, parameter :: nGC_167 = 104
  integer, parameter :: nGC_10 = 105
  integer, parameter :: nGC_8 = 106
  integer, parameter :: nGC_5 = 107
  integer, parameter :: nGC_3 = 108
  integer, parameter :: nGC_6 = 109
  integer, parameter :: nGC_4 = 110
  integer, parameter :: nGC_105 = 111
  integer, parameter :: nGC_104 = 112
  integer, parameter :: nGC_103 = 113
  integer, parameter :: nGC_102 = 114
  integer, parameter :: nGC_98 = 115
  integer, parameter :: nGC_97 = 116
  integer, parameter :: nGC_101 = 117
  integer, parameter :: nGC_100 = 118
  integer, parameter :: nGC_118 = 119
  integer, parameter :: nGC_117 = 120
  integer, parameter :: nGC_128 = 121
  integer, parameter :: nGC_127 = 122
  integer, parameter :: nGC_130 = 123
  integer, parameter :: nGC_131 = 124
  integer, parameter :: nGC_135 = 125
  integer, parameter :: nGC_136 = 126
  integer, parameter :: nGC_18 = 127
  integer, parameter :: nGC_21 = 128
  integer, parameter :: nGC_17 = 129
  integer, parameter :: nGC_20 = 130
  integer, parameter :: nGC_225 = 131
  integer, parameter :: nGC_201 = 132
  integer, parameter :: nGC_197 = 133
  integer, parameter :: nGC_213 = 134
  integer, parameter :: nGC_217 = 135
  integer, parameter :: nGC_193 = 136
  integer, parameter :: nGC_202 = 137
  integer, parameter :: nGC_214 = 138
  integer, parameter :: nGC_194 = 139
  integer, parameter :: nGC_203 = 140
  integer, parameter :: nGC_215 = 141
  integer, parameter :: nGC_195 = 142
  integer, parameter :: nGC_204 = 143
  integer, parameter :: nGC_216 = 144
  integer, parameter :: nGC_196 = 145
  integer, parameter :: nGC_205 = 146
  integer, parameter :: nGC_13423 = 147
  integer, parameter :: nGC_209 = 148
  integer, parameter :: nGC_13424 = 149
  integer, parameter :: nGC_221 = 150
  integer, parameter :: nGC_13425 = 151
  integer, parameter :: nGC_206 = 152
  integer, parameter :: nGC_210 = 153
  integer, parameter :: nGC_222 = 154
  integer, parameter :: nGC_207 = 155
  integer, parameter :: nGC_211 = 156
  integer, parameter :: nGC_223 = 157
  integer, parameter :: nGC_208 = 158
  integer, parameter :: nGC_212 = 159
  integer, parameter :: nGC_224 = 160
  integer, parameter :: nGC_226 = 161
  integer, parameter :: nGC_198 = 162
  integer, parameter :: nGC_218 = 163
  integer, parameter :: nGC_227 = 164
  integer, parameter :: nGC_199 = 165
  integer, parameter :: nGC_219 = 166
  integer, parameter :: nGC_228 = 167
  integer, parameter :: nGC_200 = 168
  integer, parameter :: nGC_220 = 169
  integer, parameter :: nGC_114 = 170
  integer, parameter :: nGC_110 = 171
  integer, parameter :: nGC_119 = 172
  integer, parameter :: nGC_166 = 173
  integer, parameter :: nGC_109 = 174
  integer, parameter :: nGC_112 = 175
  integer, parameter :: nGC_121 = 176
  integer, parameter :: nGC_168 = 177
  integer, parameter :: nGC_74 = 178
  integer, parameter :: nGC_106 = 179
  integer, parameter :: nGC_71 = 180
  integer, parameter :: nGC_73 = 181
  integer, parameter :: nGC_86 = 182
  integer, parameter :: nGC_82 = 183
  integer, parameter :: nGC_93 = 184
  integer, parameter :: nGC_96 = 185
  integer, parameter :: nGC_115 = 186
  integer, parameter :: nGC_162 = 187
  integer, parameter :: nGC_165 = 188
  integer, parameter :: nGC_75 = 189
  integer, parameter :: nGC_72 = 190
  integer, parameter :: nGC_84 = 191
  integer, parameter :: nGC_76 = 192
  integer, parameter :: nGC_79 = 193
  integer, parameter :: nGC_87 = 194
  integer, parameter :: nGC_90 = 195
  integer, parameter :: nGC_113 = 196
  integer, parameter :: nGC_156 = 197
  integer, parameter :: nGC_159 = 198
  integer, parameter :: nGC_134 = 199
  integer, parameter :: nGC_15 = 200
  integer, parameter :: nGC_27 = 201
  integer, parameter :: nGC_83 = 202
  integer, parameter :: nGC_154 = 203
  integer, parameter :: nGC_116 = 204
  integer, parameter :: nGC_46 = 205
  integer, parameter :: nGC_52 = 206
  integer, parameter :: nGC_55 = 207
  integer, parameter :: nGC_56 = 208
  integer, parameter :: nGC_63 = 209
  integer, parameter :: nGC_64 = 210
  integer, parameter :: nGC_171 = 211
  integer, parameter :: nGC_51 = 212
  integer, parameter :: nGC_45 = 213
  integer, parameter :: nGC_142 = 214
  integer, parameter :: nGC_141 = 215
  integer, parameter :: nGC_145 = 216
  integer, parameter :: nGC_148 = 217
  integer, parameter :: nGC_151 = 218
  integer, parameter :: nGC_175 = 219
  integer, parameter :: nGC_178 = 220
  integer, parameter :: nGC_85 = 221
  integer, parameter :: nGC_172 = 222
  integer, parameter :: nGC_2 = 223
  integer, parameter :: nGC_1 = 224
  integer, parameter :: nGC_19 = 225
  integer, parameter :: nGC_99 = 226
  integer, parameter :: nGC_123 = 227
  integer, parameter :: nGC_126 = 228
  integer, parameter :: nGC_122 = 229
  integer, parameter :: nGC_125 = 230
  integer, parameter :: nGC_129 = 231
  integer, parameter :: nGC_124 = 232
  integer, parameter :: nGC_TS_GC_36_Hl = 233
  integer, parameter :: nGC_TS_GC_36_Hh = 234
  integer, parameter :: nGC_TS_GC_33_Hl = 235
  integer, parameter :: nGC_TS_GC_33_Hh = 236
  integer, parameter :: nGC_TS_GC_29_Hl = 237
  integer, parameter :: nGC_TS_GC_29_Hh = 238
  integer, parameter :: nGC_TS_GC_32_Hl = 239
  integer, parameter :: nGC_TS_GC_32_Hh = 240
  integer, parameter :: nGC_TS_GC_184_Hl = 241
  integer, parameter :: nGC_TS_GC_191_Hl = 242
  integer, parameter :: nGC_TS_GC_192_Hl = 243
  integer, parameter :: nGC_TS_GC_192_Hh = 244
  integer, parameter :: nGC_TS_GC_179_Hh = 245
  integer, parameter :: nGC_TS_GC_189_Hl = 246
  integer, parameter :: nGC_TS_GC_189_Hh = 247
  integer, parameter :: nGC_TS_GC_190_Hh = 248
  integer, parameter :: nGC_TS_GC_203_Hl = 249
  integer, parameter :: nGC_TS_GC_215_Hl = 250
  integer, parameter :: nGC_TS_GC_195_Hl = 251
  integer, parameter :: nGC_TS_GC_204_Hh = 252
  integer, parameter :: nGC_TS_GC_216_Hh = 253
  integer, parameter :: nGC_TS_GC_196_Hh = 254
  integer, parameter :: nGC_TS_GC_207_Hl = 255
  integer, parameter :: nGC_TS_GC_211_Hl = 256
  integer, parameter :: nGC_TS_GC_223_Hl = 257
  integer, parameter :: nGC_TS_GC_35_Hh = 258
  integer, parameter :: nGC_TS_GC_208_Hh = 259
  integer, parameter :: nGC_TS_GC_212_Hh = 260
  integer, parameter :: nGC_TS_GC_224_Hh = 261
  integer, parameter :: nGC_TS_GC_227_Hl = 262
  integer, parameter :: nGC_TS_GC_199_Hl = 263
  integer, parameter :: nGC_TS_GC_219_Hl = 264
  integer, parameter :: nGC_TS_GC_228_Hh = 265
  integer, parameter :: nGC_TS_GC_200_Hh = 266
  integer, parameter :: nGC_TS_GC_220_Hh = 267
  integer, parameter :: nGC_TS_GC_110_Hl = 268
  integer, parameter :: nGC_TS_GC_119_Hh = 269
  integer, parameter :: nGC_TS_GC_101_Hl = 270
  integer, parameter :: nGC_TS_GC_118_Hh = 271
  integer, parameter :: nGC_TS_GC_100_Hl = 272
  integer, parameter :: nGC_TS_GC_117_Hh = 273
  integer, parameter :: nGC_TS_GC_82_Hl = 274
  integer, parameter :: nGC_TS_GC_93_Hl = 275
  integer, parameter :: nGC_TS_GC_93_Hh = 276
  integer, parameter :: nGC_TS_GC_96_Hh = 277
  integer, parameter :: nGC_TS_GC_162_Hl = 278
  integer, parameter :: nGC_TS_GC_165_Hh = 279
  integer, parameter :: nGC_TS_GC_31_Hl = 280
  integer, parameter :: nGC_TS_GC_34_Hl = 281
  integer, parameter :: nGC_TS_GC_130_Hl = 282
  integer, parameter :: nGC_TS_GC_135_Hh = 283
  integer, parameter :: nGC_TS_GC_15_Hl = 284
  integer, parameter :: nGC_TS_GC_27_Hh = 285
  integer, parameter :: nGC_TS_GC_145_Hl = 286
  integer, parameter :: nGC_TS_GC_148_Hl = 287
  integer, parameter :: nGC_TS_GC_148_Hh = 288
  integer, parameter :: nGC_TS_GC_151_Hh = 289
  integer, parameter :: nGC_TS_GC_175_Hl = 290
  integer, parameter :: nGC_TS_GC_178_Hh = 291
  integer, parameter :: nGC_TS_GC_30_Hh = 292
  integer, parameter :: nGC_13571 = 293
  integer, parameter :: nGC_MHL = 294
  integer, parameter :: nGC_I = 295
  integer, parameter :: nGC_13573 = 296
  integer, parameter :: nGC_MHH = 297
  integer, parameter :: nGC_MI = 298
  integer, parameter :: nGC_13575 = 299
  integer, parameter :: nGC_ME = 300
  integer, parameter :: nGC_13576 = 301
  integer, parameter :: nGC_MM = 302
  integer, parameter :: nGC_13577 = 303
  integer, parameter :: nGC_MTA = 304
  integer, parameter :: nGC_MU = 305
  integer, parameter :: nGC_MC = 306
  integer, parameter :: nGC_MT = 307
  integer, parameter :: nGC_MD = 308
  integer, parameter :: nGC_MS = 309
  integer, parameter :: nGC_MB = 310
  integer, parameter :: nGC_13590 = 311
  integer, parameter :: nGC_MZ = 312
  integer, parameter :: nGC_13591 = 313
  integer, parameter :: nGC_MW = 314
  integer, parameter :: nGC_MW_GF = 315
  integer, parameter :: nGC_MMW_GF = 316
  integer, parameter :: nGC_MZ_GF = 317
  integer, parameter :: nGC_999 = 318
  integer, parameter :: nGC_1005 = 319
  integer, parameter :: nGC_1037 = 320
  integer, parameter :: nGC_1041 = 321
  integer, parameter :: nGC_1101 = 322
  integer, parameter :: nGC_1105 = 323
  integer, parameter :: nGC_1107 = 324
  integer, parameter :: nGC_1123 = 325
  integer, parameter :: nGC_1147 = 326
  integer, parameter :: nGC_1149 = 327
  integer, parameter :: nGC_1151 = 328
  integer, parameter :: nGC_1165 = 329
  integer, parameter :: nGC_1167 = 330
  integer, parameter :: nGC_1207 = 331
  integer, parameter :: nGC_1211 = 332
  integer, parameter :: nGC_1215 = 333
  integer, parameter :: nGC_1261 = 334
  integer, parameter :: nGC_1265 = 335
  integer, parameter :: nGC_1269 = 336
  integer, parameter :: nGC_1327 = 337
  integer, parameter :: nGC_1331 = 338
  integer, parameter :: nGC_1335 = 339
  integer, parameter :: nGC_7201 = 340
  integer, parameter :: nGC_7213 = 341
  integer, parameter :: nGC_7225 = 342
  integer, parameter :: nGC_7683 = 343
  integer, parameter :: nGC_19388 = 344
  integer, parameter :: nGC_19389 = 345
  integer, parameter :: nGC_19393 = 346
  integer, parameter :: nGC_19501 = 347
  integer, parameter :: nGC_19500 = 348
  integer, parameter :: nGC_19510 = 349
  integer, parameter :: nGC_19511 = 350
  integer, parameter :: nGC_19520 = 351
  integer, parameter :: nGC_19521 = 352
  integer, parameter :: nGC_19530 = 353
  integer, parameter :: nGC_19531 = 354
  integer, parameter :: nGC_19545 = 355
  integer, parameter :: nGC_19546 = 356
  integer, parameter :: nGC_19553 = 357
  integer, parameter :: nGC_19552 = 358
  integer, parameter :: nGC_19567 = 359
  integer, parameter :: nGC_19568 = 360
  integer, parameter :: nGC_19575 = 361
  integer, parameter :: nGC_19574 = 362
  integer, parameter :: nGC_19589 = 363
  integer, parameter :: nGC_19590 = 364
  integer, parameter :: nGC_19596 = 365
  integer, parameter :: nGC_19599 = 366
  integer, parameter :: nGC_19602 = 367
  integer, parameter :: nGC_19604 = 368
  integer, parameter :: nGC_19609 = 369
  integer, parameter :: nGC_19614 = 370
  integer, parameter :: nGC_19619 = 371
  integer, parameter :: nGC_19629 = 372
  integer, parameter :: nGC_19633 = 373
  integer, parameter :: nGC_19643 = 374
  integer, parameter :: nGC_19647 = 375
  integer, parameter :: nGC_19657 = 376
  integer, parameter :: nGC_19687 = 377
  integer, parameter :: nGC_19686 = 378
  integer, parameter :: nGC_19696 = 379
  integer, parameter :: nGC_19697 = 380
  integer, parameter :: nGC_19707 = 381
  integer, parameter :: nGC_19706 = 382
  integer, parameter :: nGC_19717 = 383
  integer, parameter :: nGC_19716 = 384
  integer, parameter :: nGC_19731 = 385
  integer, parameter :: nGC_19732 = 386
  integer, parameter :: nGC_19738 = 387
  integer, parameter :: nGC_19739 = 388
  integer, parameter :: nGC_19753 = 389
  integer, parameter :: nGC_19754 = 390
  integer, parameter :: nGC_19760 = 391
  integer, parameter :: nGC_19761 = 392
  integer, parameter :: nGC_19775 = 393
  integer, parameter :: nGC_19776 = 394
  integer, parameter :: nGC_19861 = 395
  integer, parameter :: nGC_19862 = 396
  integer, parameter :: nGC_19866 = 397
  integer, parameter :: nGC_19940 = 398
  integer, parameter :: nGC_19941 = 399
  integer, parameter :: nGC_19945 = 400
  integer, parameter :: nGC_20076 = 401
  integer, parameter :: nGC_20077 = 402
  integer, parameter :: nGC_20086 = 403
  integer, parameter :: nGC_20087 = 404
  integer, parameter :: nGC_20225 = 405
  integer, parameter :: nGC_20230 = 406
  integer, parameter :: nGC_20236 = 407
  integer, parameter :: nGC_20241 = 408
  integer, parameter :: nGC_20252 = 409
  integer, parameter :: nGC_20259 = 410
  integer, parameter :: nGC_20280 = 411
  integer, parameter :: nGC_20281 = 412
  integer, parameter :: nGC_20299 = 413
  integer, parameter :: nGC_20300 = 414
  integer, parameter :: nGC_20318 = 415
  integer, parameter :: nGC_20319 = 416
  integer, parameter :: nGC_20339 = 417
  integer, parameter :: nGC_20340 = 418
  integer, parameter :: nGC_20331 = 419
  integer, parameter :: nGC_20334 = 420
  integer, parameter :: nGC_20344 = 421
  integer, parameter :: nGC_20347 = 422
  integer, parameter :: nGC_20350 = 423
  integer, parameter :: nGC_20363 = 424
  integer, parameter :: nGC_20364 = 425
  integer, parameter :: nGC_20355 = 426
  integer, parameter :: nGC_20358 = 427
  integer, parameter :: nGC_20370 = 428
  integer, parameter :: nGC_20373 = 429
  integer, parameter :: nGC_20378 = 430
  integer, parameter :: nGC_20381 = 431
  integer, parameter :: nGC_20386 = 432
  integer, parameter :: nGC_20387 = 433
  integer, parameter :: nGC_20393 = 434
  integer, parameter :: nGC_20396 = 435
  integer, parameter :: nGC_20409 = 436
  integer, parameter :: nGC_20410 = 437
  integer, parameter :: nGC_20401 = 438
  integer, parameter :: nGC_20404 = 439
  integer, parameter :: nGC_20414 = 440
  integer, parameter :: nGC_20417 = 441
  integer, parameter :: nGC_20420 = 442
  integer, parameter :: nGC_20433 = 443
  integer, parameter :: nGC_20434 = 444
  integer, parameter :: nGC_20425 = 445
  integer, parameter :: nGC_20428 = 446
  integer, parameter :: nGC_20440 = 447
  integer, parameter :: nGC_20443 = 448
  integer, parameter :: nGC_20456 = 449
  integer, parameter :: nGC_20457 = 450
  integer, parameter :: nGC_20448 = 451
  integer, parameter :: nGC_20451 = 452
  integer, parameter :: nGC_20463 = 453
  integer, parameter :: nGC_20466 = 454
  integer, parameter :: nGC_20471 = 455
  integer, parameter :: nGC_20473 = 456
  integer, parameter :: nGC_20472 = 457
  integer, parameter :: nGC_20474 = 458
  integer, parameter :: nGC_20487 = 459
  integer, parameter :: nGC_20489 = 460
  integer, parameter :: nGC_20486 = 461
  integer, parameter :: nGC_20488 = 462
  integer, parameter :: nGC_20501 = 463
  integer, parameter :: nGC_20503 = 464
  integer, parameter :: nGC_20500 = 465
  integer, parameter :: nGC_20502 = 466
  integer, parameter :: nGC_20514 = 467
  integer, parameter :: nGC_20516 = 468
  integer, parameter :: nGC_20515 = 469
  integer, parameter :: nGC_20517 = 470
  integer, parameter :: nGC_20529 = 471
  integer, parameter :: nGC_20531 = 472
  integer, parameter :: nGC_20528 = 473
  integer, parameter :: nGC_20530 = 474
  integer, parameter :: nGC_20543 = 475
  integer, parameter :: nGC_20545 = 476
  integer, parameter :: nGC_20542 = 477
  integer, parameter :: nGC_20544 = 478
  integer, parameter :: nGC_20558 = 479
  integer, parameter :: nGC_20562 = 480
  integer, parameter :: nGC_20566 = 481
  integer, parameter :: nGC_20595 = 482
  integer, parameter :: nGC_20606 = 483
  integer, parameter :: nGC_20614 = 484
  integer, parameter :: nGC_20613 = 485
  integer, parameter :: nGC_20620 = 486
  integer, parameter :: nGC_20619 = 487
  integer, parameter :: nGC_20627 = 488
  integer, parameter :: nGC_20625 = 489
  integer, parameter :: nGC_20626 = 490
  integer, parameter :: nGC_13584 = 491
  integer, parameter :: nGC_20634 = 492
  integer, parameter :: nGC_20636 = 493
  integer, parameter :: nGC_20638 = 494
  integer, parameter :: nGC_20640 = 495
  integer, parameter :: nGC_20635 = 496
  integer, parameter :: nGC_20637 = 497
  integer, parameter :: nGC_20639 = 498
  integer, parameter :: nGC_13586 = 499
  integer, parameter :: nGC_20649 = 500
  integer, parameter :: nGC_20651 = 501
  integer, parameter :: nGC_20653 = 502
  integer, parameter :: nGC_20655 = 503
  integer, parameter :: nGC_20650 = 504
  integer, parameter :: nGC_20652 = 505
  integer, parameter :: nGC_20654 = 506
  integer, parameter :: nGC_13588 = 507
  integer, parameter :: nGC_20664 = 508
  integer, parameter :: nGC_20666 = 509
  integer, parameter :: nGC_20668 = 510
  integer, parameter :: nGC_20670 = 511
  integer, parameter :: nGC_20665 = 512
  integer, parameter :: nGC_20667 = 513
  integer, parameter :: nGC_20669 = 514
  integer, parameter :: nGC_20680 = 515
  integer, parameter :: nGC_20677 = 516
  integer, parameter :: nGC_20678 = 517
  integer, parameter :: nGC_20679 = 518
  integer, parameter :: nGC_20681 = 519
  integer, parameter :: nGC_20689 = 520
  integer, parameter :: nGC_20686 = 521
  integer, parameter :: nGC_20687 = 522
  integer, parameter :: nGC_20688 = 523
  integer, parameter :: nGC_20690 = 524
  integer, parameter :: nGC_20698 = 525
  integer, parameter :: nGC_20695 = 526
  integer, parameter :: nGC_20696 = 527
  integer, parameter :: nGC_20697 = 528
  integer, parameter :: nGC_20699 = 529
  integer, parameter :: nGC_13578 = 530
  integer, parameter :: nGC_20706 = 531
  integer, parameter :: nGC_20708 = 532
  integer, parameter :: nGC_20710 = 533
  integer, parameter :: nGC_20712 = 534
  integer, parameter :: nGC_20707 = 535
  integer, parameter :: nGC_20709 = 536
  integer, parameter :: nGC_20711 = 537
  integer, parameter :: nGC_13580 = 538
  integer, parameter :: nGC_20721 = 539
  integer, parameter :: nGC_20723 = 540
  integer, parameter :: nGC_20725 = 541
  integer, parameter :: nGC_20727 = 542
  integer, parameter :: nGC_20722 = 543
  integer, parameter :: nGC_20724 = 544
  integer, parameter :: nGC_20726 = 545
  integer, parameter :: nGC_13582 = 546
  integer, parameter :: nGC_20736 = 547
  integer, parameter :: nGC_20738 = 548
  integer, parameter :: nGC_20740 = 549
  integer, parameter :: nGC_20742 = 550
  integer, parameter :: nGC_20737 = 551
  integer, parameter :: nGC_20739 = 552
  integer, parameter :: nGC_20741 = 553
  integer, parameter :: nGC_20749 = 554
  integer, parameter :: nGC_20755 = 555
  integer, parameter :: nGC_20762 = 556
  integer, parameter :: nGC_20761 = 557
  integer, parameter :: nGC_20763 = 558
  integer, parameter :: nGC_20768 = 559
  integer, parameter :: nGC_20775 = 560
  integer, parameter :: nGC_20774 = 561
  integer, parameter :: nGC_20776 = 562
  integer, parameter :: nGC_20783 = 563
  integer, parameter :: nGC_20784 = 564
  integer, parameter :: nGC_20785 = 565
  integer, parameter :: nGC_20786 = 566
  integer, parameter :: nGC_20787 = 567
  integer, parameter :: nGC_20788 = 568
  integer, parameter :: nGC_20789 = 569
  integer, parameter :: nGC_20790 = 570
  integer, parameter :: nGC_20799 = 571
  integer, parameter :: nGC_20800 = 572
  integer, parameter :: nGC_20802 = 573
  integer, parameter :: nGC_12957 = 574
  integer, parameter :: nGC_12958 = 575
  integer, parameter :: nGC_12959 = 576
  integer, parameter :: nGC_12960 = 577
  integer, parameter :: nGC_12961 = 578
  integer, parameter :: nGC_12962 = 579
  integer, parameter :: nGC_12963 = 580
  integer, parameter :: nGC_12964 = 581
  integer, parameter :: nGC_12965 = 582
  integer, parameter :: nGC_12966 = 583
  integer, parameter :: nGC_12967 = 584
  integer, parameter :: nGC_12968 = 585
  integer, parameter :: nGC_12969 = 586
  integer, parameter :: nGC_12970 = 587
  integer, parameter :: nGC_12971 = 588
  integer, parameter :: nGC_12972 = 589
  integer, parameter :: nGC_12973 = 590
  integer, parameter :: nGC_12974 = 591
  integer, parameter :: nGC_12975 = 592
  integer, parameter :: nGC_12976 = 593
  integer, parameter :: nGC_12977 = 594
  integer, parameter :: nGC_12978 = 595
  integer, parameter :: nGC_12979 = 596
  integer, parameter :: nGC_12981 = 597
  integer, parameter :: nGC_12982 = 598
  integer, parameter :: nGC_12980 = 599
  integer, parameter :: nGC_12983 = 600
  integer, parameter :: nGC_12984 = 601
  integer, parameter :: nGC_12986 = 602
  integer, parameter :: nGC_12987 = 603
  integer, parameter :: nGC_12985 = 604
  integer, parameter :: nGC_12988 = 605
  integer, parameter :: nGC_12989 = 606
  integer, parameter :: nGC_12990 = 607
  integer, parameter :: nGC_12991 = 608
  integer, parameter :: nGC_12992 = 609
  integer, parameter :: nGC_12993 = 610
  integer, parameter :: nGC_12994 = 611
  integer, parameter :: nGC_12995 = 612
  integer, parameter :: nGC_12996 = 613
  integer, parameter :: nGC_12997 = 614
  integer, parameter :: nGC_12998 = 615
  integer, parameter :: nGC_12999 = 616
  integer, parameter :: nGC_13000 = 617
  integer, parameter :: nGC_13001 = 618
  integer, parameter :: nGC_13002 = 619
  integer, parameter :: nGC_13003 = 620
  integer, parameter :: nGC_13004 = 621
  integer, parameter :: nGC_13005 = 622
  integer, parameter :: nGC_13006 = 623
  integer, parameter :: nGC_13007 = 624
  integer, parameter :: nGC_13008 = 625
  integer, parameter :: nGC_13009 = 626
  integer, parameter :: nGC_13010 = 627
  integer, parameter :: nGC_13011 = 628
  integer, parameter :: nGC_13012 = 629
  integer, parameter :: nGC_13013 = 630
  integer, parameter :: nGC_13014 = 631
  integer, parameter :: nGC_13015 = 632
  integer, parameter :: nGC_13016 = 633
  integer, parameter :: nGC_13017 = 634
  integer, parameter :: nGC_13018 = 635
  integer, parameter :: nGC_13019 = 636
  integer, parameter :: nGC_13020 = 637
  integer, parameter :: nGC_13021 = 638
  integer, parameter :: nGC_13022 = 639
  integer, parameter :: nGC_13023 = 640
  integer, parameter :: nGC_13024 = 641
  integer, parameter :: nGC_13025 = 642
  integer, parameter :: nGC_13026 = 643
  integer, parameter :: nGC_13027 = 644
  integer, parameter :: nGC_13028 = 645
  integer, parameter :: nGC_13029 = 646
  integer, parameter :: nGC_13030 = 647
  integer, parameter :: nGC_13031 = 648
  integer, parameter :: nGC_13032 = 649
  integer, parameter :: nGC_13033 = 650
  integer, parameter :: nGC_13034 = 651
  integer, parameter :: nGC_13035 = 652
  integer, parameter :: nGC_13036 = 653
  integer, parameter :: nGC_13037 = 654
  integer, parameter :: nGC_13038 = 655
  integer, parameter :: nGC_13039 = 656
  integer, parameter :: nGC_13040 = 657
  integer, parameter :: nGC_13041 = 658
  integer, parameter :: nGC_13042 = 659
  integer, parameter :: nGC_13043 = 660
  integer, parameter :: nGC_13044 = 661
  integer, parameter :: nGC_13045 = 662
  integer, parameter :: nGC_13046 = 663
  integer, parameter :: nGC_13047 = 664
  integer, parameter :: nGC_13048 = 665
  integer, parameter :: nGC_13049 = 666
  integer, parameter :: nGC_13050 = 667
  integer, parameter :: nGC_13051 = 668
  integer, parameter :: nGC_13052 = 669
  integer, parameter :: nGC_13053 = 670
  integer, parameter :: nGC_13054 = 671
  integer, parameter :: nGC_13055 = 672
  integer, parameter :: nGC_13056 = 673
  integer, parameter :: nGC_13058 = 674
  integer, parameter :: nGC_13057 = 675
  integer, parameter :: nGC_13059 = 676
  integer, parameter :: nGC_13060 = 677
  integer, parameter :: nGC_13062 = 678
  integer, parameter :: nGC_13061 = 679
  integer, parameter :: nGC_13063 = 680
  integer, parameter :: nGC_13064 = 681
  integer, parameter :: nGC_13066 = 682
  integer, parameter :: nGC_13065 = 683
  integer, parameter :: nGC_13067 = 684
  integer, parameter :: nGC_13068 = 685
  integer, parameter :: nGC_13069 = 686
  integer, parameter :: nGC_13070 = 687
  integer, parameter :: nGC_13071 = 688
  integer, parameter :: nGC_13072 = 689
  integer, parameter :: nGC_13073 = 690
  integer, parameter :: nGC_13074 = 691
  integer, parameter :: nGC_13075 = 692
  integer, parameter :: nGC_13076 = 693
  integer, parameter :: nGC_13077 = 694
  integer, parameter :: nGC_13078 = 695
  integer, parameter :: nGC_13079 = 696
  integer, parameter :: nGC_13080 = 697
  integer, parameter :: nGC_13081 = 698
  integer, parameter :: nGC_13082 = 699
  integer, parameter :: nGC_13083 = 700
  integer, parameter :: nGC_13084 = 701
  integer, parameter :: nGC_13085 = 702
  integer, parameter :: nGC_13086 = 703
  integer, parameter :: nGC_13088 = 704
  integer, parameter :: nGC_13087 = 705
  integer, parameter :: nGC_13089 = 706
  integer, parameter :: nGC_13090 = 707
  integer, parameter :: nGC_30508 = 708
  integer, parameter :: nGC_13091 = 709
  integer, parameter :: nGC_30515 = 710
  integer, parameter :: nGC_13092 = 711
  integer, parameter :: nGC_13094 = 712
  integer, parameter :: nGC_13093 = 713
  integer, parameter :: nGC_13095 = 714
  integer, parameter :: nGC_13096 = 715
  integer, parameter :: nGC_13097 = 716
  integer, parameter :: nGC_13098 = 717
  integer, parameter :: nGC_13100 = 718
  integer, parameter :: nGC_13099 = 719
  integer, parameter :: nGC_13101 = 720
  integer, parameter :: nGC_13102 = 721
  integer, parameter :: nGC_13103 = 722
  integer, parameter :: nGC_13104 = 723
  integer, parameter :: nGC_13106 = 724
  integer, parameter :: nGC_13105 = 725
  integer, parameter :: nGC_13107 = 726
  integer, parameter :: nGC_13108 = 727
  integer, parameter :: nGC_13110 = 728
  integer, parameter :: nGC_13109 = 729
  integer, parameter :: nGC_13111 = 730
  integer, parameter :: nGC_13112 = 731
  integer, parameter :: nGC_13113 = 732
  integer, parameter :: nGC_13114 = 733
  integer, parameter :: nGC_13116 = 734
  integer, parameter :: nGC_13115 = 735
  integer, parameter :: nGC_13117 = 736
  integer, parameter :: nGC_13118 = 737
  integer, parameter :: nGC_13119 = 738
  integer, parameter :: nGC_13120 = 739
  integer, parameter :: nGC_13121 = 740
  integer, parameter :: nGC_13122 = 741
  integer, parameter :: nGC_13123 = 742
  integer, parameter :: nGC_13124 = 743
  integer, parameter :: nGC_13125 = 744
  integer, parameter :: nGC_13126 = 745
  integer, parameter :: nGC_13127 = 746
  integer, parameter :: nGC_13128 = 747
  integer, parameter :: nGC_13129 = 748
  integer, parameter :: nGC_13130 = 749
  integer, parameter :: nGC_13131 = 750
  integer, parameter :: nGC_13132 = 751
  integer, parameter :: nGC_13133 = 752
  integer, parameter :: nGC_13134 = 753
  integer, parameter :: nGC_13135 = 754
  integer, parameter :: nGC_13136 = 755
  integer, parameter :: nGC_13137 = 756
  integer, parameter :: nGC_13138 = 757
  integer, parameter :: nGC_13139 = 758
  integer, parameter :: nGC_13140 = 759
  integer, parameter :: nGC_13141 = 760
  integer, parameter :: nGC_13142 = 761
  integer, parameter :: nGC_13143 = 762
  integer, parameter :: nGC_13144 = 763
  integer, parameter :: nGC_13145 = 764
  integer, parameter :: nGC_13146 = 765
  integer, parameter :: nGC_13147 = 766
  integer, parameter :: nGC_13148 = 767
  integer, parameter :: nGC_13149 = 768
  integer, parameter :: nGC_13150 = 769
  integer, parameter :: nGC_13151 = 770
  integer, parameter :: nGC_13152 = 771
  integer, parameter :: nGC_13153 = 772
  integer, parameter :: nGC_13154 = 773
  integer, parameter :: nGC_13155 = 774
  integer, parameter :: nGC_13156 = 775
  integer, parameter :: nGC_13157 = 776
  integer, parameter :: nGC_13158 = 777
  integer, parameter :: nGC_13159 = 778
  integer, parameter :: nGC_13160 = 779
  integer, parameter :: nGC_13161 = 780
  integer, parameter :: nGC_13162 = 781
  integer, parameter :: nGC_13163 = 782
  integer, parameter :: nGC_13164 = 783
  integer, parameter :: nGC_13165 = 784
  integer, parameter :: nGC_13166 = 785
  integer, parameter :: nGC_13167 = 786
  integer, parameter :: nGC_13168 = 787
  integer, parameter :: nGC_13169 = 788
  integer, parameter :: nGC_13170 = 789
  integer, parameter :: nGC_13171 = 790
  integer, parameter :: nGC_13172 = 791
  integer, parameter :: nGC_13173 = 792
  integer, parameter :: nGC_13174 = 793
  integer, parameter :: nGC_13175 = 794
  integer, parameter :: nGC_13176 = 795
  integer, parameter :: nGC_13177 = 796
  integer, parameter :: nGC_13178 = 797
  integer, parameter :: nGC_13179 = 798
  integer, parameter :: nGC_13180 = 799
  integer, parameter :: nGC_13181 = 800
  integer, parameter :: nGC_13182 = 801
  integer, parameter :: nGC_13183 = 802
  integer, parameter :: nGC_13184 = 803
  integer, parameter :: nGC_13185 = 804
  integer, parameter :: nGC_13186 = 805
  integer, parameter :: nGC_13187 = 806
  integer, parameter :: nGC_13188 = 807
  integer, parameter :: nGC_13189 = 808
  integer, parameter :: nGC_13190 = 809
  integer, parameter :: nGC_13191 = 810
  integer, parameter :: nGC_13193 = 811
  integer, parameter :: nGC_13192 = 812
  integer, parameter :: nGC_13194 = 813
  integer, parameter :: nGC_13195 = 814
  integer, parameter :: nGC_13197 = 815
  integer, parameter :: nGC_13196 = 816
  integer, parameter :: nGC_13198 = 817
  integer, parameter :: nGC_13199 = 818
  integer, parameter :: nGC_13200 = 819
  integer, parameter :: nGC_13201 = 820
  integer, parameter :: nGC_13202 = 821
  integer, parameter :: nGC_13203 = 822
  integer, parameter :: nGC_13204 = 823
  integer, parameter :: nGC_13205 = 824
  integer, parameter :: nGC_13206 = 825
  integer, parameter :: nGC_13207 = 826
  integer, parameter :: nGC_13208 = 827
  integer, parameter :: nGC_13209 = 828
  integer, parameter :: nGC_13210 = 829
  integer, parameter :: nGC_13211 = 830
  integer, parameter :: nGC_13212 = 831
  integer, parameter :: nGC_13213 = 832
  integer, parameter :: nGC_13214 = 833
  integer, parameter :: nGC_13215 = 834
  integer, parameter :: nGC_13216 = 835
  integer, parameter :: nGC_13217 = 836
  integer, parameter :: nGC_13218 = 837
  integer, parameter :: nGC_13219 = 838
  integer, parameter :: nGC_13220 = 839
  integer, parameter :: nGC_13221 = 840
  integer, parameter :: nGC_13222 = 841
  integer, parameter :: nGC_13223 = 842
  integer, parameter :: nGC_13224 = 843
  integer, parameter :: nGC_13225 = 844
  integer, parameter :: nGC_13226 = 845
  integer, parameter :: nGC_13227 = 846
  integer, parameter :: nGC_13228 = 847
  integer, parameter :: nGC_13229 = 848
  integer, parameter :: nGC_13230 = 849
  integer, parameter :: nGC_13231 = 850
  integer, parameter :: nGC_13232 = 851
  integer, parameter :: nGC_13233 = 852
  integer, parameter :: nGC_13234 = 853
  integer, parameter :: nGC_13235 = 854
  integer, parameter :: nGC_13236 = 855
  integer, parameter :: nGC_13237 = 856
  integer, parameter :: nGC_13238 = 857
  integer, parameter :: nGC_13239 = 858
  integer, parameter :: nGC_13240 = 859
  integer, parameter :: nGC_13241 = 860
  integer, parameter :: nGC_13242 = 861
  integer, parameter :: nGC_13243 = 862
  integer, parameter :: nGC_13244 = 863
  integer, parameter :: nGC_31562 = 864
  integer, parameter :: nGC_13245 = 865
  integer, parameter :: nGC_31564 = 866
  integer, parameter :: nGC_13246 = 867
  integer, parameter :: nGC_13247 = 868
  integer, parameter :: nGC_13248 = 869
  integer, parameter :: nGC_13249 = 870
  integer, parameter :: nGC_13250 = 871
  integer, parameter :: nGC_13251 = 872
  integer, parameter :: nGC_13252 = 873
  integer, parameter :: nGC_13253 = 874
  integer, parameter :: nGC_13254 = 875
  integer, parameter :: nGC_13255 = 876
  integer, parameter :: nGC_13256 = 877
  integer, parameter :: nGC_13257 = 878
  integer, parameter :: nGC_13258 = 879
  integer, parameter :: nGC_13259 = 880
  integer, parameter :: nGC_13260 = 881
  integer, parameter :: nGC_13261 = 882
  integer, parameter :: nGC_13262 = 883
  integer, parameter :: nGC_13263 = 884
  integer, parameter :: nGC_13264 = 885
  integer, parameter :: nGC_13265 = 886
  integer, parameter :: nGC_13266 = 887
  integer, parameter :: nGC_13267 = 888
  integer, parameter :: nGC_13268 = 889
  integer, parameter :: nGC_13269 = 890
  integer, parameter :: nGC_13270 = 891
  integer, parameter :: nGC_13271 = 892
  integer, parameter :: nGC_13272 = 893
  integer, parameter :: nGC_13273 = 894
  integer, parameter :: nGC_13274 = 895
  integer, parameter :: nGC_13275 = 896
  integer, parameter :: nGC_13276 = 897
  integer, parameter :: nGC_13277 = 898
  integer, parameter :: nGC_13278 = 899
  integer, parameter :: nGC_13279 = 900
  integer, parameter :: nGC_13280 = 901
  integer, parameter :: nGC_13281 = 902
  integer, parameter :: nGC_13282 = 903
  integer, parameter :: nGC_13283 = 904
  integer, parameter :: nGC_13284 = 905
  integer, parameter :: nGC_13285 = 906
  integer, parameter :: nGC_13286 = 907
  integer, parameter :: nGC_13287 = 908
  integer, parameter :: nGC_13288 = 909
  integer, parameter :: nGC_13289 = 910
  integer, parameter :: nGC_13290 = 911
  integer, parameter :: nGC_13291 = 912
  integer, parameter :: nGC_13292 = 913
  integer, parameter :: nGC_13293 = 914
  integer, parameter :: nGC_13294 = 915
  integer, parameter :: nGC_13295 = 916
  integer, parameter :: nGC_13296 = 917
  integer, parameter :: nGC_13297 = 918
  integer, parameter :: nGC_13298 = 919
  integer, parameter :: nGC_13299 = 920
  integer, parameter :: nGC_13300 = 921
  integer, parameter :: nGC_13301 = 922
  integer, parameter :: nGC_13302 = 923
  integer, parameter :: nGC_13303 = 924
  integer, parameter :: nGC_13304 = 925
  integer, parameter :: nGC_13305 = 926
  integer, parameter :: nGC_13306 = 927
  integer, parameter :: nGC_13307 = 928
  integer, parameter :: nGC_13308 = 929
  integer, parameter :: nGC_13309 = 930
  integer, parameter :: nGC_13310 = 931
  integer, parameter :: nGC_13311 = 932
  integer, parameter :: nGC_13312 = 933
  integer, parameter :: nGC_13313 = 934
  integer, parameter :: nGC_13314 = 935
  integer, parameter :: nGC_13315 = 936
  integer, parameter :: nGC_13316 = 937
  integer, parameter :: nGC_13317 = 938
  integer, parameter :: nGC_13318 = 939
  integer, parameter :: nGC_13319 = 940
  integer, parameter :: nGC_13320 = 941
  integer, parameter :: nGC_13321 = 942
  integer, parameter :: nGC_13322 = 943
  integer, parameter :: nGC_13323 = 944
  integer, parameter :: nGC_13324 = 945
  integer, parameter :: nGC_13325 = 946
  integer, parameter :: nGC_13326 = 947
  integer, parameter :: nGC_13327 = 948
  integer, parameter :: nGC_13328 = 949
  integer, parameter :: nGC_13329 = 950
  integer, parameter :: nGC_13330 = 951
  integer, parameter :: nGC_13331 = 952
  integer, parameter :: nGC_13332 = 953
  integer, parameter :: nGC_13333 = 954
  integer, parameter :: nGC_13334 = 955
  integer, parameter :: nGC_13335 = 956
  integer, parameter :: nGC_13336 = 957
  integer, parameter :: nGC_13337 = 958
  integer, parameter :: nGC_13338 = 959
  integer, parameter :: nGC_13339 = 960
  integer, parameter :: nGC_13340 = 961
  integer, parameter :: nGC_13341 = 962
  integer, parameter :: nGC_12729 = 963
  integer, parameter :: nGC_12728 = 964
  integer, parameter :: nGC_12727 = 965
  integer, parameter :: nGC_12730 = 966
  integer, parameter :: nGC_12731 = 967
  integer, parameter :: nGC_12720 = 968
  integer, parameter :: nGC_12719 = 969
  integer, parameter :: nGC_12678 = 970
  integer, parameter :: nGC_12736 = 971
  integer, parameter :: nGC_12734 = 972
  integer, parameter :: nGC_12735 = 973
  integer, parameter :: nGC_12750 = 974
  integer, parameter :: nGC_12751 = 975
  integer, parameter :: nGC_12749 = 976
  integer, parameter :: nGC_12775 = 977
  integer, parameter :: nGC_12774 = 978
  integer, parameter :: nGC_12773 = 979
  integer, parameter :: nGC_12776 = 980
  integer, parameter :: nGC_12932 = 981
  integer, parameter :: nGC_12933 = 982
  integer, parameter :: nGC_12931 = 983
  integer, parameter :: nGC_12934 = 984
  integer, parameter :: nGC_12819 = 985
  integer, parameter :: nGC_12799 = 986
  integer, parameter :: nGC_12880 = 987
  integer, parameter :: nGC_12878 = 988
  integer, parameter :: nGC_12879 = 989
  integer, parameter :: nGC_12918 = 990
  integer, parameter :: nGC_12919 = 991
  integer, parameter :: nGC_12920 = 992
  integer, parameter :: nGC_12917 = 993
  integer, parameter :: nGC_12868 = 994
  integer, parameter :: nGC_12867 = 995
  integer, parameter :: nGC_12869 = 996
  integer, parameter :: nGC_12941 = 997
  integer, parameter :: nGC_12938 = 998
  integer, parameter :: nGC_12940 = 999
  integer, parameter :: nGC_12939 = 1000
  integer, parameter :: nGC_12852 = 1001
  integer, parameter :: nGC_12853 = 1002
  integer, parameter :: nGC_12854 = 1003
  integer, parameter :: nGC_12815 = 1004
  integer, parameter :: nGC_12813 = 1005
  integer, parameter :: nGC_12814 = 1006
  integer, parameter :: nGC_12816 = 1007
  integer, parameter :: nGC_12908 = 1008
  integer, parameter :: nGC_12909 = 1009
  integer, parameter :: nGC_12907 = 1010
  integer, parameter :: nGC_12906 = 1011
  integer, parameter :: nGC_12865 = 1012
  integer, parameter :: nGC_12864 = 1013
  integer, parameter :: nGC_12866 = 1014
  integer, parameter :: nGC_12889 = 1015
  integer, parameter :: nGC_12886 = 1016
  integer, parameter :: nGC_12888 = 1017
  integer, parameter :: nGC_12887 = 1018
  integer, parameter :: nGC_12832 = 1019
  integer, parameter :: nGC_12835 = 1020
  integer, parameter :: nGC_12833 = 1021
  integer, parameter :: nGC_12834 = 1022
  integer, parameter :: nGC_12848 = 1023
  integer, parameter :: nGC_12847 = 1024
  integer, parameter :: nGC_12592 = 1025
  integer, parameter :: nGC_12590 = 1026
  integer, parameter :: nGC_12591 = 1027
  integer, parameter :: nGC_12672 = 1028
  integer, parameter :: nGC_12673 = 1029
  integer, parameter :: nGC_12671 = 1030
  integer, parameter :: nGC_12710 = 1031
  integer, parameter :: nGC_12711 = 1032
  integer, parameter :: nGC_12712 = 1033
  integer, parameter :: nGC_12821 = 1034
  integer, parameter :: nGC_12820 = 1035
  integer, parameter :: nGC_12817 = 1036
  integer, parameter :: nGC_12818 = 1037
  integer, parameter :: nGC_12670 = 1038
  integer, parameter :: nGC_12669 = 1039
  integer, parameter :: nGC_12668 = 1040
  integer, parameter :: nGC_12841 = 1041
  integer, parameter :: nGC_12842 = 1042
  integer, parameter :: nGC_12843 = 1043
  integer, parameter :: nGC_12946 = 1044
  integer, parameter :: nGC_12947 = 1045
  integer, parameter :: nGC_12948 = 1046
  integer, parameter :: nGC_12859 = 1047
  integer, parameter :: nGC_12861 = 1048
  integer, parameter :: nGC_12860 = 1049
  integer, parameter :: nGC_12534 = 1050
  integer, parameter :: nGC_12530 = 1051
  integer, parameter :: nGC_12532 = 1052
  integer, parameter :: nGC_12533 = 1053
  integer, parameter :: nGC_12531 = 1054
  integer, parameter :: nGC_12564 = 1055
  integer, parameter :: nGC_12561 = 1056
  integer, parameter :: nGC_12562 = 1057
  integer, parameter :: nGC_12563 = 1058
  integer, parameter :: nGC_12565 = 1059
  integer, parameter :: nGC_307 = 1060
  integer, parameter :: nGC_313 = 1061
  integer, parameter :: nGC_309 = 1062
  integer, parameter :: nGC_315 = 1063
  integer, parameter :: nGC_317 = 1064
  integer, parameter :: nGC_311 = 1065
  integer, parameter :: nGC_329 = 1066
  integer, parameter :: nGC_331 = 1067
  integer, parameter :: nGC_321 = 1068
  integer, parameter :: nGC_325 = 1069
  integer, parameter :: nGC_323 = 1070
  integer, parameter :: nGC_327 = 1071
  integer, parameter :: nGC_12560 = 1072
  integer, parameter :: nGC_12557 = 1073
  integer, parameter :: nGC_12558 = 1074
  integer, parameter :: nGC_12556 = 1075
  integer, parameter :: nGC_12559 = 1076
  integer, parameter :: nGC_12537 = 1077
  integer, parameter :: nGC_12538 = 1078
  integer, parameter :: nGC_12536 = 1079
  integer, parameter :: nGC_12539 = 1080
  integer, parameter :: nGC_12535 = 1081
  integer, parameter :: nGC_339 = 1082
  integer, parameter :: nGC_345 = 1083
  integer, parameter :: nGC_343 = 1084
  integer, parameter :: nGC_337 = 1085
  integer, parameter :: nGC_341 = 1086
  integer, parameter :: nGC_335 = 1087
  integer, parameter :: nGC_349 = 1088
  integer, parameter :: nGC_359 = 1089
  integer, parameter :: nGC_351 = 1090
  integer, parameter :: nGC_355 = 1091
  integer, parameter :: nGC_353 = 1092
  integer, parameter :: nGC_357 = 1093
  integer, parameter :: nGC_12926 = 1094
  integer, parameter :: nGC_12924 = 1095
  integer, parameter :: nGC_12927 = 1096
  integer, parameter :: nGC_12925 = 1097
  integer, parameter :: nGC_12955 = 1098
  integer, parameter :: nGC_12954 = 1099
  integer, parameter :: nGC_12956 = 1100
  integer, parameter :: nGC_12953 = 1101
  integer, parameter :: nGC_12501 = 1102
  integer, parameter :: nGC_12500 = 1103
  integer, parameter :: nGC_12502 = 1104
  integer, parameter :: nGC_12689 = 1105
  integer, parameter :: nGC_12645 = 1106
  integer, parameter :: nGC_12653 = 1107
  integer, parameter :: nGC_12629 = 1108
  integer, parameter :: nGC_12795 = 1109
  integer, parameter :: nGC_12796 = 1110
  integer, parameter :: nGC_12797 = 1111
  integer, parameter :: nGC_12785 = 1112
  integer, parameter :: nGC_12784 = 1113
  integer, parameter :: nGC_12786 = 1114
  integer, parameter :: nGC_12766 = 1115
  integer, parameter :: nGC_12798 = 1116
  integer, parameter :: nGC_12758 = 1117
  integer, parameter :: nGC_12584 = 1118
  integer, parameter :: nGC_12490 = 1119
  integer, parameter :: nGC_12545 = 1120
  integer, parameter :: nGC_12492 = 1121
  integer, parameter :: nGC_12491 = 1122
  integer, parameter :: nGC_12503 = 1123
  integer, parameter :: nGC_12504 = 1124
  integer, parameter :: nGC_365 = 1125
  integer, parameter :: nGC_363 = 1126
  integer, parameter :: nGC_12486 = 1127
  integer, parameter :: nGC_12485 = 1128
  integer, parameter :: nGC_12506 = 1129
  integer, parameter :: nGC_12505 = 1130
  integer, parameter :: nGC_369 = 1131
  integer, parameter :: nGC_371 = 1132
  integer, parameter :: nGC_12661 = 1133
  integer, parameter :: nGC_12875 = 1134
  integer, parameter :: nGC_12874 = 1135
  integer, parameter :: nGC_12873 = 1136
  integer, parameter :: nGC_12838 = 1137
  integer, parameter :: nGC_12836 = 1138
  integer, parameter :: nGC_12837 = 1139
  integer, parameter :: nGC_12930 = 1140
  integer, parameter :: nGC_12928 = 1141
  integer, parameter :: nGC_12929 = 1142
  integer, parameter :: nGC_12488 = 1143
  integer, parameter :: nGC_12489 = 1144
  integer, parameter :: nGC_12487 = 1145
  integer, parameter :: nGC_12732 = 1146
  integer, parameter :: nGC_12733 = 1147
  integer, parameter :: nGC_12757 = 1148
  integer, parameter :: nGC_12755 = 1149
  integer, parameter :: nGC_12756 = 1150
  integer, parameter :: nGC_12910 = 1151
  integer, parameter :: nGC_12911 = 1152
  integer, parameter :: nGC_12912 = 1153
  integer, parameter :: nGC_12593 = 1154
  integer, parameter :: nGC_12900 = 1155
  integer, parameter :: nGC_12899 = 1156
  integer, parameter :: nGC_12752 = 1157
  integer, parameter :: nGC_12753 = 1158
  integer, parameter :: nGC_12754 = 1159
  integer, parameter :: nGC_12901 = 1160
  integer, parameter :: nGC_12902 = 1161
  integer, parameter :: nGC_12903 = 1162
  integer, parameter :: nGC_12863 = 1163
  integer, parameter :: nGC_12862 = 1164
  integer, parameter :: nGC_12884 = 1165
  integer, parameter :: nGC_12885 = 1166
  integer, parameter :: nGC_12625 = 1167
  integer, parameter :: nGC_12623 = 1168
  integer, parameter :: nGC_12624 = 1169
  integer, parameter :: nGC_12598 = 1170
  integer, parameter :: nGC_12599 = 1171
  integer, parameter :: nGC_12597 = 1172
  integer, parameter :: nGC_12682 = 1173
  integer, parameter :: nGC_12684 = 1174
  integer, parameter :: nGC_12683 = 1175
  integer, parameter :: nGC_12714 = 1176
  integer, parameter :: nGC_12715 = 1177
  integer, parameter :: nGC_12713 = 1178
  integer, parameter :: nGC_12897 = 1179
  integer, parameter :: nGC_12898 = 1180
  integer, parameter :: nGC_12896 = 1181
  integer, parameter :: nGC_12944 = 1182
  integer, parameter :: nGC_12943 = 1183
  integer, parameter :: nGC_12942 = 1184
  integer, parameter :: nGC_12945 = 1185
  integer, parameter :: nGC_12497 = 1186
  integer, parameter :: nGC_12498 = 1187
  integer, parameter :: nGC_12496 = 1188
  integer, parameter :: nGC_12499 = 1189
  integer, parameter :: nGC_12674 = 1190
  integer, parameter :: nGC_12772 = 1191
  integer, parameter :: nGC_12771 = 1192
  integer, parameter :: nGC_12770 = 1193
  integer, parameter :: nGC_12781 = 1194
  integer, parameter :: nGC_12783 = 1195
  integer, parameter :: nGC_12782 = 1196
  integer, parameter :: nGC_12905 = 1197
  integer, parameter :: nGC_12904 = 1198
  integer, parameter :: nGC_12876 = 1199
  integer, parameter :: nGC_12877 = 1200
  integer, parameter :: nGC_12681 = 1201
  integer, parameter :: nGC_12679 = 1202
  integer, parameter :: nGC_12680 = 1203
  integer, parameter :: nGC_12657 = 1204
  integer, parameter :: nGC_12659 = 1205
  integer, parameter :: nGC_12658 = 1206
  integer, parameter :: nGC_12660 = 1207
  integer, parameter :: nGC_12648 = 1208
  integer, parameter :: nGC_12649 = 1209
  integer, parameter :: nGC_12647 = 1210
  integer, parameter :: nGC_12646 = 1211
  integer, parameter :: nGC_12699 = 1212
  integer, parameter :: nGC_12696 = 1213
  integer, parameter :: nGC_12697 = 1214
  integer, parameter :: nGC_12698 = 1215
  integer, parameter :: nGC_12685 = 1216
  integer, parameter :: nGC_12686 = 1217
  integer, parameter :: nGC_12688 = 1218
  integer, parameter :: nGC_12687 = 1219
  integer, parameter :: nGC_12613 = 1220
  integer, parameter :: nGC_12614 = 1221
  integer, parameter :: nGC_12615 = 1222
  integer, parameter :: nGC_12621 = 1223
  integer, parameter :: nGC_12620 = 1224
  integer, parameter :: nGC_12619 = 1225
  integer, parameter :: nGC_12738 = 1226
  integer, parameter :: nGC_12739 = 1227
  integer, parameter :: nGC_12737 = 1228
  integer, parameter :: nGC_12845 = 1229
  integer, parameter :: nGC_12844 = 1230
  integer, parameter :: nGC_12846 = 1231
  integer, parameter :: nGC_12607 = 1232
  integer, parameter :: nGC_12608 = 1233
  integer, parameter :: nGC_12606 = 1234
  integer, parameter :: nGC_12849 = 1235
  integer, parameter :: nGC_12851 = 1236
  integer, parameter :: nGC_12850 = 1237
  integer, parameter :: nGC_12870 = 1238
  integer, parameter :: nGC_12871 = 1239
  integer, parameter :: nGC_12872 = 1240
  integer, parameter :: nGC_12890 = 1241
  integer, parameter :: nGC_12891 = 1242
  integer, parameter :: nGC_12892 = 1243
  integer, parameter :: nGC_12760 = 1244
  integer, parameter :: nGC_12759 = 1245
  integer, parameter :: nGC_12761 = 1246
  integer, parameter :: nGC_12746 = 1247
  integer, parameter :: nGC_12747 = 1248
  integer, parameter :: nGC_12748 = 1249
  integer, parameter :: nGC_12792 = 1250
  integer, parameter :: nGC_12794 = 1251
  integer, parameter :: nGC_12793 = 1252
  integer, parameter :: nGC_12791 = 1253
  integer, parameter :: nGC_12829 = 1254
  integer, parameter :: nGC_12826 = 1255
  integer, parameter :: nGC_12827 = 1256
  integer, parameter :: nGC_12828 = 1257
  integer, parameter :: nGC_12856 = 1258
  integer, parameter :: nGC_12857 = 1259
  integer, parameter :: nGC_12855 = 1260
  integer, parameter :: nGC_12858 = 1261
  integer, parameter :: nGC_12541 = 1262
  integer, parameter :: nGC_12542 = 1263
  integer, parameter :: nGC_12543 = 1264
  integer, parameter :: nGC_12544 = 1265
  integer, parameter :: nGC_12540 = 1266
  integer, parameter :: nGC_12551 = 1267
  integer, parameter :: nGC_12554 = 1268
  integer, parameter :: nGC_12555 = 1269
  integer, parameter :: nGC_12552 = 1270
  integer, parameter :: nGC_12553 = 1271
  integer, parameter :: nGC_12618 = 1272
  integer, parameter :: nGC_12616 = 1273
  integer, parameter :: nGC_12617 = 1274
  integer, parameter :: nGC_12605 = 1275
  integer, parameter :: nGC_12603 = 1276
  integer, parameter :: nGC_12604 = 1277
  integer, parameter :: nGC_12612 = 1278
  integer, parameter :: nGC_12622 = 1279
  integer, parameter :: nGC_387 = 1280
  integer, parameter :: nGC_12744 = 1281
  integer, parameter :: nGC_12745 = 1282
  integer, parameter :: nGC_12588 = 1283
  integer, parameter :: nGC_12589 = 1284
  integer, parameter :: nGC_12587 = 1285
  integer, parameter :: nGC_12610 = 1286
  integer, parameter :: nGC_12609 = 1287
  integer, parameter :: nGC_12611 = 1288
  integer, parameter :: nGC_12808 = 1289
  integer, parameter :: nGC_12807 = 1290
  integer, parameter :: nGC_12806 = 1291
  integer, parameter :: nGC_12602 = 1292
  integer, parameter :: nGC_12600 = 1293
  integer, parameter :: nGC_12601 = 1294
  integer, parameter :: nGC_12633 = 1295
  integer, parameter :: nGC_12635 = 1296
  integer, parameter :: nGC_12634 = 1297
  integer, parameter :: nGC_12594 = 1298
  integer, parameter :: nGC_12595 = 1299
  integer, parameter :: nGC_12596 = 1300
  integer, parameter :: nGC_509 = 1301
  integer, parameter :: nGC_513 = 1302
  integer, parameter :: nGC_517 = 1303
  integer, parameter :: nGC_13393 = 1304
  integer, parameter :: nGC_13395 = 1305
  integer, parameter :: nGC_13394 = 1306
  integer, parameter :: nGC_13396 = 1307
  integer, parameter :: nGC_13397 = 1308
  integer, parameter :: nGC_13399 = 1309
  integer, parameter :: nGC_13398 = 1310
  integer, parameter :: nGC_13400 = 1311
  integer, parameter :: nGC_13401 = 1312
  integer, parameter :: nGC_13403 = 1313
  integer, parameter :: nGC_13402 = 1314
  integer, parameter :: nGC_13404 = 1315
  integer, parameter :: nGC_12576 = 1316
  integer, parameter :: nGC_12511 = 1317
  integer, parameter :: nGC_12571 = 1318
  integer, parameter :: nGC_12580 = 1319
  integer, parameter :: nGC_12578 = 1320
  integer, parameter :: nGC_12516 = 1321
  integer, parameter :: nGC_12522 = 1322
  integer, parameter :: nGC_12572 = 1323
  integer, parameter :: nGC_12574 = 1324
  integer, parameter :: nGC_12566 = 1325
  integer, parameter :: nGC_12577 = 1326
  integer, parameter :: nGC_12524 = 1327
  integer, parameter :: nGC_12567 = 1328
  integer, parameter :: nGC_12569 = 1329
  integer, parameter :: nGC_12582 = 1330
  integer, parameter :: nGC_12585 = 1331
  integer, parameter :: nGC_375 = 1332
  integer, parameter :: nGC_381 = 1333
  integer, parameter :: nGC_13585 = 1334
  integer, parameter :: nGC_13587 = 1335
  integer, parameter :: nGC_13589 = 1336
  integer, parameter :: nGC_13579 = 1337
  integer, parameter :: nGC_13581 = 1338
  integer, parameter :: nGC_13583 = 1339
  integer, parameter :: nGC_12581 = 1340
  integer, parameter :: nGC_12579 = 1341
  integer, parameter :: nGC_12517 = 1342
  integer, parameter :: nGC_12523 = 1343
  integer, parameter :: nGC_12573 = 1344
  integer, parameter :: nGC_12575 = 1345
  integer, parameter :: nGC_12568 = 1346
  integer, parameter :: nGC_12570 = 1347
  integer, parameter :: nGC_12583 = 1348
  integer, parameter :: nGC_12586 = 1349
  integer, parameter :: nGC_377 = 1350
  integer, parameter :: nGC_383 = 1351
  integer, parameter :: nGC_13342 = 1352
  integer, parameter :: nGC_13343 = 1353
  integer, parameter :: nGC_13344 = 1354
  integer, parameter :: nGC_13345 = 1355
  integer, parameter :: nGC_13346 = 1356
  integer, parameter :: nGC_13347 = 1357
  integer, parameter :: nGC_13348 = 1358
  integer, parameter :: nGC_13349 = 1359
  integer, parameter :: nGC_13350 = 1360
  integer, parameter :: nGC_13351 = 1361
  integer, parameter :: nGC_13353 = 1362
  integer, parameter :: nGC_13354 = 1363
  integer, parameter :: nGC_13355 = 1364
  integer, parameter :: nGC_13356 = 1365
  integer, parameter :: nGC_13357 = 1366
  integer, parameter :: nGC_13358 = 1367
  integer, parameter :: nGC_13359 = 1368
  integer, parameter :: nGC_13360 = 1369
  integer, parameter :: nGC_13361 = 1370
  integer, parameter :: nGC_13362 = 1371
  integer, parameter :: nGC_13363 = 1372
  integer, parameter :: nGC_13364 = 1373
  integer, parameter :: nGC_13365 = 1374
  integer, parameter :: nGC_13366 = 1375
  integer, parameter :: nGC_13367 = 1376
  integer, parameter :: nGC_13368 = 1377
  integer, parameter :: nGC_13369 = 1378
  integer, parameter :: nGC_13370 = 1379
  integer, parameter :: nGC_13371 = 1380
  integer, parameter :: nGC_13372 = 1381
  integer, parameter :: nGC_13373 = 1382
  integer, parameter :: nGC_13374 = 1383
  integer, parameter :: nGC_13375 = 1384
  integer, parameter :: nGC_13376 = 1385
  integer, parameter :: nGC_13377 = 1386
  integer, parameter :: nGC_13378 = 1387
  integer, parameter :: nGC_13379 = 1388
  integer, parameter :: nGC_13380 = 1389
  integer, parameter :: nGC_13381 = 1390
  integer, parameter :: nGC_13382 = 1391
  integer, parameter :: nGC_13383 = 1392
  integer, parameter :: nGC_13384 = 1393
  integer, parameter :: nGC_13385 = 1394
  integer, parameter :: nGC_13386 = 1395
  integer, parameter :: nGC_13387 = 1396
  integer, parameter :: nGC_13388 = 1397
  integer, parameter :: nGC_13389 = 1398
  integer, parameter :: nGC_13390 = 1399
  integer, parameter :: nGC_13391 = 1400
  integer, parameter :: nGC_13392 = 1401
  integer, parameter :: nGC_13426 = 1402
  integer, parameter :: nGC_13427 = 1403
  integer, parameter :: nGC_13428 = 1404
  integer, parameter :: nGC_13429 = 1405
  integer, parameter :: nGC_13430 = 1406
  integer, parameter :: nGC_13431 = 1407
  integer, parameter :: nGC_13432 = 1408
  integer, parameter :: nGC_13433 = 1409
  integer, parameter :: nGC_13434 = 1410
  integer, parameter :: nGC_13453 = 1411
  integer, parameter :: nGC_13454 = 1412
  integer, parameter :: nGC_13455 = 1413
  integer, parameter :: nGC_13456 = 1414
  integer, parameter :: nGC_13457 = 1415
  integer, parameter :: nGC_13458 = 1416
  integer, parameter :: nGC_13459 = 1417
  integer, parameter :: nGC_13460 = 1418
  integer, parameter :: nGC_13461 = 1419
  integer, parameter :: nGC_13462 = 1420
  integer, parameter :: nGC_13463 = 1421
  integer, parameter :: nGC_13464 = 1422
  integer, parameter :: nGC_13465 = 1423
  integer, parameter :: nGC_13466 = 1424
  integer, parameter :: nGC_13467 = 1425
  integer, parameter :: nGC_13468 = 1426
  integer, parameter :: nGC_13469 = 1427
  integer, parameter :: nGC_13470 = 1428
  integer, parameter :: nGC_13471 = 1429
  integer, parameter :: nGC_13472 = 1430
  integer, parameter :: nGC_13473 = 1431
  integer, parameter :: nGC_13474 = 1432
  integer, parameter :: nGC_13475 = 1433
  integer, parameter :: nGC_13476 = 1434
  integer, parameter :: nGC_13477 = 1435
  integer, parameter :: nGC_13478 = 1436
  integer, parameter :: nGC_13479 = 1437
  integer, parameter :: nGC_13480 = 1438
  integer, parameter :: nGC_13481 = 1439
  integer, parameter :: nGC_13482 = 1440
  integer, parameter :: nGC_13483 = 1441
  integer, parameter :: nGC_13484 = 1442
  integer, parameter :: nGC_13485 = 1443
  integer, parameter :: nGC_13486 = 1444
  integer, parameter :: nGC_13487 = 1445
  integer, parameter :: nGC_13488 = 1446
  integer, parameter :: nGC_13489 = 1447
  integer, parameter :: nGC_13490 = 1448
  integer, parameter :: nGC_13491 = 1449
  integer, parameter :: nGC_13492 = 1450
  integer, parameter :: nGC_13493 = 1451
  integer, parameter :: nGC_13494 = 1452
  integer, parameter :: nGC_13495 = 1453
  integer, parameter :: nGC_13496 = 1454
  integer, parameter :: nGC_13497 = 1455
  integer, parameter :: nGC_13498 = 1456
  integer, parameter :: nGC_13499 = 1457
  integer, parameter :: nGC_13500 = 1458
  integer, parameter :: nGC_13501 = 1459
  integer, parameter :: nGC_13502 = 1460
  integer, parameter :: nGC_13503 = 1461
  integer, parameter :: nGC_13504 = 1462
  integer, parameter :: nGC_13505 = 1463
  integer, parameter :: nGC_13506 = 1464
  integer, parameter :: nGC_13507 = 1465
  integer, parameter :: nGC_13508 = 1466
  integer, parameter :: nGC_13509 = 1467
  integer, parameter :: nGC_13510 = 1468
  integer, parameter :: nGC_13592 = 1469
  integer, parameter :: nGC_13593 = 1470
  integer, parameter :: nGC_13594 = 1471
  integer, parameter :: nGC_19079 = 1472
  integer, parameter :: nGC_19083 = 1473
  integer, parameter :: nGC_19105 = 1474
  integer, parameter :: nGC_19110 = 1475
  integer, parameter :: nGC_19114 = 1476
  integer, parameter :: nGC_19119 = 1477
  integer, parameter :: nGC_19126 = 1478
  integer, parameter :: nGC_19131 = 1479
  integer, parameter :: nGC_19142 = 1480
  integer, parameter :: nGC_19147 = 1481
  integer, parameter :: nGC_19151 = 1482
  integer, parameter :: nGC_19167 = 1483
  integer, parameter :: nGC_19179 = 1484
  integer, parameter :: nGC_19195 = 1485
  integer, parameter :: nGC_19200 = 1486
  integer, parameter :: nGC_19211 = 1487
  integer, parameter :: nGC_19232 = 1488
  integer, parameter :: nGC_19236 = 1489
  integer, parameter :: nGC_19262 = 1490
  integer, parameter :: nGC_19266 = 1491
  integer, parameter :: nGC_19272 = 1492
  integer, parameter :: nGC_19278 = 1493
  integer, parameter :: nGC_19294 = 1494
  integer, parameter :: nGC_19301 = 1495
  integer, parameter :: nGC_19308 = 1496
  integer, parameter :: nGC_19320 = 1497
  integer, parameter :: nGC_19330 = 1498
  integer, parameter :: nGC_19334 = 1499
  integer, parameter :: nGC_19348 = 1500
  integer, parameter :: nGC_19353 = 1501
  integer, parameter :: nGC_19364 = 1502
  integer, parameter :: nGC_19369 = 1503
  integer, parameter :: nGC_19373 = 1504
  integer, parameter :: nGC_19377 = 1505
  integer, parameter :: nGC_19381 = 1506
  integer, parameter :: nGC_19385 = 1507
  integer, parameter :: nGC_19390 = 1508
  integer, parameter :: nGC_19391 = 1509
  integer, parameter :: nGC_19392 = 1510
  integer, parameter :: nGC_19398 = 1511
  integer, parameter :: nGC_19399 = 1512
  integer, parameter :: nGC_19400 = 1513
  integer, parameter :: nGC_19401 = 1514
  integer, parameter :: nGC_19404 = 1515
  integer, parameter :: nGC_19407 = 1516
  integer, parameter :: nGC_19410 = 1517
  integer, parameter :: nGC_19413 = 1518
  integer, parameter :: nGC_19424 = 1519
  integer, parameter :: nGC_19429 = 1520
  integer, parameter :: nGC_19430 = 1521
  integer, parameter :: nGC_19433 = 1522
  integer, parameter :: nGC_19434 = 1523
  integer, parameter :: nGC_19445 = 1524
  integer, parameter :: nGC_19450 = 1525
  integer, parameter :: nGC_19451 = 1526
  integer, parameter :: nGC_19470 = 1527
  integer, parameter :: nGC_19471 = 1528
  integer, parameter :: nGC_19472 = 1529
  integer, parameter :: nGC_19473 = 1530
  integer, parameter :: nGC_19482 = 1531
  integer, parameter :: nGC_19483 = 1532
  integer, parameter :: nGC_19484 = 1533
  integer, parameter :: nGC_19485 = 1534
  integer, parameter :: nGC_19494 = 1535
  integer, parameter :: nGC_19495 = 1536
  integer, parameter :: nGC_19496 = 1537
  integer, parameter :: nGC_19497 = 1538
  integer, parameter :: nGC_13406 = 1539
  integer, parameter :: nGC_19504 = 1540
  integer, parameter :: nGC_19505 = 1541
  integer, parameter :: nGC_13405 = 1542
  integer, parameter :: nGC_19506 = 1543
  integer, parameter :: nGC_19507 = 1544
  integer, parameter :: nGC_13407 = 1545
  integer, parameter :: nGC_19514 = 1546
  integer, parameter :: nGC_19515 = 1547
  integer, parameter :: nGC_13408 = 1548
  integer, parameter :: nGC_19516 = 1549
  integer, parameter :: nGC_19517 = 1550
  integer, parameter :: nGC_13409 = 1551
  integer, parameter :: nGC_19524 = 1552
  integer, parameter :: nGC_19525 = 1553
  integer, parameter :: nGC_13410 = 1554
  integer, parameter :: nGC_19526 = 1555
  integer, parameter :: nGC_19527 = 1556
  integer, parameter :: nGC_13411 = 1557
  integer, parameter :: nGC_19536 = 1558
  integer, parameter :: nGC_13417 = 1559
  integer, parameter :: nGC_19547 = 1560
  integer, parameter :: nGC_13413 = 1561
  integer, parameter :: nGC_19560 = 1562
  integer, parameter :: nGC_13419 = 1563
  integer, parameter :: nGC_19569 = 1564
  integer, parameter :: nGC_13415 = 1565
  integer, parameter :: nGC_19582 = 1566
  integer, parameter :: nGC_13421 = 1567
  integer, parameter :: nGC_19591 = 1568
  integer, parameter :: nGC_19606 = 1569
  integer, parameter :: nGC_19607 = 1570
  integer, parameter :: nGC_19611 = 1571
  integer, parameter :: nGC_19612 = 1572
  integer, parameter :: nGC_19616 = 1573
  integer, parameter :: nGC_19617 = 1574
  integer, parameter :: nGC_19623 = 1575
  integer, parameter :: nGC_19624 = 1576
  integer, parameter :: nGC_19630 = 1577
  integer, parameter :: nGC_19631 = 1578
  integer, parameter :: nGC_19637 = 1579
  integer, parameter :: nGC_19638 = 1580
  integer, parameter :: nGC_19644 = 1581
  integer, parameter :: nGC_19645 = 1582
  integer, parameter :: nGC_19651 = 1583
  integer, parameter :: nGC_19652 = 1584
  integer, parameter :: nGC_19658 = 1585
  integer, parameter :: nGC_19659 = 1586
  integer, parameter :: nGC_13436 = 1587
  integer, parameter :: nGC_19690 = 1588
  integer, parameter :: nGC_19691 = 1589
  integer, parameter :: nGC_13435 = 1590
  integer, parameter :: nGC_19692 = 1591
  integer, parameter :: nGC_19693 = 1592
  integer, parameter :: nGC_13437 = 1593
  integer, parameter :: nGC_19700 = 1594
  integer, parameter :: nGC_19701 = 1595
  integer, parameter :: nGC_13438 = 1596
  integer, parameter :: nGC_19702 = 1597
  integer, parameter :: nGC_19703 = 1598
  integer, parameter :: nGC_13440 = 1599
  integer, parameter :: nGC_19710 = 1600
  integer, parameter :: nGC_19711 = 1601
  integer, parameter :: nGC_13439 = 1602
  integer, parameter :: nGC_19712 = 1603
  integer, parameter :: nGC_19713 = 1604
  integer, parameter :: nGC_13441 = 1605
  integer, parameter :: nGC_19724 = 1606
  integer, parameter :: nGC_13447 = 1607
  integer, parameter :: nGC_19733 = 1608
  integer, parameter :: nGC_13443 = 1609
  integer, parameter :: nGC_19744 = 1610
  integer, parameter :: nGC_13449 = 1611
  integer, parameter :: nGC_19755 = 1612
  integer, parameter :: nGC_13445 = 1613
  integer, parameter :: nGC_19766 = 1614
  integer, parameter :: nGC_13451 = 1615
  integer, parameter :: nGC_19777 = 1616
  integer, parameter :: nGC_19783 = 1617
  integer, parameter :: nGC_19787 = 1618
  integer, parameter :: nGC_19797 = 1619
  integer, parameter :: nGC_19801 = 1620
  integer, parameter :: nGC_19811 = 1621
  integer, parameter :: nGC_19815 = 1622
  integer, parameter :: nGC_19820 = 1623
  integer, parameter :: nGC_19825 = 1624
  integer, parameter :: nGC_19830 = 1625
  integer, parameter :: nGC_19835 = 1626
  integer, parameter :: nGC_19841 = 1627
  integer, parameter :: nGC_19847 = 1628
  integer, parameter :: nGC_19850 = 1629
  integer, parameter :: nGC_19854 = 1630
  integer, parameter :: nGC_19858 = 1631
  integer, parameter :: nGC_19863 = 1632
  integer, parameter :: nGC_19864 = 1633
  integer, parameter :: nGC_19865 = 1634
  integer, parameter :: nGC_19871 = 1635
  integer, parameter :: nGC_19872 = 1636
  integer, parameter :: nGC_19873 = 1637
  integer, parameter :: nGC_19874 = 1638
  integer, parameter :: nGC_19877 = 1639
  integer, parameter :: nGC_19905 = 1640
  integer, parameter :: nGC_19909 = 1641
  integer, parameter :: nGC_19942 = 1642
  integer, parameter :: nGC_19943 = 1643
  integer, parameter :: nGC_19944 = 1644
  integer, parameter :: nGC_19950 = 1645
  integer, parameter :: nGC_19951 = 1646
  integer, parameter :: nGC_19952 = 1647
  integer, parameter :: nGC_19953 = 1648
  integer, parameter :: nGC_19956 = 1649
  integer, parameter :: nGC_19959 = 1650
  integer, parameter :: nGC_19962 = 1651
  integer, parameter :: nGC_19967 = 1652
  integer, parameter :: nGC_19973 = 1653
  integer, parameter :: nGC_19978 = 1654
  integer, parameter :: nGC_19982 = 1655
  integer, parameter :: nGC_19989 = 1656
  integer, parameter :: nGC_19997 = 1657
  integer, parameter :: nGC_20003 = 1658
  integer, parameter :: nGC_20010 = 1659
  integer, parameter :: nGC_20011 = 1660
  integer, parameter :: nGC_20020 = 1661
  integer, parameter :: nGC_20021 = 1662
  integer, parameter :: nGC_20037 = 1663
  integer, parameter :: nGC_20038 = 1664
  integer, parameter :: nGC_20052 = 1665
  integer, parameter :: nGC_20067 = 1666
  integer, parameter :: nGC_20074 = 1667
  integer, parameter :: nGC_20075 = 1668
  integer, parameter :: nGC_20084 = 1669
  integer, parameter :: nGC_20085 = 1670
  integer, parameter :: nGC_20214 = 1671
  integer, parameter :: nGC_20215 = 1672
  integer, parameter :: nGC_20224 = 1673
  integer, parameter :: nGC_20229 = 1674
  integer, parameter :: nGC_20235 = 1675
  integer, parameter :: nGC_20240 = 1676
  integer, parameter :: nGC_20251 = 1677
  integer, parameter :: nGC_20258 = 1678
  integer, parameter :: nGC_20282 = 1679
  integer, parameter :: nGC_20283 = 1680
  integer, parameter :: nGC_20289 = 1681
  integer, parameter :: nGC_20290 = 1682
  integer, parameter :: nGC_20291 = 1683
  integer, parameter :: nGC_20292 = 1684
  integer, parameter :: nGC_20301 = 1685
  integer, parameter :: nGC_20302 = 1686
  integer, parameter :: nGC_20308 = 1687
  integer, parameter :: nGC_20309 = 1688
  integer, parameter :: nGC_20310 = 1689
  integer, parameter :: nGC_20311 = 1690
  integer, parameter :: nGC_20320 = 1691
  integer, parameter :: nGC_20321 = 1692
  integer, parameter :: nGC_20327 = 1693
  integer, parameter :: nGC_20328 = 1694
  integer, parameter :: nGC_20329 = 1695
  integer, parameter :: nGC_20330 = 1696
  integer, parameter :: nGC_20341 = 1697
  integer, parameter :: nGC_20342 = 1698
  integer, parameter :: nGC_20343 = 1699
  integer, parameter :: nGC_20351 = 1700
  integer, parameter :: nGC_20352 = 1701
  integer, parameter :: nGC_20353 = 1702
  integer, parameter :: nGC_20354 = 1703
  integer, parameter :: nGC_20365 = 1704
  integer, parameter :: nGC_20366 = 1705
  integer, parameter :: nGC_20374 = 1706
  integer, parameter :: nGC_20375 = 1707
  integer, parameter :: nGC_20376 = 1708
  integer, parameter :: nGC_20377 = 1709
  integer, parameter :: nGC_20388 = 1710
  integer, parameter :: nGC_20389 = 1711
  integer, parameter :: nGC_20397 = 1712
  integer, parameter :: nGC_20398 = 1713
  integer, parameter :: nGC_20399 = 1714
  integer, parameter :: nGC_20400 = 1715
  integer, parameter :: nGC_20411 = 1716
  integer, parameter :: nGC_20412 = 1717
  integer, parameter :: nGC_20413 = 1718
  integer, parameter :: nGC_20421 = 1719
  integer, parameter :: nGC_20422 = 1720
  integer, parameter :: nGC_20423 = 1721
  integer, parameter :: nGC_20424 = 1722
  integer, parameter :: nGC_20435 = 1723
  integer, parameter :: nGC_20436 = 1724
  integer, parameter :: nGC_20444 = 1725
  integer, parameter :: nGC_20445 = 1726
  integer, parameter :: nGC_20446 = 1727
  integer, parameter :: nGC_20447 = 1728
  integer, parameter :: nGC_20458 = 1729
  integer, parameter :: nGC_20459 = 1730
  integer, parameter :: nGC_20467 = 1731
  integer, parameter :: nGC_20468 = 1732
  integer, parameter :: nGC_20469 = 1733
  integer, parameter :: nGC_20470 = 1734
  integer, parameter :: nGC_20477 = 1735
  integer, parameter :: nGC_20478 = 1736
  integer, parameter :: nGC_20479 = 1737
  integer, parameter :: nGC_20492 = 1738
  integer, parameter :: nGC_20493 = 1739
  integer, parameter :: nGC_20506 = 1740
  integer, parameter :: nGC_20507 = 1741
  integer, parameter :: nGC_20520 = 1742
  integer, parameter :: nGC_20521 = 1743
  integer, parameter :: nGC_20534 = 1744
  integer, parameter :: nGC_20535 = 1745
  integer, parameter :: nGC_20548 = 1746
  integer, parameter :: nGC_20549 = 1747
  integer, parameter :: nGC_20559 = 1748
  integer, parameter :: nGC_20563 = 1749
  integer, parameter :: nGC_20567 = 1750
  integer, parameter :: nGC_20579 = 1751
  integer, parameter :: nGC_20582 = 1752
  integer, parameter :: nGC_20585 = 1753
  integer, parameter :: nGC_20594 = 1754
  integer, parameter :: nGC_20598 = 1755
  integer, parameter :: nGC_20602 = 1756
  integer, parameter :: nGC_20641 = 1757
  integer, parameter :: nGC_20642 = 1758
  integer, parameter :: nGC_20656 = 1759
  integer, parameter :: nGC_20657 = 1760
  integer, parameter :: nGC_20671 = 1761
  integer, parameter :: nGC_20672 = 1762
  integer, parameter :: nGC_20713 = 1763
  integer, parameter :: nGC_20714 = 1764
  integer, parameter :: nGC_20728 = 1765
  integer, parameter :: nGC_20729 = 1766
  integer, parameter :: nGC_20743 = 1767
  integer, parameter :: nGC_20744 = 1768
  integer, parameter :: nGC_20750 = 1769
  integer, parameter :: nGC_20756 = 1770
  integer, parameter :: nGC_20769 = 1771
  integer, parameter :: nGC_26087 = 1772
  integer, parameter :: nGC_26099 = 1773
  integer, parameter :: nGC_26115 = 1774
  integer, parameter :: nGC_13412 = 1775
  integer, parameter :: nGC_13418 = 1776
  integer, parameter :: nGC_13414 = 1777
  integer, parameter :: nGC_13420 = 1778
  integer, parameter :: nGC_13416 = 1779
  integer, parameter :: nGC_13422 = 1780
  integer, parameter :: nGC_13442 = 1781
  integer, parameter :: nGC_13448 = 1782
  integer, parameter :: nGC_13444 = 1783
  integer, parameter :: nGC_13450 = 1784
  integer, parameter :: nGC_13446 = 1785
  integer, parameter :: nGC_13452 = 1786
  integer, parameter :: nGC_19537 = 1787
  integer, parameter :: nGC_19538 = 1788
  integer, parameter :: nGC_19548 = 1789
  integer, parameter :: nGC_19549 = 1790
  integer, parameter :: nGC_19558 = 1791
  integer, parameter :: nGC_19559 = 1792
  integer, parameter :: nGC_19570 = 1793
  integer, parameter :: nGC_19571 = 1794
  integer, parameter :: nGC_19580 = 1795
  integer, parameter :: nGC_19581 = 1796
  integer, parameter :: nGC_19592 = 1797
  integer, parameter :: nGC_19593 = 1798
  integer, parameter :: nGC_19722 = 1799
  integer, parameter :: nGC_19723 = 1800
  integer, parameter :: nGC_19734 = 1801
  integer, parameter :: nGC_19735 = 1802
  integer, parameter :: nGC_19745 = 1803
  integer, parameter :: nGC_19746 = 1804
  integer, parameter :: nGC_19756 = 1805
  integer, parameter :: nGC_19757 = 1806
  integer, parameter :: nGC_19767 = 1807
  integer, parameter :: nGC_19768 = 1808
  integer, parameter :: nGC_19778 = 1809
  integer, parameter :: nGC_19779 = 1810
  contains
  function get_coupling_value_mdl(c_id) result(ret_c)
    integer, intent(in) :: c_id
    complex(dp) :: ret_c
    if (c_id .eq. 0) then
      ret_c = cnul
    else
      ret_c = coupl(c_id)
    end if
  end function get_coupling_value_mdl
end module class_couplings
