!******************************************************************************!
!                                                                              !
!    fill_couplings1.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2020 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_couplings1.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 27.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2020-07-29 18:14             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_couplings1
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_couplings_mdl1()
    coupl(nGC_139) = -cima*cw**2d0*ee**2d0/(2d0*sw**2d0) - cima*ee**2d0 - cima*&
                     ee**2d0*sw**2d0/(2d0*cw**2d0)
    coupl(nGC_14) = ee**2d0/(2d0*cw)
    coupl(nGC_13) = -ee**2d0/(2d0*cw)
    coupl(nGC_9) = -2d0*cima*ee**2d0
    coupl(nGC_140) = -cima*cw**2d0*ee**2d0/(2d0*sw**2d0) + cima*ee**2d0 - cima*&
                     ee**2d0*sw**2d0/(2d0*cw**2d0)
    coupl(nGC_137) = -cima*cw**2d0*ee**2d0/(4d0*sw**2d0) - cima*ee**2d0/2d0 -  &
                     cima*ee**2d0*sw**2d0/(4d0*cw**2d0)
    coupl(nGC_50) = cw*ee**2d0/(4d0*sw**2d0) + ee**2d0/(4d0*cw)
    coupl(nGC_48) = -cw*ee**2d0/(4d0*sw**2d0) + ee**2d0/(4d0*cw)
    coupl(nGC_47) = -cw*ee**2d0/(4d0*sw**2d0) - ee**2d0/(4d0*cw)
    coupl(nGC_49) = cw*ee**2d0/(4d0*sw**2d0) - ee**2d0/(4d0*cw)
    coupl(nGC_7) = -cima*ee**2d0
    coupl(nGC_138) = -cima*cw**2d0*ee**2d0/(4d0*sw**2d0) + cima*ee**2d0/2d0 -  &
                     cima*ee**2d0*sw**2d0/(4d0*cw**2d0)
    coupl(nGC_40) = cima*ee**2d0/(2d0*sw**2d0) - cima*l2 + cima*ee**2d0/(2d0*cw&
                    **2d0)
    coupl(nGC_37) = -cima*ee**2d0/(4d0*sw**2d0) - cima*l2 - cima*ee**2d0/(4d0* &
                    cw**2d0)
    coupl(nGC_16) = ca*cima*ee**2d0/(2d0*cw)
    coupl(nGC_53) = -ca*cima*cw*ee**2d0/(4d0*sw**2d0) + ca*cima*ee**2d0/(4d0*cw)
    coupl(nGC_54) = ca*cima*cw*ee**2d0/(4d0*sw**2d0) + ca*cima*ee**2d0/(4d0*cw)
    coupl(nGC_11) = -ca*ee**2d0/(4d0*cw**2d0)
    coupl(nGC_12) = ca*ee**2d0/(4d0*cw**2d0)
    coupl(nGC_144) = -ca**2d0*cima*cw**2d0*ee**2d0/(2d0*sw**2d0) - ca**2d0*cima&
                     *ee**2d0 - ca**2d0*cima*ee**2d0*sw**2d0/(2d0*cw**2d0)
    coupl(nGC_44) = -ca**2d0*cima*ee**2d0/(2d0*sw**2d0) - ca**2d0*cima*l2/2d0  &
                     - ca**2d0*cima*ee**2d0/(2d0*cw**2d0) - cima*l3*sa**2d0
    coupl(nGC_143) = -ca**2d0*cima*cw**2d0*ee**2d0/(4d0*sw**2d0) - ca**2d0*cima&
                     *ee**2d0/2d0 - ca**2d0*cima*ee**2d0*sw**2d0/(4d0*cw**2d0)
    coupl(nGC_42) = ca**2d0*cima*ee**2d0/(4d0*sw**2d0) - ca**2d0*cima*l2/2d0 + &
                    ca**2d0*cima*ee**2d0/(4d0*cw**2d0) - cima*l3*sa**2d0
    coupl(nGC_35) = -3d0*ca**4d0*cima*l1 - 6d0*ca**2d0*cima*l3*sa**2d0 - 3d0*  &
                    cima*l2*sa**4d0/2d0
    coupl(nGC_24) = -3d0*cima*l2/2d0
    coupl(nGC_22) = -cima*l2/2d0
    coupl(nGC_23) = -cima*l2
    coupl(nGC_39) = -cima*ee**2d0/(2d0*sw**2d0) - cima*l2/2d0
    coupl(nGC_38) = cima*ee**2d0/(4d0*sw**2d0) - cima*l2/2d0
    coupl(nGC_31) = -ca**2d0*cima*l2/2d0 - cima*l3*sa**2d0
    coupl(nGC_43) = -ca**2d0*cima*ee**2d0/(2d0*sw**2d0) - ca**2d0*cima*l2/2d0  &
                     - cima*l3*sa**2d0
    coupl(nGC_34) = -3d0*ca**4d0*cima*l2/2d0 - 6d0*ca**2d0*cima*l3*sa**2d0 -   &
                    3d0*cima*l1*sa**4d0
    coupl(nGC_41) = ca**2d0*cima*ee**2d0/(4d0*sw**2d0) - ca**2d0*cima*l2/2d0 - &
                    cima*l3*sa**2d0
    coupl(nGC_30) = -ca**2d0*cima*l3 - cima*l2*sa**2d0/2d0
    coupl(nGC_68) = -ca**2d0*cima*l3 - cima*ee**2d0*sa**2d0/(2d0*sw**2d0) -    &
                    cima*l2*sa**2d0/2d0 - cima*ee**2d0*sa**2d0/(2d0*cw**2d0)
    coupl(nGC_67) = -ca**2d0*cima*l3 - cima*ee**2d0*sa**2d0/(2d0*sw**2d0) -    &
                    cima*l2*sa**2d0/2d0
    coupl(nGC_66) = -ca**2d0*cima*l3 + cima*ee**2d0*sa**2d0/(4d0*sw**2d0) -    &
                    cima*l2*sa**2d0/2d0 + cima*ee**2d0*sa**2d0/(4d0*cw**2d0)
    coupl(nGC_65) = -ca**2d0*cima*l3 + cima*ee**2d0*sa**2d0/(4d0*sw**2d0) -    &
                    cima*l2*sa**2d0/2d0
    coupl(nGC_36) = -ca**4d0*cima*l3 - 3d0*ca**2d0*cima*l1*sa**2d0 - 3d0*ca**  &
                    2d0*cima*l2*sa**2d0/2d0 + 4d0*ca**2d0*cima*l3*sa**2d0 -    &
                    cima*l3*sa**4d0
    coupl(nGC_28) = cima*ee**2d0*sa/(2d0*cw)
    coupl(nGC_61) = -cima*cw*ee**2d0*sa/(4d0*sw**2d0) + cima*ee**2d0*sa/(4d0*cw)
    coupl(nGC_62) = cima*cw*ee**2d0*sa/(4d0*sw**2d0) + cima*ee**2d0*sa/(4d0*cw)
    coupl(nGC_25) = -ee**2d0*sa/(4d0*cw**2d0)
    coupl(nGC_26) = ee**2d0*sa/(4d0*cw**2d0)
    coupl(nGC_147) = -ca*cima*cw**2d0*ee**2d0*sa/(2d0*sw**2d0) - ca*cima*ee**  &
                     2d0*sa - ca*cima*ee**2d0*sa*sw**2d0/(2d0*cw**2d0)
    coupl(nGC_60) = -ca*cima*ee**2d0*sa/(2d0*sw**2d0) - ca*cima*l2*sa/2d0 + ca*&
                    cima*l3*sa - ca*cima*ee**2d0*sa/(2d0*cw**2d0)
    coupl(nGC_146) = -ca*cima*cw**2d0*ee**2d0*sa/(4d0*sw**2d0) - ca*cima*ee**  &
                     2d0*sa/2d0 - ca*cima*ee**2d0*sa*sw**2d0/(4d0*cw**2d0)
    coupl(nGC_58) = ca*cima*ee**2d0*sa/(4d0*sw**2d0) - ca*cima*l2*sa/2d0 + ca* &
                    cima*l3*sa + ca*cima*ee**2d0*sa/(4d0*cw**2d0)
    coupl(nGC_33) = 3d0*ca**3d0*cima*l1*sa - 3d0*ca**3d0*cima*l3*sa - 3d0*ca*  &
                    cima*l2*sa**3d0/2d0 + 3d0*ca*cima*l3*sa**3d0
    coupl(nGC_29) = -ca*cima*l2*sa/2d0 + ca*cima*l3*sa
    coupl(nGC_59) = -ca*cima*ee**2d0*sa/(2d0*sw**2d0) - ca*cima*l2*sa/2d0 + ca*&
                    cima*l3*sa
    coupl(nGC_57) = ca*cima*ee**2d0*sa/(4d0*sw**2d0) - ca*cima*l2*sa/2d0 + ca* &
                    cima*l3*sa
    coupl(nGC_32) = -3d0*ca**3d0*cima*l2*sa/2d0 + 3d0*ca**3d0*cima*l3*sa + 3d0*&
                    ca*cima*l1*sa**3d0 - 3d0*ca*cima*l3*sa**3d0
    coupl(nGC_150) = -cima*cw**2d0*ee**2d0*sa**2d0/(2d0*sw**2d0) - cima*ee**2d0&
                     *sa**2d0 - cima*ee**2d0*sa**2d0*sw**2d0/(2d0*cw**2d0)
    coupl(nGC_149) = -cima*cw**2d0*ee**2d0*sa**2d0/(4d0*sw**2d0) - cima*ee**2d0&
                     *sa**2d0/2d0 - cima*ee**2d0*sa**2d0*sw**2d0/(4d0*cw**2d0)
    coupl(nGC_70) = -cima*ee**2d0/(2d0*sw**2d0)
    coupl(nGC_69) = -cima*ee**2d0/(4d0*sw**2d0)
    coupl(nGC_77) = -ca*ee**2d0/(4d0*sw**2d0)
    coupl(nGC_78) = ca*ee**2d0/(4d0*sw**2d0)
    coupl(nGC_81) = -ca**2d0*cima*ee**2d0/(2d0*sw**2d0)
    coupl(nGC_80) = -ca**2d0*cima*ee**2d0/(4d0*sw**2d0)
    coupl(nGC_88) = -ee**2d0*sa/(4d0*sw**2d0)
    coupl(nGC_89) = ee**2d0*sa/(4d0*sw**2d0)
    coupl(nGC_92) = -ca*cima*ee**2d0*sa/(2d0*sw**2d0)
    coupl(nGC_91) = -ca*cima*ee**2d0*sa/(4d0*sw**2d0)
    coupl(nGC_95) = -cima*ee**2d0*sa**2d0/(2d0*sw**2d0)
    coupl(nGC_94) = -cima*ee**2d0*sa**2d0/(4d0*sw**2d0)
    coupl(nGC_108) = ee**2d0/(2d0*sw)
    coupl(nGC_107) = -ee**2d0/(2d0*sw)
    coupl(nGC_133) = cima*cw*ee**2d0/sw - cima*ee**2d0*sw/cw
    coupl(nGC_132) = cima*cw*ee**2d0/(2d0*sw) - cima*ee**2d0*sw/(2d0*cw)
    coupl(nGC_111) = ca*cima*ee**2d0/(2d0*sw)
    coupl(nGC_120) = cima*ee**2d0*sa/(2d0*sw)
    coupl(nGC_155) = cima*ee**2d0*vev/(2d0*cw)
    coupl(nGC_169) = -cima*cw*ee**2d0*vev/(4d0*sw**2d0) + cima*ee**2d0*vev/(4d0&
                     *cw)
    coupl(nGC_170) = cima*cw*ee**2d0*vev/(4d0*sw**2d0) + cima*ee**2d0*vev/(4d0*&
                     cw)
    coupl(nGC_152) = -ee**2d0*vev/(4d0*cw**2d0)
    coupl(nGC_153) = ee**2d0*vev/(4d0*cw**2d0)
    coupl(nGC_174) = -ca*cima*cw**2d0*ee**2d0*vev/(2d0*sw**2d0) - ca*cima*ee** &
                     2d0*vev - ca*cima*ee**2d0*sw**2d0*vev/(2d0*cw**2d0)
    coupl(nGC_188) = -ca*cima*ee**2d0*vev/(2d0*sw**2d0) - ca*cima*l2*vev/2d0 - &
                     ca*cima*ee**2d0*vev/(2d0*cw**2d0) + cima*l3*sa*vevs
    coupl(nGC_173) = -ca*cima*cw**2d0*ee**2d0*vev/(4d0*sw**2d0) - ca*cima*ee** &
                     2d0*vev/2d0 - ca*cima*ee**2d0*sw**2d0*vev/(4d0*cw**2d0)
    coupl(nGC_186) = ca*cima*ee**2d0*vev/(4d0*sw**2d0) - ca*cima*l2*vev/2d0 +  &
                     ca*cima*ee**2d0*vev/(4d0*cw**2d0) + cima*l3*sa*vevs
    coupl(nGC_184) = -ca*cima*l2*vev/2d0 + cima*l3*sa*vevs
    coupl(nGC_187) = -ca*cima*ee**2d0*vev/(2d0*sw**2d0) - ca*cima*l2*vev/2d0 + &
                     cima*l3*sa*vevs
    coupl(nGC_191) = -3d0*ca**3d0*cima*l2*vev/2d0 + 3d0*ca**2d0*cima*l3*sa*vevs&
                      - 3d0*ca*cima*l3*sa**2d0*vev + 3d0*cima*l1*sa**3d0*vevs
    coupl(nGC_185) = ca*cima*ee**2d0*vev/(4d0*sw**2d0) - ca*cima*l2*vev/2d0 +  &
                     cima*l3*sa*vevs
    coupl(nGC_192) = -ca**3d0*cima*l3*vev + 3d0*ca**2d0*cima*l1*sa*vevs - 2d0* &
                     ca**2d0*cima*l3*sa*vevs - 3d0*ca*cima*l2*sa**2d0*vev/2d0  &
                      + 2d0*ca*cima*l3*sa**2d0*vev + cima*l3*sa**3d0*vevs
    coupl(nGC_177) = -cima*cw**2d0*ee**2d0*sa*vev/(2d0*sw**2d0) - cima*ee**2d0*&
                     sa*vev - cima*ee**2d0*sa*sw**2d0*vev/(2d0*cw**2d0)
    coupl(nGC_183) = -ca*cima*l3*vevs - cima*ee**2d0*sa*vev/(2d0*sw**2d0) -    &
                     cima*l2*sa*vev/2d0 - cima*ee**2d0*sa*vev/(2d0*cw**2d0)
    coupl(nGC_176) = -cima*cw**2d0*ee**2d0*sa*vev/(4d0*sw**2d0) - cima*ee**2d0*&
                     sa*vev/2d0 - cima*ee**2d0*sa*sw**2d0*vev/(4d0*cw**2d0)
    coupl(nGC_181) = -ca*cima*l3*vevs + cima*ee**2d0*sa*vev/(4d0*sw**2d0) -    &
                     cima*l2*sa*vev/2d0 + cima*ee**2d0*sa*vev/(4d0*cw**2d0)
    coupl(nGC_179) = -ca*cima*l3*vevs - cima*l2*sa*vev/2d0
    coupl(nGC_182) = -ca*cima*l3*vevs - cima*ee**2d0*sa*vev/(2d0*sw**2d0) -    &
                     cima*l2*sa*vev/2d0
    coupl(nGC_180) = -ca*cima*l3*vevs + cima*ee**2d0*sa*vev/(4d0*sw**2d0) -    &
                     cima*l2*sa*vev/2d0
    coupl(nGC_189) = -ca**3d0*cima*l3*vevs - 3d0*ca**2d0*cima*l2*sa*vev/2d0 +  &
                     2d0*ca**2d0*cima*l3*sa*vev - 3d0*ca*cima*l1*sa**2d0*vevs  &
                      + 2d0*ca*cima*l3*sa**2d0*vevs - cima*l3*sa**3d0*vev
    coupl(nGC_190) = -3d0*ca**3d0*cima*l1*vevs - 3d0*ca**2d0*cima*l3*sa*vev -  &
                     3d0*ca*cima*l3*sa**2d0*vevs - 3d0*cima*l2*sa**3d0*vev/2d0
    coupl(nGC_157) = -ee**2d0*vev/(4d0*sw**2d0)
    coupl(nGC_158) = ee**2d0*vev/(4d0*sw**2d0)
    coupl(nGC_161) = -ca*cima*ee**2d0*vev/(2d0*sw**2d0)
    coupl(nGC_160) = -ca*cima*ee**2d0*vev/(4d0*sw**2d0)
    coupl(nGC_164) = -cima*ee**2d0*sa*vev/(2d0*sw**2d0)
    coupl(nGC_163) = -cima*ee**2d0*sa*vev/(4d0*sw**2d0)
    coupl(nGC_167) = cima*ee**2d0*vev/(2d0*sw)
    coupl(nGC_10) = 2d0*cima*ee**2d0
    coupl(nGC_8) = cima*ee**2d0
    coupl(nGC_5) = -2d0*cima*ee
    coupl(nGC_3) = -cima*ee
    coupl(nGC_6) = 2d0*cima*ee
    coupl(nGC_4) = cima*ee
    coupl(nGC_105) = 2d0*cima*cw*ee/sw
    coupl(nGC_104) = -2d0*cima*cw*ee/sw
    coupl(nGC_103) = cima*cw*ee/sw
    coupl(nGC_102) = -cima*cw*ee/sw
    coupl(nGC_98) = ee/(2d0*sw)
    coupl(nGC_97) = -ee/(2d0*sw)
    coupl(nGC_101) = ca*cima*ee/(2d0*sw)
    coupl(nGC_100) = -ca*cima*ee/(2d0*sw)
    coupl(nGC_118) = cima*ee*sa/(2d0*sw)
    coupl(nGC_117) = -cima*ee*sa/(2d0*sw)
    coupl(nGC_128) = -cima*cw*ee/(2d0*sw) + cima*ee*sw/(2d0*cw)
    coupl(nGC_127) = cima*cw*ee/(2d0*sw) - cima*ee*sw/(2d0*cw)
    coupl(nGC_130) = -ca*cw*ee/(2d0*sw) - ca*ee*sw/(2d0*cw)
    coupl(nGC_131) = ca*cw*ee/(2d0*sw) + ca*ee*sw/(2d0*cw)
    coupl(nGC_135) = -cw*ee*sa/(2d0*sw) - ee*sa*sw/(2d0*cw)
    coupl(nGC_136) = cw*ee*sa/(2d0*sw) + ee*sa*sw/(2d0*cw)
    coupl(nGC_18) = -gs
    coupl(nGC_21) = cima*gs**2d0
    coupl(nGC_17) = -2d0*gs
    coupl(nGC_20) = -cima*gs**2d0
    coupl(nGC_225) = cima*yup
    coupl(nGC_201) = -cima*ydo
    coupl(nGC_197) = cima*yc
    coupl(nGC_213) = -cima*ys
    coupl(nGC_217) = cima*yt
    coupl(nGC_193) = -cima*yb
    coupl(nGC_202) = -sqrt(2d0)*ydo/2d0
    coupl(nGC_214) = -sqrt(2d0)*ys/2d0
    coupl(nGC_194) = -sqrt(2d0)*yb/2d0
    coupl(nGC_203) = -sqrt(2d0)*ca*cima*ydo/2d0
    coupl(nGC_215) = -sqrt(2d0)*ca*cima*ys/2d0
    coupl(nGC_195) = -sqrt(2d0)*ca*cima*yb/2d0
    coupl(nGC_204) = -sqrt(2d0)*cima*sa*ydo/2d0
    coupl(nGC_216) = -sqrt(2d0)*cima*sa*ys/2d0
    coupl(nGC_196) = -sqrt(2d0)*cima*sa*yb/2d0
    coupl(nGC_205) = -cima*ye
    coupl(nGC_209) = -cima*ym
    coupl(nGC_221) = -cima*ytau
    coupl(nGC_206) = -sqrt(2d0)*ye/2d0
    coupl(nGC_210) = -sqrt(2d0)*ym/2d0
    coupl(nGC_222) = -sqrt(2d0)*ytau/2d0
    coupl(nGC_207) = -sqrt(2d0)*ca*cima*ye/2d0
    coupl(nGC_211) = -sqrt(2d0)*ca*cima*ym/2d0
    coupl(nGC_223) = -sqrt(2d0)*ca*cima*ytau/2d0
    coupl(nGC_208) = -sqrt(2d0)*cima*sa*ye/2d0
    coupl(nGC_212) = -sqrt(2d0)*cima*sa*ym/2d0
    coupl(nGC_224) = -sqrt(2d0)*cima*sa*ytau/2d0
    coupl(nGC_226) = sqrt(2d0)*yup/2d0
    coupl(nGC_198) = sqrt(2d0)*yc/2d0
    coupl(nGC_218) = sqrt(2d0)*yt/2d0
    coupl(nGC_227) = -sqrt(2d0)*ca*cima*yup/2d0
    coupl(nGC_199) = -sqrt(2d0)*ca*cima*yc/2d0
    coupl(nGC_219) = -sqrt(2d0)*ca*cima*yt/2d0
    coupl(nGC_228) = -sqrt(2d0)*cima*sa*yup/2d0
    coupl(nGC_200) = -sqrt(2d0)*cima*sa*yc/2d0
    coupl(nGC_220) = -sqrt(2d0)*cima*sa*yt/2d0
    coupl(nGC_114) = cima*cw*ee**2d0/sw
    coupl(nGC_110) = -ca*cima*ee**2d0/(2d0*sw)
    coupl(nGC_119) = -cima*ee**2d0*sa/(2d0*sw)
    coupl(nGC_166) = -cima*ee**2d0*vev/(2d0*sw)
    coupl(nGC_109) = ee**2d0/sw
    coupl(nGC_112) = -ca*cima*ee**2d0/sw
    coupl(nGC_121) = -cima*ee**2d0*sa/sw
    coupl(nGC_168) = -cima*ee**2d0*vev/sw
    coupl(nGC_74) = -2d0*cima*ee**2d0/sw**2d0
    coupl(nGC_106) = -ee**2d0/sw
    coupl(nGC_71) = cima*ee**2d0/(2d0*sw**2d0)
    coupl(nGC_73) = cima*ee**2d0/sw**2d0
    coupl(nGC_86) = 2d0*cima*cw**2d0*ee**2d0/sw**2d0
    coupl(nGC_82) = ca**2d0*cima*ee**2d0/(2d0*sw**2d0)
    coupl(nGC_93) = ca*cima*ee**2d0*sa/(2d0*sw**2d0)
    coupl(nGC_96) = cima*ee**2d0*sa**2d0/(2d0*sw**2d0)
    coupl(nGC_115) = -2d0*cima*cw*ee**2d0/sw
    coupl(nGC_162) = ca*cima*ee**2d0*vev/(2d0*sw**2d0)
    coupl(nGC_165) = cima*ee**2d0*sa*vev/(2d0*sw**2d0)
    coupl(nGC_75) = 2d0*cima*ee**2d0/sw**2d0
    coupl(nGC_72) = -cima*ee**2d0/sw**2d0
    coupl(nGC_84) = cima*cw**2d0*ee**2d0/sw**2d0
    coupl(nGC_76) = -ca*ee**2d0/(2d0*sw**2d0)
    coupl(nGC_79) = ca*ee**2d0/(2d0*sw**2d0)
    coupl(nGC_87) = -ee**2d0*sa/(2d0*sw**2d0)
    coupl(nGC_90) = ee**2d0*sa/(2d0*sw**2d0)
    coupl(nGC_113) = -cima*cw*ee**2d0/sw
    coupl(nGC_156) = -ee**2d0*vev/(2d0*sw**2d0)
    coupl(nGC_159) = ee**2d0*vev/(2d0*sw**2d0)
    coupl(nGC_134) = -cima*cw*ee**2d0/sw + cima*ee**2d0*sw/cw
    coupl(nGC_15) = -ca*cima*ee**2d0/(2d0*cw)
    coupl(nGC_27) = -cima*ee**2d0*sa/(2d0*cw)
    coupl(nGC_83) = -cima*cw**2d0*ee**2d0/sw**2d0
    coupl(nGC_154) = -cima*ee**2d0*vev/(2d0*cw)
    coupl(nGC_116) = 2d0*cima*cw*ee**2d0/sw
    coupl(nGC_46) = -cw*ee**2d0/(2d0*sw**2d0) + ee**2d0/(2d0*cw)
    coupl(nGC_52) = cw*ee**2d0/(2d0*sw**2d0) + ee**2d0/(2d0*cw)
    coupl(nGC_55) = -ca*cima*cw*ee**2d0/(2d0*sw**2d0) - ca*cima*ee**2d0/(2d0*cw)
    coupl(nGC_56) = ca*cima*cw*ee**2d0/(2d0*sw**2d0) - ca*cima*ee**2d0/(2d0*cw)
    coupl(nGC_63) = -cima*cw*ee**2d0*sa/(2d0*sw**2d0) - cima*ee**2d0*sa/(2d0*cw)
    coupl(nGC_64) = cima*cw*ee**2d0*sa/(2d0*sw**2d0) - cima*ee**2d0*sa/(2d0*cw)
    coupl(nGC_171) = -cima*cw*ee**2d0*vev/(2d0*sw**2d0) - cima*ee**2d0*vev/(2d0&
                     *cw)
    coupl(nGC_51) = cw*ee**2d0/(2d0*sw**2d0) - ee**2d0/(2d0*cw)
    coupl(nGC_45) = -cw*ee**2d0/(2d0*sw**2d0) - ee**2d0/(2d0*cw)
    coupl(nGC_142) = cima*cw**2d0*ee**2d0/(2d0*sw**2d0) + cima*ee**2d0 + cima* &
                     ee**2d0*sw**2d0/(2d0*cw**2d0)
    coupl(nGC_141) = cima*cw**2d0*ee**2d0/(2d0*sw**2d0) - cima*ee**2d0 + cima* &
                     ee**2d0*sw**2d0/(2d0*cw**2d0)
    coupl(nGC_145) = ca**2d0*cima*cw**2d0*ee**2d0/(2d0*sw**2d0) + ca**2d0*cima*&
                     ee**2d0 + ca**2d0*cima*ee**2d0*sw**2d0/(2d0*cw**2d0)
    coupl(nGC_148) = ca*cima*cw**2d0*ee**2d0*sa/(2d0*sw**2d0) + ca*cima*ee**2d0&
                     *sa + ca*cima*ee**2d0*sa*sw**2d0/(2d0*cw**2d0)
    coupl(nGC_151) = cima*cw**2d0*ee**2d0*sa**2d0/(2d0*sw**2d0) + cima*ee**2d0*&
                     sa**2d0 + cima*ee**2d0*sa**2d0*sw**2d0/(2d0*cw**2d0)
    coupl(nGC_175) = ca*cima*cw**2d0*ee**2d0*vev/(2d0*sw**2d0) + ca*cima*ee**  &
                     2d0*vev + ca*cima*ee**2d0*sw**2d0*vev/(2d0*cw**2d0)
    coupl(nGC_178) = cima*cw**2d0*ee**2d0*sa*vev/(2d0*sw**2d0) + cima*ee**2d0* &
                     sa*vev + cima*ee**2d0*sa*sw**2d0*vev/(2d0*cw**2d0)
    coupl(nGC_85) = -2d0*cima*cw**2d0*ee**2d0/sw**2d0
    coupl(nGC_172) = cima*cw*ee**2d0*vev/(2d0*sw**2d0) - cima*ee**2d0*vev/(2d0*&
                     cw)
    coupl(nGC_2) = -2d0*cima*ee/3d0
    coupl(nGC_1) = cima*ee/3d0
    coupl(nGC_19) = cima*gs
    coupl(nGC_99) = sqrt(2d0)*cima*ee/(2d0*sw)
    coupl(nGC_123) = -2d0*cima*ee*sw/(3d0*cw)
    coupl(nGC_126) = cima*cw*ee/(2d0*sw) - cima*ee*sw/(6d0*cw)
    coupl(nGC_122) = cima*ee*sw/(3d0*cw)
    coupl(nGC_125) = -cima*cw*ee/(2d0*sw) - cima*ee*sw/(6d0*cw)
    coupl(nGC_129) = cima*cw*ee/(2d0*sw) + cima*ee*sw/(2d0*cw)
    coupl(nGC_124) = cima*ee*sw/cw
    coupl(nGC_MHL) = -cMHL**2d0*cima
    coupl(nGC_I) = cima
    coupl(nGC_MHH) = -cMHH**2d0*cima
    coupl(nGC_MI) = -cima
    coupl(nGC_ME) = -cME*cima
    coupl(nGC_MM) = -cMM*cima
    coupl(nGC_MTA) = -cMTA*cima
    coupl(nGC_MU) = -cMU*cima
    coupl(nGC_MC) = -cMC*cima
    coupl(nGC_MT) = -cMT*cima
    coupl(nGC_MD) = -cMD*cima
    coupl(nGC_MS) = -cMS*cima
    coupl(nGC_MB) = -cMB*cima
    coupl(nGC_MZ) = cMZ**2d0*cima
    coupl(nGC_MW) = cMW**2d0*cima
    coupl(nGC_MW_GF) = cMW*cima
    coupl(nGC_MMW_GF) = -cMW*cima
    coupl(nGC_MZ_GF) = cMZ
    coupl(nGC_999) = -coupl(nGC_3)
    coupl(nGC_1005) = -coupl(nGC_4)
    coupl(nGC_1037) = -coupl(nGC_103)
    coupl(nGC_1041) = -coupl(nGC_102)
    coupl(nGC_1101) = -2d0*coupl(nGC_21)
    coupl(nGC_1105) = 2d0*coupl(nGC_21)
    coupl(nGC_1107) = -coupl(nGC_21)
    coupl(nGC_1123) = -coupl(nGC_18)
    coupl(nGC_1147) = -coupl(nGC_20)
    coupl(nGC_1149) = -coupl(nGC_20) + coupl(nGC_21)
    coupl(nGC_1151) = coupl(nGC_20) - coupl(nGC_21)
    coupl(nGC_1165) = coupl(nGC_20) + coupl(nGC_21)
    coupl(nGC_1167) = -coupl(nGC_20) - coupl(nGC_21)
    coupl(nGC_1207) = -coupl(nGC_202)
    coupl(nGC_1211) = -coupl(nGC_214)
    coupl(nGC_1215) = -coupl(nGC_194)
    coupl(nGC_1261) = -coupl(nGC_206)
    coupl(nGC_1265) = -coupl(nGC_210)
    coupl(nGC_1269) = -coupl(nGC_222)
    coupl(nGC_1327) = -coupl(nGC_226)
    coupl(nGC_1331) = -coupl(nGC_198)
    coupl(nGC_1335) = -coupl(nGC_218)
    coupl(nGC_7201) = -coupl(nGC_98)
    coupl(nGC_7213) = -coupl(nGC_101)
    coupl(nGC_7225) = -coupl(nGC_118)
    coupl(nGC_7683) = -coupl(nGC_100)
    coupl(nGC_12729) = -cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0/(cw**2d0*sw**2d0)
    coupl(nGC_12728) = -cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/( &
                       cw**3d0*sw**2d0)
    coupl(nGC_12727) = cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/(cw&
                       **2d0*sw**3d0)
    coupl(nGC_12730) = -ee**2d0/(2d0*cw**2d0)
    coupl(nGC_12731) = ee**2d0/cw
    coupl(nGC_12720) = -ee**2d0/cw
    coupl(nGC_12719) = ee**2d0/(2d0*cw**2d0)
    coupl(nGC_12678) = -4d0*cima*ee**2d0
    coupl(nGC_12736) = -cima*ee**2d0*(cw - sw)**2d0*(cw + sw)**2d0/(cw**2d0*sw &
                       **2d0)
    coupl(nGC_12734) = cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/(cw&
                       **2d0*sw**3d0)
    coupl(nGC_12735) = -cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/( &
                       cw**3d0*sw**2d0)
    coupl(nGC_12750) = ca*cima*ee**2d0/cw
    coupl(nGC_12751) = -cima*ee**2d0*sa/(2d0*cw)
    coupl(nGC_12749) = -ca*cima*ee**2d0/(2d0*cw**2d0)
    coupl(nGC_12775) = -ca**2d0*cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0/(cw**2d0*&
                       sw**2d0)
    coupl(nGC_12774) = -ca**2d0*cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw &
                       **2d0)/(cw**3d0*sw**2d0)
    coupl(nGC_12773) = ca**2d0*cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**&
                       2d0)/(cw**2d0*sw**3d0)
    coupl(nGC_12776) = ca*cima*ee**2d0*sa*(cw**2d0 + sw**2d0)**2d0/(cw**2d0*sw &
                       **2d0)
    coupl(nGC_12932) = -3d0*cima*sa**4d0/2d0
    coupl(nGC_12933) = 6d0*ca*cima*sa*(2d0*ca**2d0*l1 - 2d0*ca**2d0*l3 - l2*sa &
                       **2d0 + 2d0*l3*sa**2d0)
    coupl(nGC_12931) = -3d0*ca**4d0*cima
    coupl(nGC_12934) = -6d0*ca**2d0*cima*sa**2d0
    coupl(nGC_12819) = -3d0*cima/2d0
    coupl(nGC_12799) = -cima/2d0
    coupl(nGC_12880) = -cima*sa**2d0
    coupl(nGC_12878) = -ca**2d0*cima/2d0
    coupl(nGC_12879) = ca*cima*sa*(l2 - 2d0*l3)
    coupl(nGC_12918) = -3d0*ca**4d0*cima/2d0
    coupl(nGC_12919) = -6d0*ca*cima*sa*(-ca**2d0*l2 + 2d0*ca**2d0*l3 + 2d0*l1* &
                       sa**2d0 - 2d0*l3*sa**2d0)
    coupl(nGC_12920) = -6d0*ca**2d0*cima*sa**2d0
    coupl(nGC_12917) = -3d0*cima*sa**4d0
    coupl(nGC_12868) = -ca*cima*sa*(l2 - 2d0*l3)
    coupl(nGC_12867) = -cima*sa**2d0/2d0
    coupl(nGC_12869) = -ca**2d0*cima
    coupl(nGC_12941) = -cima*(ca**4d0 - 4d0*ca**2d0*sa**2d0 + sa**4d0)
    coupl(nGC_12938) = -3d0*ca**2d0*cima*sa**2d0
    coupl(nGC_12940) = -3d0*ca*cima*sa*(ca - sa)*(ca + sa)*(2d0*l1 + l2 - 4d0* &
                       l3)
    coupl(nGC_12939) = -3d0*ca**2d0*cima*sa**2d0/2d0
    coupl(nGC_12852) = -cima*ee**2d0*sa/(2d0*cw**2d0)
    coupl(nGC_12853) = cima*ee**2d0*sa/cw
    coupl(nGC_12854) = ca*cima*ee**2d0/(2d0*cw)
    coupl(nGC_12815) = -ca*cima*ee**2d0*sa*(cw**2d0 + sw**2d0)**2d0/(cw**2d0*sw&
                       **2d0)
    coupl(nGC_12813) = ca*cima*ee**2d0*sa*(cw - sw)*(cw + sw)*(cw**2d0 + sw**  &
                       2d0)/(cw**2d0*sw**3d0)
    coupl(nGC_12814) = -ca*cima*ee**2d0*sa*(cw - sw)*(cw + sw)*(cw**2d0 + sw** &
                       2d0)/(cw**3d0*sw**2d0)
    coupl(nGC_12816) = -cima*ee**2d0*(ca - sa)*(ca + sa)*(cw**2d0 + sw**2d0)** &
                       2d0/(2d0*cw**2d0*sw**2d0)
    coupl(nGC_12908) = 3d0*cima*(2d0*ca**4d0*l1 - 2d0*ca**4d0*l3 - 6d0*ca**2d0*&
                       l1*sa**2d0 - 3d0*ca**2d0*l2*sa**2d0 + 12d0*ca**2d0*l3*sa&
                       **2d0 + l2*sa**4d0 - 2d0*l3*sa**4d0)/2d0
    coupl(nGC_12909) = -3d0*ca*cima*sa*(ca - sa)*(ca + sa)
    coupl(nGC_12907) = -3d0*ca*cima*sa**3d0/2d0
    coupl(nGC_12906) = 3d0*ca**3d0*cima*sa
    coupl(nGC_12865) = -cima*(ca - sa)*(ca + sa)*(l2 - 2d0*l3)/2d0
    coupl(nGC_12864) = -ca*cima*sa/2d0
    coupl(nGC_12866) = ca*cima*sa
    coupl(nGC_12889) = 3d0*ca*cima*sa*(ca - sa)*(ca + sa)
    coupl(nGC_12886) = 3d0*ca*cima*sa**3d0
    coupl(nGC_12888) = 3d0*cima*(-ca**4d0*l2 + 2d0*ca**4d0*l3 + 6d0*ca**2d0*l1*&
                       sa**2d0 + 3d0*ca**2d0*l2*sa**2d0 - 12d0*ca**2d0*l3*sa** &
                       2d0 - 2d0*l1*sa**4d0 + 2d0*l3*sa**4d0)/2d0
    coupl(nGC_12887) = -3d0*ca**3d0*cima*sa/2d0
    coupl(nGC_12832) = cima*ee**2d0*sa**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**&
                       2d0)/(cw**2d0*sw**3d0)
    coupl(nGC_12835) = -ca*cima*ee**2d0*sa*(cw**2d0 + sw**2d0)**2d0/(cw**2d0*sw&
                       **2d0)
    coupl(nGC_12833) = -cima*ee**2d0*sa**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw &
                       **2d0)/(cw**3d0*sw**2d0)
    coupl(nGC_12834) = -cima*ee**2d0*sa**2d0*(cw**2d0 + sw**2d0)**2d0/(cw**2d0*&
                       sw**2d0)
    coupl(nGC_12848) = -cima*ee**2d0/sw**2d0
    coupl(nGC_12847) = cima*ee**2d0/sw**3d0
    coupl(nGC_12592) = ca*cima*ee**2d0*sa/sw**2d0
    coupl(nGC_12590) = ca**2d0*cima*ee**2d0/sw**3d0
    coupl(nGC_12591) = -ca**2d0*cima*ee**2d0/sw**2d0
    coupl(nGC_12672) = -ca*cima*ee**2d0*sa/sw**2d0
    coupl(nGC_12673) = -cima*ee**2d0*(ca - sa)*(ca + sa)/(2d0*sw**2d0)
    coupl(nGC_12671) = ca*cima*ee**2d0*sa/sw**3d0
    coupl(nGC_12710) = cima*ee**2d0*sa**2d0/sw**3d0
    coupl(nGC_12711) = -cima*ee**2d0*sa**2d0/sw**2d0
    coupl(nGC_12712) = -ca*cima*ee**2d0*sa/sw**2d0
    coupl(nGC_12821) = ee**2d0/sw
    coupl(nGC_12820) = -ee**2d0/(2d0*sw**2d0)
    coupl(nGC_12817) = ee**2d0/(2d0*sw**2d0)
    coupl(nGC_12818) = -ee**2d0/sw
    coupl(nGC_12670) = 2d0*cima*ee**2d0*(cw - sw)*(cw + sw)/(cw*sw)
    coupl(nGC_12669) = cima*ee**2d0*(cw**2d0 + sw**2d0)/(cw**2d0*sw)
    coupl(nGC_12668) = -cima*ee**2d0*(cw**2d0 + sw**2d0)/(cw*sw**2d0)
    coupl(nGC_12841) = -ca*cima*ee**2d0/(2d0*sw**2d0)
    coupl(nGC_12842) = ca*cima*ee**2d0/sw
    coupl(nGC_12843) = -cima*ee**2d0*sa/(2d0*sw)
    coupl(nGC_12946) = -cima*ee**2d0*sa/(2d0*sw**2d0)
    coupl(nGC_12947) = cima*ee**2d0*sa/sw
    coupl(nGC_12948) = ca*cima*ee**2d0/(2d0*sw)
    coupl(nGC_12859) = cima*ee**2d0/(2d0*cw)
    coupl(nGC_12861) = cima*ee**2d0*vev/cw
    coupl(nGC_12860) = -cima*ee**2d0*vev/(2d0*cw**2d0)
    coupl(nGC_12534) = cima*ee**2d0*sa*vev*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**  &
                       2d0*sw**2d0)
    coupl(nGC_12530) = -ca*cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0* &
                       sw**2d0)
    coupl(nGC_12532) = -ca*cima*ee**2d0*vev*(cw - sw)*(cw + sw)*(cw**2d0 + sw**&
                       2d0)/(cw**3d0*sw**2d0)
    coupl(nGC_12533) = -ca*cima*ee**2d0*vev*(cw**2d0 + sw**2d0)**2d0/(cw**2d0* &
                       sw**2d0)
    coupl(nGC_12531) = ca*cima*ee**2d0*vev*(cw - sw)*(cw + sw)*(cw**2d0 + sw** &
                       2d0)/(cw**2d0*sw**3d0)
    coupl(nGC_12564) = cima*(2d0*ca*l3*vevs + l2*sa*vev)/2d0
    coupl(nGC_12561) = cima*l3*sa
    coupl(nGC_12562) = -ca*cima*vev/2d0
    coupl(nGC_12563) = -ca*cima*l2/2d0
    coupl(nGC_12565) = cima*sa*vevs
    coupl(nGC_307) = 3d0*cima*sa**3d0*vevs
    coupl(nGC_313) = -3d0*ca*cima*(ca**2d0*l2 + 2d0*l3*sa**2d0)/2d0
    coupl(nGC_309) = 3d0*cima*sa*(ca**2d0*l3 + l1*sa**2d0)
    coupl(nGC_315) = 3d0*cima*(2d0*ca**3d0*l3*vevs + 3d0*ca**2d0*l2*sa*vev -   &
                     4d0*ca**2d0*l3*sa*vev + 6d0*ca*l1*sa**2d0*vevs - 4d0*ca*l3&
                     *sa**2d0*vevs + 2d0*l3*sa**3d0*vev)/2d0
    coupl(nGC_317) = 3d0*ca*cima*sa*(ca*vevs - sa*vev)
    coupl(nGC_311) = -3d0*ca**3d0*cima*vev/2d0
    coupl(nGC_329) = cima*(6d0*ca**3d0*l1*vevs - 4d0*ca**3d0*l3*vevs - 6d0*ca**&
                     2d0*l2*sa*vev + 14d0*ca**2d0*l3*sa*vev - 12d0*ca*l1*sa**  &
                     2d0*vevs + 14d0*ca*l3*sa**2d0*vevs + 3d0*l2*sa**3d0*vev - &
                     4d0*l3*sa**3d0*vev)/2d0
    coupl(nGC_331) = -cima*(ca**3d0*vev + 2d0*ca**2d0*sa*vevs - 2d0*ca*sa**2d0*&
                     vev - sa**3d0*vevs)
    coupl(nGC_321) = 3d0*ca**2d0*cima*sa*vevs
    coupl(nGC_325) = -3d0*ca*cima*sa**2d0*vev/2d0
    coupl(nGC_323) = cima*sa*(3d0*ca**2d0*l1 - 2d0*ca**2d0*l3 + l3*sa**2d0)
    coupl(nGC_327) = -ca*cima*(2d0*ca**2d0*l3 + 3d0*l2*sa**2d0 - 4d0*l3*sa**2d0&
                     )/2d0
    coupl(nGC_12560) = -ca*cima*ee**2d0*vev*(cw**2d0 + sw**2d0)**2d0/(2d0*cw** &
                       2d0*sw**2d0)
    coupl(nGC_12557) = cima*ee**2d0*sa*vev*(cw - sw)*(cw + sw)*(cw**2d0 + sw** &
                       2d0)/(cw**2d0*sw**3d0)
    coupl(nGC_12558) = -cima*ee**2d0*sa*vev*(cw - sw)*(cw + sw)*(cw**2d0 + sw**&
                       2d0)/(cw**3d0*sw**2d0)
    coupl(nGC_12556) = -cima*ee**2d0*sa*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0* &
                       sw**2d0)
    coupl(nGC_12559) = -cima*ee**2d0*sa*vev*(cw**2d0 + sw**2d0)**2d0/(cw**2d0* &
                       sw**2d0)
    coupl(nGC_12537) = -cima*l2*sa/2d0
    coupl(nGC_12538) = -cima*(ca*l2*vev - 2d0*l3*sa*vevs)/2d0
    coupl(nGC_12536) = -cima*sa*vev/2d0
    coupl(nGC_12539) = -ca*cima*vevs
    coupl(nGC_12535) = -ca*cima*l3
    coupl(nGC_339) = -3d0*ca**2d0*cima*sa*vev/2d0
    coupl(nGC_345) = -cima*(ca**3d0*vevs - 2d0*ca**2d0*sa*vev - 2d0*ca*sa**2d0*&
                     vevs + sa**3d0*vev)
    coupl(nGC_343) = -cima*(3d0*ca**3d0*l2*vev - 4d0*ca**3d0*l3*vev + 12d0*ca**&
                     2d0*l1*sa*vevs - 14d0*ca**2d0*l3*sa*vevs - 6d0*ca*l2*sa** &
                     2d0*vev + 14d0*ca*l3*sa**2d0*vev - 6d0*l1*sa**3d0*vevs +  &
                     4d0*l3*sa**3d0*vevs)/2d0
    coupl(nGC_337) = -ca*cima*(ca**2d0*l3 + 3d0*l1*sa**2d0 - 2d0*l3*sa**2d0)
    coupl(nGC_341) = -cima*sa*(3d0*ca**2d0*l2 - 4d0*ca**2d0*l3 + 2d0*l3*sa**2d0&
                     )/2d0
    coupl(nGC_335) = -3d0*ca*cima*sa**2d0*vevs
    coupl(nGC_349) = -3d0*ca**3d0*cima*vevs
    coupl(nGC_359) = -3d0*ca*cima*sa*(ca*vev + sa*vevs)
  end subroutine fill_couplings_mdl1
end module fill_couplings1
