!******************************************************************************!
!                                                                              !
!    fill_couplings2.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2020 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_couplings2.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 27.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2020-07-29 18:14             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_couplings2
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_couplings_mdl2()
    coupl(nGC_351) = -3d0*ca*cima*(ca**2d0*l1 + l3*sa**2d0)
    coupl(nGC_355) = -3d0*cima*sa*(2d0*ca**2d0*l3 + l2*sa**2d0)/2d0
    coupl(nGC_353) = -3d0*cima*sa**3d0*vev/2d0
    coupl(nGC_357) = 3d0*cima*(-2d0*ca**3d0*l3*vev + 6d0*ca**2d0*l1*sa*vevs -  &
                     4d0*ca**2d0*l3*sa*vevs - 3d0*ca*l2*sa**2d0*vev + 4d0*ca*l3&
                     *sa**2d0*vev + 2d0*l3*sa**3d0*vevs)/2d0
    coupl(nGC_12926) = -ca*cima*ee**2d0*vev/sw**2d0
    coupl(nGC_12924) = -ca*cima*ee**2d0/(2d0*sw**2d0)
    coupl(nGC_12927) = cima*ee**2d0*sa*vev/(2d0*sw**2d0)
    coupl(nGC_12925) = ca*cima*ee**2d0*vev/sw**3d0
    coupl(nGC_12955) = -cima*ee**2d0*sa*vev/sw**2d0
    coupl(nGC_12954) = cima*ee**2d0*sa*vev/sw**3d0
    coupl(nGC_12956) = -ca*cima*ee**2d0*vev/(2d0*sw**2d0)
    coupl(nGC_12953) = -cima*ee**2d0*sa/(2d0*sw**2d0)
    coupl(nGC_12501) = -cima*ee**2d0*vev/(2d0*sw**2d0)
    coupl(nGC_12500) = cima*ee**2d0/(2d0*sw)
    coupl(nGC_12502) = cima*ee**2d0*vev/sw
    coupl(nGC_12689) = 4d0*cima*ee**2d0
    coupl(nGC_12645) = -2d0*cima*ee
    coupl(nGC_12653) = 2d0*cima*ee
    coupl(nGC_12629) = cima*ee
    coupl(nGC_12795) = -2d0*cima*cw*ee/sw**2d0
    coupl(nGC_12796) = 2d0*cima*ee/sw
    coupl(nGC_12797) = 2d0*cima*cw*ee/sw
    coupl(nGC_12785) = -2d0*cima*ee/sw
    coupl(nGC_12784) = 2d0*cima*cw*ee/sw**2d0
    coupl(nGC_12786) = -2d0*cima*cw*ee/sw
    coupl(nGC_12766) = -gs
    coupl(nGC_12798) = 2d0*cima*gs**2d0
    coupl(nGC_12758) = -2d0*gs
    coupl(nGC_12584) = -sqrt(2d0)/2d0
    coupl(nGC_12490) = -sqrt(2d0)/2d0
    coupl(nGC_12545) = -sqrt(2d0)/2d0
    coupl(nGC_12492) = sqrt(2d0)*cima*sa*ye/2d0
    coupl(nGC_12491) = -sqrt(2d0)*ca*cima/2d0
    coupl(nGC_12503) = -sqrt(2d0)*ca*cima/2d0
    coupl(nGC_12504) = sqrt(2d0)*cima*sa*ym/2d0
    coupl(nGC_365) = sqrt(2d0)*cima*sa*ytau/2d0
    coupl(nGC_363) = -sqrt(2d0)*ca*cima/2d0
    coupl(nGC_12486) = -sqrt(2d0)*ca*cima*ye/2d0
    coupl(nGC_12485) = -sqrt(2d0)*cima*sa/2d0
    coupl(nGC_12506) = -sqrt(2d0)*ca*cima*ym/2d0
    coupl(nGC_12505) = -sqrt(2d0)*cima*sa/2d0
    coupl(nGC_369) = -sqrt(2d0)*cima*sa/2d0
    coupl(nGC_371) = -sqrt(2d0)*ca*cima*ytau/2d0
    coupl(nGC_12661) = -2d0*cima*ee**2d0
    coupl(nGC_12875) = 2d0*cima*cw*ee**2d0/sw
    coupl(nGC_12874) = cima*ee**2d0/sw
    coupl(nGC_12873) = -cima*cw*ee**2d0/sw**2d0
    coupl(nGC_12838) = cima*ee**2d0*sa/(2d0*sw)
    coupl(nGC_12836) = ca*cima*ee**2d0/(2d0*sw**2d0)
    coupl(nGC_12837) = -ca*cima*ee**2d0/sw
    coupl(nGC_12930) = -ca*cima*ee**2d0/(2d0*sw)
    coupl(nGC_12928) = cima*ee**2d0*sa/(2d0*sw**2d0)
    coupl(nGC_12929) = -cima*ee**2d0*sa/sw
    coupl(nGC_12488) = cima*ee**2d0*vev/(2d0*sw**2d0)
    coupl(nGC_12489) = -cima*ee**2d0*vev/sw
    coupl(nGC_12487) = -cima*ee**2d0/(2d0*sw)
    coupl(nGC_12732) = -ee/(2d0*sw**2d0)
    coupl(nGC_12733) = ee/(2d0*sw)
    coupl(nGC_12757) = -cima*ee*sa/(2d0*sw)
    coupl(nGC_12755) = -ca*cima*ee/(2d0*sw**2d0)
    coupl(nGC_12756) = ca*cima*ee/(2d0*sw)
    coupl(nGC_12910) = -cima*ee*sa/(2d0*sw**2d0)
    coupl(nGC_12911) = cima*ee*sa/(2d0*sw)
    coupl(nGC_12912) = ca*cima*ee/(2d0*sw)
    coupl(nGC_12593) = -cima*ee
    coupl(nGC_12900) = -4d0*cima*ee**2d0/sw**2d0
    coupl(nGC_12899) = 4d0*cima*ee**2d0/sw**3d0
    coupl(nGC_12752) = ca*cima*ee/(2d0*sw**2d0)
    coupl(nGC_12753) = -ca*cima*ee/(2d0*sw)
    coupl(nGC_12754) = cima*ee*sa/(2d0*sw)
    coupl(nGC_12901) = cima*ee*sa/(2d0*sw**2d0)
    coupl(nGC_12902) = -cima*ee*sa/(2d0*sw)
    coupl(nGC_12903) = -ca*cima*ee/(2d0*sw)
    coupl(nGC_12863) = cima*ee**2d0/sw**2d0
    coupl(nGC_12862) = -cima*ee**2d0/sw**3d0
    coupl(nGC_12884) = -2d0*cima*ee**2d0/sw**3d0
    coupl(nGC_12885) = 2d0*cima*ee**2d0/sw**2d0
    coupl(nGC_12625) = 4d0*cima*cw**2d0*ee**2d0/sw**2d0
    coupl(nGC_12623) = -4d0*cima*cw**2d0*ee**2d0/sw**3d0
    coupl(nGC_12624) = 4d0*cima*cw*ee**2d0/sw**2d0
    coupl(nGC_12598) = ca**2d0*cima*ee**2d0/sw**2d0
    coupl(nGC_12599) = -ca*cima*ee**2d0*sa/sw**2d0
    coupl(nGC_12597) = -ca**2d0*cima*ee**2d0/sw**3d0
    coupl(nGC_12682) = -ca*cima*ee**2d0*sa/sw**3d0
    coupl(nGC_12684) = cima*ee**2d0*(ca - sa)*(ca + sa)/(2d0*sw**2d0)
    coupl(nGC_12683) = ca*cima*ee**2d0*sa/sw**2d0
    coupl(nGC_12714) = cima*ee**2d0*sa**2d0/sw**2d0
    coupl(nGC_12715) = ca*cima*ee**2d0*sa/sw**2d0
    coupl(nGC_12713) = -cima*ee**2d0*sa**2d0/sw**3d0
    coupl(nGC_12897) = -2d0*cima*ee**2d0/sw
    coupl(nGC_12898) = -4d0*cima*cw*ee**2d0/sw
    coupl(nGC_12896) = 2d0*cima*cw*ee**2d0/sw**2d0
    coupl(nGC_12944) = ca*cima*ee**2d0*vev/sw**2d0
    coupl(nGC_12943) = -ca*cima*ee**2d0*vev/sw**3d0
    coupl(nGC_12942) = ca*cima*ee**2d0/(2d0*sw**2d0)
    coupl(nGC_12945) = -cima*ee**2d0*sa*vev/(2d0*sw**2d0)
    coupl(nGC_12497) = -cima*ee**2d0*sa*vev/sw**3d0
    coupl(nGC_12498) = cima*ee**2d0*sa*vev/sw**2d0
    coupl(nGC_12496) = cima*ee**2d0*sa/(2d0*sw**2d0)
    coupl(nGC_12499) = ca*cima*ee**2d0*vev/(2d0*sw**2d0)
    coupl(nGC_12674) = 2d0*cima*ee**2d0
    coupl(nGC_12772) = -cima*cw*ee/sw
    coupl(nGC_12771) = -cima*ee/sw
    coupl(nGC_12770) = cima*cw*ee/sw**2d0
    coupl(nGC_12781) = -cima*cw*ee/sw**2d0
    coupl(nGC_12783) = cima*cw*ee/sw
    coupl(nGC_12782) = cima*ee/sw
    coupl(nGC_12905) = 4d0*cima*ee**2d0/sw**2d0
    coupl(nGC_12904) = -4d0*cima*ee**2d0/sw**3d0
    coupl(nGC_12876) = 2d0*cima*ee**2d0/sw**3d0
    coupl(nGC_12877) = -2d0*cima*ee**2d0/sw**2d0
    coupl(nGC_12681) = -2d0*cima*ee**2d0*(cw - sw)*(cw + sw)/(cw*sw)
    coupl(nGC_12679) = cima*ee**2d0*(cw**2d0 + sw**2d0)/(cw*sw**2d0)
    coupl(nGC_12680) = -cima*ee**2d0*(cw**2d0 + sw**2d0)/(cw**2d0*sw)
    coupl(nGC_12657) = -ca*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw**2d0)
    coupl(nGC_12659) = ca*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
    coupl(nGC_12658) = ca*ee*(cw - sw)*(cw + sw)/(2d0*cw**2d0*sw)
    coupl(nGC_12660) = -ee*sa*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
    coupl(nGC_12648) = -ca*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
    coupl(nGC_12649) = ee*sa*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
    coupl(nGC_12647) = -ca*ee*(cw - sw)*(cw + sw)/(2d0*cw**2d0*sw)
    coupl(nGC_12646) = ca*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw**2d0)
    coupl(nGC_12699) = ca*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
    coupl(nGC_12696) = -ee*sa*(cw - sw)*(cw + sw)/(2d0*cw*sw**2d0)
    coupl(nGC_12697) = ee*sa*(cw - sw)*(cw + sw)/(2d0*cw**2d0*sw)
    coupl(nGC_12698) = ee*sa*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
    coupl(nGC_12685) = ee*sa*(cw - sw)*(cw + sw)/(2d0*cw*sw**2d0)
    coupl(nGC_12686) = -ee*sa*(cw - sw)*(cw + sw)/(2d0*cw**2d0*sw)
    coupl(nGC_12688) = -ca*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
    coupl(nGC_12687) = -ee*sa*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
    coupl(nGC_12613) = -cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw**2d0)
    coupl(nGC_12614) = cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw**2d0*sw)
    coupl(nGC_12615) = cima*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw)
    coupl(nGC_12621) = -cima*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw)
    coupl(nGC_12620) = -cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw**2d0*sw)
    coupl(nGC_12619) = cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw**2d0)
    coupl(nGC_12738) = -ca*cima*ee**2d0/cw
    coupl(nGC_12739) = cima*ee**2d0*sa/(2d0*cw)
    coupl(nGC_12737) = ca*cima*ee**2d0/(2d0*cw**2d0)
    coupl(nGC_12845) = -cima*ee**2d0*sa/cw
    coupl(nGC_12844) = cima*ee**2d0*sa/(2d0*cw**2d0)
    coupl(nGC_12846) = -ca*cima*ee**2d0/(2d0*cw)
    coupl(nGC_12607) = -2d0*cima*cw*ee**2d0/sw**2d0
    coupl(nGC_12608) = -2d0*cima*cw**2d0*ee**2d0/sw**2d0
    coupl(nGC_12606) = 2d0*cima*cw**2d0*ee**2d0/sw**3d0
    coupl(nGC_12849) = -cima*ee**2d0/(2d0*cw)
    coupl(nGC_12851) = -cima*ee**2d0*vev/cw
    coupl(nGC_12850) = cima*ee**2d0*vev/(2d0*cw**2d0)
    coupl(nGC_12870) = cima*cw*ee**2d0/sw**2d0
    coupl(nGC_12871) = -cima*ee**2d0/sw
    coupl(nGC_12872) = -2d0*cima*cw*ee**2d0/sw
    coupl(nGC_12890) = -2d0*cima*cw*ee**2d0/sw**2d0
    coupl(nGC_12891) = 2d0*cima*ee**2d0/sw
    coupl(nGC_12892) = 4d0*cima*cw*ee**2d0/sw
    coupl(nGC_12760) = cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/(cw&
                       **3d0*sw**2d0)
    coupl(nGC_12759) = -cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/( &
                       cw**2d0*sw**3d0)
    coupl(nGC_12761) = cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0/(cw**2d0*sw**2d0)
    coupl(nGC_12746) = -cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/( &
                       cw**2d0*sw**3d0)
    coupl(nGC_12747) = cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/(cw&
                       **3d0*sw**2d0)
    coupl(nGC_12748) = cima*ee**2d0*(cw - sw)**2d0*(cw + sw)**2d0/(cw**2d0*sw**&
                       2d0)
    coupl(nGC_12792) = ca**2d0*cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**&
                       2d0)/(cw**3d0*sw**2d0)
    coupl(nGC_12794) = -ca*cima*ee**2d0*sa*(cw**2d0 + sw**2d0)**2d0/(cw**2d0*sw&
                       **2d0)
    coupl(nGC_12793) = ca**2d0*cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0/(cw**2d0* &
                       sw**2d0)
    coupl(nGC_12791) = -ca**2d0*cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw &
                       **2d0)/(cw**2d0*sw**3d0)
    coupl(nGC_12829) = cima*ee**2d0*(ca - sa)*(ca + sa)*(cw**2d0 + sw**2d0)**  &
                       2d0/(2d0*cw**2d0*sw**2d0)
    coupl(nGC_12826) = -ca*cima*ee**2d0*sa*(cw - sw)*(cw + sw)*(cw**2d0 + sw** &
                       2d0)/(cw**2d0*sw**3d0)
    coupl(nGC_12827) = ca*cima*ee**2d0*sa*(cw - sw)*(cw + sw)*(cw**2d0 + sw**  &
                       2d0)/(cw**3d0*sw**2d0)
    coupl(nGC_12828) = ca*cima*ee**2d0*sa*(cw**2d0 + sw**2d0)**2d0/(cw**2d0*sw &
                       **2d0)
    coupl(nGC_12856) = cima*ee**2d0*sa**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**&
                       2d0)/(cw**3d0*sw**2d0)
    coupl(nGC_12857) = cima*ee**2d0*sa**2d0*(cw**2d0 + sw**2d0)**2d0/(cw**2d0* &
                       sw**2d0)
    coupl(nGC_12855) = -cima*ee**2d0*sa**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw &
                       **2d0)/(cw**2d0*sw**3d0)
    coupl(nGC_12858) = ca*cima*ee**2d0*sa*(cw**2d0 + sw**2d0)**2d0/(cw**2d0*sw &
                       **2d0)
    coupl(nGC_12541) = -ca*cima*ee**2d0*vev*(cw - sw)*(cw + sw)*(cw**2d0 + sw**&
                       2d0)/(cw**2d0*sw**3d0)
    coupl(nGC_12542) = ca*cima*ee**2d0*vev*(cw - sw)*(cw + sw)*(cw**2d0 + sw** &
                       2d0)/(cw**3d0*sw**2d0)
    coupl(nGC_12543) = ca*cima*ee**2d0*vev*(cw**2d0 + sw**2d0)**2d0/(cw**2d0*sw&
                       **2d0)
    coupl(nGC_12544) = -cima*ee**2d0*sa*vev*(cw**2d0 + sw**2d0)**2d0/(2d0*cw** &
                       2d0*sw**2d0)
    coupl(nGC_12540) = ca*cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0*sw&
                       **2d0)
    coupl(nGC_12551) = cima*ee**2d0*sa*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0*sw&
                       **2d0)
    coupl(nGC_12554) = cima*ee**2d0*sa*vev*(cw**2d0 + sw**2d0)**2d0/(cw**2d0*sw&
                       **2d0)
    coupl(nGC_12555) = ca*cima*ee**2d0*vev*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**  &
                       2d0*sw**2d0)
    coupl(nGC_12552) = -cima*ee**2d0*sa*vev*(cw - sw)*(cw + sw)*(cw**2d0 + sw**&
                       2d0)/(cw**2d0*sw**3d0)
    coupl(nGC_12553) = cima*ee**2d0*sa*vev*(cw - sw)*(cw + sw)*(cw**2d0 + sw** &
                       2d0)/(cw**3d0*sw**2d0)
    coupl(nGC_12618) = -4d0*cima*cw**2d0*ee**2d0/sw**2d0
    coupl(nGC_12616) = 4d0*cima*cw**2d0*ee**2d0/sw**3d0
    coupl(nGC_12617) = -4d0*cima*cw*ee**2d0/sw**2d0
    coupl(nGC_12605) = 2d0*cima*cw**2d0*ee**2d0/sw**2d0
    coupl(nGC_12603) = -2d0*cima*cw**2d0*ee**2d0/sw**3d0
    coupl(nGC_12604) = 2d0*cima*cw*ee**2d0/sw**2d0
    coupl(nGC_12612) = -2d0*cima*ee/3d0
    coupl(nGC_12622) = cima*ee/3d0
    coupl(nGC_387) = cima*gs
    coupl(nGC_12744) = -sqrt(2d0)*cima*ee/(2d0*sw**2d0)
    coupl(nGC_12745) = sqrt(2d0)*cima*ee/(2d0*sw)
    coupl(nGC_12588) = 2d0*cima*ee*sw/(3d0*cw**2d0)
    coupl(nGC_12589) = -2d0*cima*ee*sw/(3d0*cw)
    coupl(nGC_12587) = -2d0*cima*ee/(3d0*cw)
    coupl(nGC_12610) = cima*ee*(3d0*cw**2d0 + sw**2d0)/(6d0*cw**2d0*sw)
    coupl(nGC_12609) = -cima*ee*(3d0*cw**2d0 + sw**2d0)/(6d0*cw*sw**2d0)
    coupl(nGC_12611) = cima*ee*(3d0*cw**2d0 - sw**2d0)/(6d0*cw*sw)
    coupl(nGC_12808) = cima*ee*sw/(3d0*cw)
    coupl(nGC_12807) = -cima*ee*sw/(3d0*cw**2d0)
    coupl(nGC_12806) = cima*ee/(3d0*cw)
    coupl(nGC_12602) = -cima*ee*(3d0*cw**2d0 + sw**2d0)/(6d0*cw*sw)
    coupl(nGC_12600) = cima*ee*(3d0*cw**2d0 - sw**2d0)/(6d0*cw*sw**2d0)
    coupl(nGC_12601) = -cima*ee*(3d0*cw**2d0 - sw**2d0)/(6d0*cw**2d0*sw)
    coupl(nGC_12633) = -cima*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw**2d0)
    coupl(nGC_12635) = cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
    coupl(nGC_12634) = cima*ee*(cw - sw)*(cw + sw)/(2d0*cw**2d0*sw)
    coupl(nGC_12594) = cima*ee/cw
    coupl(nGC_12595) = -cima*ee*sw/cw**2d0
    coupl(nGC_12596) = cima*ee*sw/cw
    coupl(nGC_509) = cima/(2d0*cMW)
    coupl(nGC_513) = -cima/(2d0*cMW)
    coupl(nGC_517) = 1d0/(2d0*cMZ)
    coupl(nGC_12576) = -sqrt(2d0)/2d0
    coupl(nGC_12511) = -sqrt(2d0)/2d0
    coupl(nGC_12571) = -sqrt(2d0)/2d0
    coupl(nGC_12580) = -sqrt(2d0)*ca*cima/2d0
    coupl(nGC_12578) = -sqrt(2d0)*cima*sa/2d0
    coupl(nGC_12516) = -sqrt(2d0)*ca*cima/2d0
    coupl(nGC_12522) = -sqrt(2d0)*cima*sa/2d0
    coupl(nGC_12572) = -sqrt(2d0)*ca*cima/2d0
    coupl(nGC_12574) = -sqrt(2d0)*cima*sa/2d0
    coupl(nGC_12566) = sqrt(2d0)/2d0
    coupl(nGC_12577) = sqrt(2d0)/2d0
    coupl(nGC_12524) = sqrt(2d0)/2d0
    coupl(nGC_12567) = -sqrt(2d0)*ca*cima/2d0
    coupl(nGC_12569) = -sqrt(2d0)*cima*sa/2d0
    coupl(nGC_12582) = -sqrt(2d0)*ca*cima/2d0
    coupl(nGC_12585) = -sqrt(2d0)*cima*sa/2d0
    coupl(nGC_375) = -sqrt(2d0)*ca*cima/2d0
    coupl(nGC_381) = -sqrt(2d0)*cima*sa/2d0
    coupl(nGC_12581) = sqrt(2d0)*cima*sa*ydo/2d0
    coupl(nGC_12579) = -sqrt(2d0)*ca*cima*ydo/2d0
    coupl(nGC_12517) = sqrt(2d0)*cima*sa*ys/2d0
    coupl(nGC_12523) = -sqrt(2d0)*ca*cima*ys/2d0
    coupl(nGC_12573) = sqrt(2d0)*cima*sa*yb/2d0
    coupl(nGC_12575) = -sqrt(2d0)*ca*cima*yb/2d0
    coupl(nGC_12568) = sqrt(2d0)*cima*sa*yup/2d0
    coupl(nGC_12570) = -sqrt(2d0)*ca*cima*yup/2d0
    coupl(nGC_12583) = sqrt(2d0)*cima*sa*yc/2d0
    coupl(nGC_12586) = -sqrt(2d0)*ca*cima*yc/2d0
    coupl(nGC_377) = sqrt(2d0)*cima*sa*yt/2d0
    coupl(nGC_383) = -sqrt(2d0)*ca*cima*yt/2d0
  end subroutine fill_couplings_mdl2
end module fill_couplings2
