!******************************************************************************!
!                                                                              !
!    ctparameter104.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2020 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter104.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 27.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2020-07-29 18:14             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter104
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter104()
  dMT_QED2 = (2d0*Ten372*cMT*coupl(nGC_2)**2d0 - 2d0*Ten373*cMT*coupl(nGC_2)** &
             2d0 + Ten374*cMT*(4d0*coupl(nGC_123)*coupl(nGC_126) - coupl(      &
             nGC_218)**2d0) - Ten375*cMB*coupl(nGC_193)*coupl(nGC_217) - 2d0*  &
             Ten376*cMT*coupl(nGC_219)**2d0 - 2d0*Ten377*cMT*coupl(nGC_220)**  &
             2d0 + Ten378*cMT*(coupl(nGC_123)**2d0 + coupl(nGC_126)**2d0 -     &
             coupl(nGC_218)**2d0) + Ten379*cMT*(coupl(nGC_193)**2d0 + coupl(   &
             nGC_217)**2d0 + 2d0*coupl(nGC_99)**2d0)/2d0 - Ten380*cMT*coupl(   &
             nGC_219)**2d0 - Ten381*cMT*coupl(nGC_220)**2d0 + 2d0*Ten382*cMT*  &
             rMT*(4d0*cMT*coupl(nGC_123)*coupl(nGC_126) - cMT*coupl(nGC_218)** &
             2d0 - 4d0*coupl(nGC_123)*coupl(nGC_126)*rMT + coupl(nGC_218)**2d0*&
             rMT) + 4d0*Ten383*coupl(nGC_2)**2d0*rMT*(2d0*cMT**2d0 - 3d0*cMT*  &
             rMT + rMT**2d0) + 2d0*Ten384*cMB*coupl(nGC_193)*coupl(nGC_217)*rMT&
             *(-cMT + rMT) + 2d0*Ten385*coupl(nGC_219)**2d0*rMT*(-cMT**2d0 +   &
             rMT**2d0) + 2d0*Ten386*coupl(nGC_220)**2d0*rMT*(-cMT**2d0 + rMT** &
             2d0) + 2d0*Ten387*rMT**2d0*(cMT*coupl(nGC_123)**2d0 + cMT*coupl(  &
             nGC_126)**2d0 - cMT*coupl(nGC_218)**2d0 - coupl(nGC_123)**2d0*rMT &
              - coupl(nGC_126)**2d0*rMT + coupl(nGC_218)**2d0*rMT) + 4d0*Ten388&
             *coupl(nGC_2)**2d0*rMT**2d0*(-cMT + rMT) + Ten389*rMT**2d0*(cMT*  &
             coupl(nGC_193)**2d0 + cMT*coupl(nGC_217)**2d0 + 2d0*cMT*coupl(    &
             nGC_99)**2d0 - coupl(nGC_193)**2d0*rMT - coupl(nGC_217)**2d0*rMT  &
              - 2d0*coupl(nGC_99)**2d0*rMT) + 2d0*Ten390*coupl(nGC_219)**2d0*  &
             rMT**2d0*(-cMT + rMT) + 2d0*Ten391*coupl(nGC_220)**2d0*rMT**2d0*(-&
             cMT + rMT) + pi**2d0*(-32d0*aEW*cMT**2d0/(9d0*pi*rMT) + 32d0*aEW* &
             rMT/(9d0*pi) + cMT*coupl(nGC_123)**2d0/(2d0*pi**2d0) - 2d0*cMT*   &
             coupl(nGC_123)*coupl(nGC_126)/pi**2d0 + cMT*coupl(nGC_126)**2d0/( &
             2d0*pi**2d0) - cMT*coupl(nGC_2)**2d0/pi**2d0 + cMT*coupl(nGC_99)**&
             2d0/(2d0*pi**2d0)))/(16d0*pi**2d0) + cima*coupl(nGC_219)*dtHl_QED1&
             /cMHL**2d0 + cima*coupl(nGC_220)*dtHh_QED1/cMHH**2d0
    if (.not. complex_mass_scheme) then
      dMT_QED2 = cone*real(dMT_QED2,kind=dp)
    end if 
end subroutine set_ctparameter104
end module ctparameter104
