!******************************************************************************!
!                                                                              !
!    ctparameter111.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2020 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter111.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 27.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2020-07-29 18:14             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter111
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter111()
  if (dZeMinusR_QED2_scheme .eq. 0) then
    dZeMinusR_QED2 = (2d0*Ten395*coupl(nGC_4)**2d0 + 2d0*Ten396*coupl(nGC_4)** &
                     2d0 + Ten400*(-2d0*coupl(nGC_124)**2d0 + coupl(nGC_206)** &
                     2d0) - Ten401*coupl(nGC_208)**2d0 - Ten402*coupl(nGC_207  &
                     )**2d0 - Ten403*coupl(nGC_205)**2d0 + 2d0*Ten404*cME**2d0 &
                     *(-4d0*coupl(nGC_124)*coupl(nGC_128) + coupl(nGC_206)**2d0&
                     ) + 2d0*Ten405*cME**2d0*coupl(nGC_208)**2d0 + 2d0*Ten406* &
                     cME**2d0*coupl(nGC_207)**2d0 - 4d0*Ten407*cME**2d0*coupl( &
                     nGC_4)**2d0 + 2d0*Ten408*cME**2d0*(-coupl(nGC_124)**2d0 - &
                     coupl(nGC_128)**2d0 + coupl(nGC_206)**2d0) - 2d0*Ten409*  &
                     cME**2d0*coupl(nGC_208)**2d0 - 2d0*Ten410*cME**2d0*coupl( &
                     nGC_207)**2d0 + 4d0*Ten411*cME**2d0*coupl(nGC_4)**2d0 +   &
                     Ten412*cME**2d0*(-coupl(nGC_205)**2d0 - 2d0*coupl(nGC_99  &
                     )**2d0) + pi**2d0*(-coupl(nGC_124)**2d0/pi**2d0 - coupl(  &
                     nGC_4)**2d0/pi**2d0))/(16d0*pi**2d0)
    dZeMinusR_QED2 = cone*real(dZeMinusR_QED2,kind=dp)
  end if 
end subroutine set_ctparameter111
end module ctparameter111
