!******************************************************************************!
!                                                                              !
!    ctparameter114.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2020 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter114.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 27.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2020-07-29 18:14             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter114
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter114()
  if (dZmuMinusR_QED2_scheme .eq. 0) then
    dZmuMinusR_QED2 = (2d0*Ten414*coupl(nGC_4)**2d0 + 2d0*Ten415*coupl(nGC_4)**&
                      2d0 + Ten417*coupl(nGC_212)**2d0 + Ten418*coupl(nGC_211  &
                      )**2d0 + Ten419*(-2d0*coupl(nGC_124)**2d0 + coupl(nGC_210&
                      )**2d0) + Ten420*coupl(nGC_212)**2d0 + Ten421*coupl(     &
                      nGC_211)**2d0 - Ten422*coupl(nGC_209)**2d0 + 2d0*Ten423* &
                      cMM*rMM*(-4d0*coupl(nGC_124)*coupl(nGC_128) + coupl(     &
                      nGC_210)**2d0) + 4d0*Ten424*coupl(nGC_4)**2d0*rMM*(-2d0* &
                      cMM + rMM) + 2d0*Ten425*coupl(nGC_212)**2d0*rMM*(cMM +   &
                      rMM) + 2d0*Ten426*coupl(nGC_211)**2d0*rMM*(cMM + rMM) +  &
                      2d0*Ten427*rMM**2d0*(-coupl(nGC_124)**2d0 - coupl(nGC_128&
                      )**2d0 + coupl(nGC_210)**2d0) + 4d0*Ten428*coupl(nGC_4)**&
                      2d0*rMM**2d0 + Ten429*rMM**2d0*(-coupl(nGC_209)**2d0 -   &
                      2d0*coupl(nGC_99)**2d0) + 2d0*Ten430*coupl(nGC_212)**2d0*&
                      rMM**2d0 + 2d0*Ten431*coupl(nGC_211)**2d0*rMM**2d0 + pi**&
                      2d0*(-coupl(nGC_124)**2d0/pi**2d0 - coupl(nGC_4)**2d0/pi &
                      **2d0))/(16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dZmuMinusR_QED2 = cone*real(dZmuMinusR_QED2,kind=dp)
    end if 
  end if 
end subroutine set_ctparameter114
end module ctparameter114
