!******************************************************************************!
!                                                                              !
!    ctparameter136.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2020 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter136.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 27.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2020-07-29 18:14             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter136
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter136()
  dZA_QED2 = (8d0*Nc*Ten202*cMU_reg**2d0*coupl(nGC_2)**2d0 + 8d0*Nc*Ten203*    &
             cMC_reg**2d0*coupl(nGC_2)**2d0 + 8d0*Nc*Ten204*cMT**2d0*coupl(    &
             nGC_2)**2d0 + 8d0*Nc*Ten205*cMD_reg**2d0*coupl(nGC_1)**2d0 + 8d0* &
             Nc*Ten206*cMS_reg**2d0*coupl(nGC_1)**2d0 + 8d0*Nc*Ten207*cMB_reg**&
             2d0*coupl(nGC_1)**2d0 - 16d0*Nc*Ten208*coupl(nGC_2)**2d0 - 16d0*Nc&
             *Ten209*coupl(nGC_2)**2d0 - 16d0*Nc*Ten210*coupl(nGC_2)**2d0 -    &
             16d0*Nc*Ten211*coupl(nGC_1)**2d0 - 16d0*Nc*Ten212*coupl(nGC_1)**  &
             2d0 - 16d0*Nc*Ten213*coupl(nGC_1)**2d0 - 4d0*Nc*Ten214*coupl(nGC_2&
             )**2d0/3d0 - 4d0*Nc*Ten215*coupl(nGC_2)**2d0/3d0 - 4d0*Nc*Ten216* &
             coupl(nGC_1)**2d0/3d0 - 4d0*Nc*Ten217*coupl(nGC_1)**2d0/3d0 - 4d0*&
             Nc*Ten218*coupl(nGC_1)**2d0/3d0 + Ten489*(-2d0*coupl(nGC_3)**2d0  &
              + 8d0*coupl(nGC_3)*coupl(nGC_4) - 3d0*coupl(nGC_4)**2d0 + coupl( &
             nGC_5)**2d0/4d0 + coupl(nGC_6)**2d0/4d0) + Ten503*(-8d0*coupl(    &
             nGC_3)**2d0 + 16d0*coupl(nGC_3)*coupl(nGC_4) - 16d0*coupl(nGC_4)**&
             2d0 + 2d0*coupl(nGC_5)**2d0 + 2d0*coupl(nGC_6)**2d0) + 8d0*Ten504*&
             cME_reg**2d0*coupl(nGC_4)**2d0 + 8d0*Ten505*cMM_reg**2d0*coupl(   &
             nGC_4)**2d0 + 8d0*Ten506*cMTA_reg**2d0*coupl(nGC_4)**2d0 - 16d0*  &
             Ten507*coupl(nGC_4)**2d0 - 16d0*Ten508*coupl(nGC_4)**2d0 - 16d0*  &
             Ten509*coupl(nGC_4)**2d0 - 4d0*Ten510*coupl(nGC_4)**2d0/3d0 - 4d0*&
             Ten511*coupl(nGC_4)**2d0/3d0 - 4d0*Ten512*coupl(nGC_4)**2d0/3d0 + &
             Ten513*(-4d0*coupl(nGC_3)**2d0 + 8d0*coupl(nGC_3)*coupl(nGC_4) -  &
             8d0*coupl(nGC_4)**2d0 + coupl(nGC_5)**2d0 + coupl(nGC_6)**2d0) +  &
             Ten514*(-4d0*coupl(nGC_3)**2d0 + 8d0*coupl(nGC_3)*coupl(nGC_4) -  &
             8d0*coupl(nGC_4)**2d0 + coupl(nGC_5)**2d0 + coupl(nGC_6)**2d0) +  &
             pi**2d0*(-4d0*Nc*coupl(nGC_2)**2d0/(3d0*pi**2d0) - 2d0*coupl(nGC_3&
             )**2d0/(3d0*pi**2d0) - 2d0*coupl(nGC_3)*coupl(nGC_4)/(3d0*pi**2d0 &
             ) - 2d0*coupl(nGC_4)**2d0/(3d0*pi**2d0)))/(16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dZA_QED2 = cone*real(dZA_QED2,kind=dp)
    end if 
end subroutine set_ctparameter136
end module ctparameter136
