!******************************************************************************!
!                                                                              !
!    ctparameter139.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2020 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter139.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 27.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2020-07-29 18:14             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter139
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter139()
  dMZ2_QED2 = (2d0*Nc*Ten521*(-6d0*cMU**2d0*coupl(nGC_123)*coupl(nGC_126) - cMZ&
              **2d0*coupl(nGC_123)**2d0 - cMZ**2d0*coupl(nGC_126)**2d0 + coupl(&
              nGC_123)**2d0*rMZ**2d0 + coupl(nGC_126)**2d0*rMZ**2d0)/3d0 + 2d0*&
              Nc*Ten522*(-6d0*cMC**2d0*coupl(nGC_123)*coupl(nGC_126) - cMZ**2d0&
              *coupl(nGC_123)**2d0 - cMZ**2d0*coupl(nGC_126)**2d0 + coupl(     &
              nGC_123)**2d0*rMZ**2d0 + coupl(nGC_126)**2d0*rMZ**2d0)/3d0 + 2d0*&
              Nc*Ten523*(-6d0*cMT**2d0*coupl(nGC_123)*coupl(nGC_126) - cMZ**2d0&
              *coupl(nGC_123)**2d0 - cMZ**2d0*coupl(nGC_126)**2d0 + coupl(     &
              nGC_123)**2d0*rMZ**2d0 + coupl(nGC_126)**2d0*rMZ**2d0)/3d0 + 2d0*&
              Nc*Ten524*(-6d0*cMD**2d0*coupl(nGC_122)*coupl(nGC_125) - cMZ**2d0&
              *coupl(nGC_122)**2d0 - cMZ**2d0*coupl(nGC_125)**2d0 + coupl(     &
              nGC_122)**2d0*rMZ**2d0 + coupl(nGC_125)**2d0*rMZ**2d0)/3d0 + 2d0*&
              Nc*Ten525*(-6d0*cMS**2d0*coupl(nGC_122)*coupl(nGC_125) - cMZ**2d0&
              *coupl(nGC_122)**2d0 - cMZ**2d0*coupl(nGC_125)**2d0 + coupl(     &
              nGC_122)**2d0*rMZ**2d0 + coupl(nGC_125)**2d0*rMZ**2d0)/3d0 + 2d0*&
              Nc*Ten526*(-6d0*cMB**2d0*coupl(nGC_122)*coupl(nGC_125) - cMZ**2d0&
              *coupl(nGC_122)**2d0 - cMZ**2d0*coupl(nGC_125)**2d0 + coupl(     &
              nGC_122)**2d0*rMZ**2d0 + coupl(nGC_125)**2d0*rMZ**2d0)/3d0 + 4d0*&
              Nc*Ten537*(coupl(nGC_123)**2d0 + coupl(nGC_126)**2d0) + 4d0*Nc*  &
              Ten538*(coupl(nGC_123)**2d0 + coupl(nGC_126)**2d0) + 4d0*Nc*     &
              Ten539*(coupl(nGC_123)**2d0 + coupl(nGC_126)**2d0) + 2d0*Nc*     &
              Ten540*rMZ**2d0*(coupl(nGC_123)**2d0 + coupl(nGC_126)**2d0) + 2d0&
              *Nc*Ten541*rMZ**2d0*(coupl(nGC_123)**2d0 + coupl(nGC_126)**2d0   &
              ) + 2d0*Nc*Ten542*rMZ**2d0*(coupl(nGC_123)**2d0 + coupl(nGC_126  &
              )**2d0) + 2d0*Nc*Ten543*rMZ**2d0*(coupl(nGC_123)**2d0 + coupl(   &
              nGC_126)**2d0) + 2d0*Nc*Ten544*rMZ**2d0*(coupl(nGC_123)**2d0 +   &
              coupl(nGC_126)**2d0) + 2d0*Nc*Ten545*rMZ**2d0*(coupl(nGC_123)**  &
              2d0 + coupl(nGC_126)**2d0) + 4d0*Nc*Ten546*(coupl(nGC_122)**2d0  &
               + coupl(nGC_125)**2d0) + 4d0*Nc*Ten547*(coupl(nGC_122)**2d0 +   &
              coupl(nGC_125)**2d0) + 4d0*Nc*Ten548*(coupl(nGC_122)**2d0 + coupl&
              (nGC_125)**2d0) + 2d0*Nc*Ten549*rMZ**2d0*(coupl(nGC_122)**2d0 +  &
              coupl(nGC_125)**2d0) + 2d0*Nc*Ten550*rMZ**2d0*(coupl(nGC_122)**  &
              2d0 + coupl(nGC_125)**2d0) + 2d0*Nc*Ten551*rMZ**2d0*(coupl(      &
              nGC_122)**2d0 + coupl(nGC_125)**2d0) + 2d0*Nc*Ten552*rMZ**2d0*(  &
              coupl(nGC_122)**2d0 + coupl(nGC_125)**2d0) + 2d0*Nc*Ten553*rMZ** &
              2d0*(coupl(nGC_122)**2d0 + coupl(nGC_125)**2d0) + 2d0*Nc*Ten554* &
              rMZ**2d0*(coupl(nGC_122)**2d0 + coupl(nGC_125)**2d0) + 2d0*Nc*   &
              Ten565*(cMU**2d0*cMZ**2d0*coupl(nGC_123)**2d0 - 6d0*cMU**2d0*cMZ &
              **2d0*coupl(nGC_123)*coupl(nGC_126) + cMU**2d0*cMZ**2d0*coupl(   &
              nGC_126)**2d0 - cMU**2d0*coupl(nGC_123)**2d0*rMZ**2d0 + 6d0*cMU**&
              2d0*coupl(nGC_123)*coupl(nGC_126)*rMZ**2d0 - cMU**2d0*coupl(     &
              nGC_126)**2d0*rMZ**2d0 - cMZ**2d0*coupl(nGC_123)**2d0*rMZ**2d0 - &
              cMZ**2d0*coupl(nGC_126)**2d0*rMZ**2d0 + coupl(nGC_123)**2d0*rMZ**&
              4d0 + coupl(nGC_126)**2d0*rMZ**4d0)/3d0 + 2d0*Nc*Ten566*(cMC**2d0&
              *cMZ**2d0*coupl(nGC_123)**2d0 - 6d0*cMC**2d0*cMZ**2d0*coupl(     &
              nGC_123)*coupl(nGC_126) + cMC**2d0*cMZ**2d0*coupl(nGC_126)**2d0  &
               - cMC**2d0*coupl(nGC_123)**2d0*rMZ**2d0 + 6d0*cMC**2d0*coupl(   &
              nGC_123)*coupl(nGC_126)*rMZ**2d0 - cMC**2d0*coupl(nGC_126)**2d0* &
              rMZ**2d0 - cMZ**2d0*coupl(nGC_123)**2d0*rMZ**2d0 - cMZ**2d0*coupl&
              (nGC_126)**2d0*rMZ**2d0 + coupl(nGC_123)**2d0*rMZ**4d0 + coupl(  &
              nGC_126)**2d0*rMZ**4d0)/3d0 + 2d0*Nc*Ten567*(cMT**2d0*cMZ**2d0*  &
              coupl(nGC_123)**2d0 - 6d0*cMT**2d0*cMZ**2d0*coupl(nGC_123)*coupl(&
              nGC_126) + cMT**2d0*cMZ**2d0*coupl(nGC_126)**2d0 - cMT**2d0*coupl&
              (nGC_123)**2d0*rMZ**2d0 + 6d0*cMT**2d0*coupl(nGC_123)*coupl(     &
              nGC_126)*rMZ**2d0 - cMT**2d0*coupl(nGC_126)**2d0*rMZ**2d0 - cMZ**&
              2d0*coupl(nGC_123)**2d0*rMZ**2d0 - cMZ**2d0*coupl(nGC_126)**2d0* &
              rMZ**2d0 + coupl(nGC_123)**2d0*rMZ**4d0 + coupl(nGC_126)**2d0*rMZ&
              **4d0)/3d0 + 2d0*Nc*Ten568*(cMD**2d0*cMZ**2d0*coupl(nGC_122)**2d0&
               - 6d0*cMD**2d0*cMZ**2d0*coupl(nGC_122)*coupl(nGC_125) + cMD**2d0&
              *cMZ**2d0*coupl(nGC_125)**2d0 - cMD**2d0*coupl(nGC_122)**2d0*rMZ &
              **2d0 + 6d0*cMD**2d0*coupl(nGC_122)*coupl(nGC_125)*rMZ**2d0 - cMD&
              **2d0*coupl(nGC_125)**2d0*rMZ**2d0 - cMZ**2d0*coupl(nGC_122)**2d0&
              *rMZ**2d0 - cMZ**2d0*coupl(nGC_125)**2d0*rMZ**2d0 + coupl(nGC_122&
              )**2d0*rMZ**4d0 + coupl(nGC_125)**2d0*rMZ**4d0)/3d0 + 2d0*Nc*    &
              Ten569*(cMS**2d0*cMZ**2d0*coupl(nGC_122)**2d0 - 6d0*cMS**2d0*cMZ &
              **2d0*coupl(nGC_122)*coupl(nGC_125) + cMS**2d0*cMZ**2d0*coupl(   &
              nGC_125)**2d0 - cMS**2d0*coupl(nGC_122)**2d0*rMZ**2d0 + 6d0*cMS**&
              2d0*coupl(nGC_122)*coupl(nGC_125)*rMZ**2d0 - cMS**2d0*coupl(     &
              nGC_125)**2d0*rMZ**2d0 - cMZ**2d0*coupl(nGC_122)**2d0*rMZ**2d0 - &
              cMZ**2d0*coupl(nGC_125)**2d0*rMZ**2d0 + coupl(nGC_122)**2d0*rMZ**&
              4d0 + coupl(nGC_125)**2d0*rMZ**4d0)/3d0 + 2d0*Nc*Ten570*(cMB**2d0&
              *cMZ**2d0*coupl(nGC_122)**2d0 - 6d0*cMB**2d0*cMZ**2d0*coupl(     &
              nGC_122)*coupl(nGC_125) + cMB**2d0*cMZ**2d0*coupl(nGC_125)**2d0  &
               - cMB**2d0*coupl(nGC_122)**2d0*rMZ**2d0 + 6d0*cMB**2d0*coupl(   &
              nGC_122)*coupl(nGC_125)*rMZ**2d0 - cMB**2d0*coupl(nGC_125)**2d0* &
              rMZ**2d0 - cMZ**2d0*coupl(nGC_122)**2d0*rMZ**2d0 - cMZ**2d0*coupl&
              (nGC_125)**2d0*rMZ**2d0 + coupl(nGC_122)**2d0*rMZ**4d0 + coupl(  &
              nGC_125)**2d0*rMZ**4d0)/3d0 + Ten0*(cMHL**2d0*cMZ**2d0*coupl(    &
              nGC_130)**2d0 - 2d0*cMHL**2d0*cMZ**2d0*coupl(nGC_130)*coupl(     &
              nGC_131) + cMHL**2d0*cMZ**2d0*coupl(nGC_131)**2d0 - cMHL**2d0*   &
              coupl(nGC_130)**2d0*rMZ**2d0 + 2d0*cMHL**2d0*coupl(nGC_130)*coupl&
              (nGC_131)*rMZ**2d0 - cMHL**2d0*coupl(nGC_131)**2d0*rMZ**2d0 - cMZ&
              **4d0*coupl(nGC_130)**2d0 + 2d0*cMZ**4d0*coupl(nGC_130)*coupl(   &
              nGC_131) - cMZ**4d0*coupl(nGC_131)**2d0 + cMZ**2d0*coupl(nGC_130 &
              )**2d0*rMZ**2d0 - 2d0*cMZ**2d0*coupl(nGC_130)*coupl(nGC_131)*rMZ &
              **2d0 + cMZ**2d0*coupl(nGC_131)**2d0*rMZ**2d0 - 6d0*cima*coupl(  &
              nGC_145)*rMZ**4d0)/(12d0*rMZ**4d0) + Ten1*(-cMHH**2d0*cMZ**2d0*  &
              coupl(nGC_135)**2d0 + 2d0*cMHH**2d0*cMZ**2d0*coupl(nGC_135)*coupl&
              (nGC_136) - cMHH**2d0*cMZ**2d0*coupl(nGC_136)**2d0 + cMHH**2d0*  &
              coupl(nGC_135)**2d0*rMZ**2d0 - 2d0*cMHH**2d0*coupl(nGC_135)*coupl&
              (nGC_136)*rMZ**2d0 + cMHH**2d0*coupl(nGC_136)**2d0*rMZ**2d0 -    &
              cMHL**2d0*cMZ**2d0*coupl(nGC_130)**2d0 + 2d0*cMHL**2d0*cMZ**2d0* &
              coupl(nGC_130)*coupl(nGC_131) - cMHL**2d0*cMZ**2d0*coupl(nGC_131 &
              )**2d0 + cMHL**2d0*coupl(nGC_130)**2d0*rMZ**2d0 - 2d0*cMHL**2d0* &
              coupl(nGC_130)*coupl(nGC_131)*rMZ**2d0 + cMHL**2d0*coupl(nGC_131 &
              )**2d0*rMZ**2d0 + cMZ**4d0*coupl(nGC_130)**2d0 - 2d0*cMZ**4d0*   &
              coupl(nGC_130)*coupl(nGC_131) + cMZ**4d0*coupl(nGC_131)**2d0 +   &
              cMZ**4d0*coupl(nGC_135)**2d0 - 2d0*cMZ**4d0*coupl(nGC_135)*coupl(&
              nGC_136) + cMZ**4d0*coupl(nGC_136)**2d0 - cMZ**2d0*coupl(nGC_130 &
              )**2d0*rMZ**2d0 + 2d0*cMZ**2d0*coupl(nGC_130)*coupl(nGC_131)*rMZ &
              **2d0 - cMZ**2d0*coupl(nGC_131)**2d0*rMZ**2d0 - cMZ**2d0*coupl(  &
              nGC_135)**2d0*rMZ**2d0 + 2d0*cMZ**2d0*coupl(nGC_135)*coupl(      &
              nGC_136)*rMZ**2d0 - cMZ**2d0*coupl(nGC_136)**2d0*rMZ**2d0 - 6d0* &
              cima*coupl(nGC_142)*rMZ**4d0)/(12d0*rMZ**4d0) + Ten2*(cMHH**2d0* &
              cMZ**2d0*coupl(nGC_135)**2d0 - 2d0*cMHH**2d0*cMZ**2d0*coupl(     &
              nGC_135)*coupl(nGC_136) + cMHH**2d0*cMZ**2d0*coupl(nGC_136)**2d0 &
               - cMHH**2d0*coupl(nGC_135)**2d0*rMZ**2d0 + 2d0*cMHH**2d0*coupl( &
              nGC_135)*coupl(nGC_136)*rMZ**2d0 - cMHH**2d0*coupl(nGC_136)**2d0*&
              rMZ**2d0 - cMZ**4d0*coupl(nGC_135)**2d0 + 2d0*cMZ**4d0*coupl(    &
              nGC_135)*coupl(nGC_136) - cMZ**4d0*coupl(nGC_136)**2d0 + cMZ**2d0&
              *coupl(nGC_135)**2d0*rMZ**2d0 - 2d0*cMZ**2d0*coupl(nGC_135)*coupl&
              (nGC_136)*rMZ**2d0 + cMZ**2d0*coupl(nGC_136)**2d0*rMZ**2d0 - 6d0*&
              cima*coupl(nGC_151)*rMZ**4d0)/(12d0*rMZ**4d0) + cima*Ten3*(-coupl&
              (nGC_141) + 4d0*coupl(nGC_85) + 2d0*coupl(nGC_86)) + Ten515*(-   &
              cMHL**4d0*cMZ**2d0*coupl(nGC_130)**2d0 + 2d0*cMHL**4d0*cMZ**2d0* &
              coupl(nGC_130)*coupl(nGC_131) - cMHL**4d0*cMZ**2d0*coupl(nGC_131 &
              )**2d0 + cMHL**4d0*coupl(nGC_130)**2d0*rMZ**2d0 - 2d0*cMHL**4d0* &
              coupl(nGC_130)*coupl(nGC_131)*rMZ**2d0 + cMHL**4d0*coupl(nGC_131 &
              )**2d0*rMZ**2d0 + 2d0*cMHL**2d0*cMZ**4d0*coupl(nGC_130)**2d0 -   &
              4d0*cMHL**2d0*cMZ**4d0*coupl(nGC_130)*coupl(nGC_131) + 2d0*cMHL**&
              2d0*cMZ**4d0*coupl(nGC_131)**2d0 - 2d0*cMHL**2d0*cMZ**2d0*coupl( &
              nGC_130)**2d0*rMZ**2d0 + 4d0*cMHL**2d0*cMZ**2d0*coupl(nGC_130)*  &
              coupl(nGC_131)*rMZ**2d0 - 2d0*cMHL**2d0*cMZ**2d0*coupl(nGC_131)**&
              2d0*rMZ**2d0 - cMZ**6d0*coupl(nGC_130)**2d0 + 2d0*cMZ**6d0*coupl(&
              nGC_130)*coupl(nGC_131) - cMZ**6d0*coupl(nGC_131)**2d0 + cMZ**4d0&
              *coupl(nGC_130)**2d0*rMZ**2d0 - 2d0*cMZ**4d0*coupl(nGC_130)*coupl&
              (nGC_131)*rMZ**2d0 + cMZ**4d0*coupl(nGC_131)**2d0*rMZ**2d0 + cMZ &
              **2d0*coupl(nGC_130)**2d0*rMZ**4d0 - 2d0*cMZ**2d0*coupl(nGC_130)*&
              coupl(nGC_131)*rMZ**4d0 + cMZ**2d0*coupl(nGC_131)**2d0*rMZ**4d0  &
               - coupl(nGC_130)**2d0*rMZ**6d0 + 2d0*coupl(nGC_130)*coupl(      &
              nGC_131)*rMZ**6d0 - coupl(nGC_131)**2d0*rMZ**6d0 - 12d0*coupl(   &
              nGC_175)**2d0*rMZ**4d0)/(12d0*rMZ**4d0) + Ten516*(-cMHH**4d0*cMZ &
              **2d0*coupl(nGC_135)**2d0 + 2d0*cMHH**4d0*cMZ**2d0*coupl(nGC_135 &
              )*coupl(nGC_136) - cMHH**4d0*cMZ**2d0*coupl(nGC_136)**2d0 + cMHH &
              **4d0*coupl(nGC_135)**2d0*rMZ**2d0 - 2d0*cMHH**4d0*coupl(nGC_135 &
              )*coupl(nGC_136)*rMZ**2d0 + cMHH**4d0*coupl(nGC_136)**2d0*rMZ**  &
              2d0 + 2d0*cMHH**2d0*cMZ**4d0*coupl(nGC_135)**2d0 - 4d0*cMHH**2d0*&
              cMZ**4d0*coupl(nGC_135)*coupl(nGC_136) + 2d0*cMHH**2d0*cMZ**4d0* &
              coupl(nGC_136)**2d0 - 2d0*cMHH**2d0*cMZ**2d0*coupl(nGC_135)**2d0*&
              rMZ**2d0 + 4d0*cMHH**2d0*cMZ**2d0*coupl(nGC_135)*coupl(nGC_136)* &
              rMZ**2d0 - 2d0*cMHH**2d0*cMZ**2d0*coupl(nGC_136)**2d0*rMZ**2d0 - &
              cMZ**6d0*coupl(nGC_135)**2d0 + 2d0*cMZ**6d0*coupl(nGC_135)*coupl(&
              nGC_136) - cMZ**6d0*coupl(nGC_136)**2d0 + cMZ**4d0*coupl(nGC_135 &
              )**2d0*rMZ**2d0 - 2d0*cMZ**4d0*coupl(nGC_135)*coupl(nGC_136)*rMZ &
              **2d0 + cMZ**4d0*coupl(nGC_136)**2d0*rMZ**2d0 + cMZ**2d0*coupl(  &
              nGC_135)**2d0*rMZ**4d0 - 2d0*cMZ**2d0*coupl(nGC_135)*coupl(      &
              nGC_136)*rMZ**4d0 + cMZ**2d0*coupl(nGC_136)**2d0*rMZ**4d0 - coupl&
              (nGC_135)**2d0*rMZ**6d0 + 2d0*coupl(nGC_135)*coupl(nGC_136)*rMZ**&
              6d0 - coupl(nGC_136)**2d0*rMZ**6d0 - 12d0*coupl(nGC_178)**2d0*rMZ&
              **4d0)/(12d0*rMZ**4d0) + Ten517*(5d0*cMZ**2d0*coupl(nGC_102)**2d0&
              /3d0 - 10d0*cMZ**2d0*coupl(nGC_102)*coupl(nGC_103)/3d0 + 5d0*cMZ &
              **2d0*coupl(nGC_103)**2d0/3d0 + cMZ**2d0*coupl(nGC_104)**2d0/12d0&
               + cMZ**2d0*coupl(nGC_105)**2d0/12d0 - cMZ**2d0*coupl(nGC_127)** &
              2d0/12d0 + cMZ**2d0*coupl(nGC_127)*coupl(nGC_128)/6d0 - cMZ**2d0*&
              coupl(nGC_128)**2d0/12d0 + coupl(nGC_102)**2d0*rMZ**2d0/3d0 - 2d0&
              *coupl(nGC_102)*coupl(nGC_103)*rMZ**2d0/3d0 + coupl(nGC_103)**2d0&
              *rMZ**2d0/3d0 - coupl(nGC_104)**2d0*rMZ**2d0/12d0 - coupl(nGC_105&
              )**2d0*rMZ**2d0/12d0 + coupl(nGC_127)**2d0*rMZ**2d0/12d0 - coupl(&
              nGC_127)*coupl(nGC_128)*rMZ**2d0/6d0 + coupl(nGC_128)**2d0*rMZ** &
              2d0/12d0 - 2d0*coupl(nGC_171)**2d0) + Ten518*(-4d0*cME**2d0*coupl&
              (nGC_124)*coupl(nGC_128) - 2d0*cMZ**2d0*coupl(nGC_124)**2d0/3d0  &
               - 2d0*cMZ**2d0*coupl(nGC_128)**2d0/3d0 + 2d0*coupl(nGC_124)**2d0&
              *rMZ**2d0/3d0 + 2d0*coupl(nGC_128)**2d0*rMZ**2d0/3d0) + Ten519*(-&
              4d0*cMM**2d0*coupl(nGC_124)*coupl(nGC_128) - 2d0*cMZ**2d0*coupl( &
              nGC_124)**2d0/3d0 - 2d0*cMZ**2d0*coupl(nGC_128)**2d0/3d0 + 2d0*  &
              coupl(nGC_124)**2d0*rMZ**2d0/3d0 + 2d0*coupl(nGC_128)**2d0*rMZ** &
              2d0/3d0) + Ten520*(-4d0*cMTA**2d0*coupl(nGC_124)*coupl(nGC_128   &
              ) - 2d0*cMZ**2d0*coupl(nGC_124)**2d0/3d0 - 2d0*cMZ**2d0*coupl(   &
              nGC_128)**2d0/3d0 + 2d0*coupl(nGC_124)**2d0*rMZ**2d0/3d0 + 2d0*  &
              coupl(nGC_128)**2d0*rMZ**2d0/3d0) + Ten527*(4d0*coupl(nGC_102)** &
              2d0 - 8d0*coupl(nGC_102)*coupl(nGC_103) + 4d0*coupl(nGC_103)**2d0&
               - coupl(nGC_104)**2d0 - coupl(nGC_105)**2d0 + coupl(nGC_127)**  &
              2d0 - 2d0*coupl(nGC_127)*coupl(nGC_128) + coupl(nGC_128)**2d0) + &
              Ten528*(4d0*coupl(nGC_124)**2d0 + 4d0*coupl(nGC_128)**2d0) +     &
              Ten529*(4d0*coupl(nGC_124)**2d0 + 4d0*coupl(nGC_128)**2d0) +     &
              Ten530*(4d0*coupl(nGC_124)**2d0 + 4d0*coupl(nGC_128)**2d0) + 2d0*&
              Ten531*rMZ**2d0*(coupl(nGC_124)**2d0 + coupl(nGC_128)**2d0) + 2d0&
              *Ten532*rMZ**2d0*(coupl(nGC_124)**2d0 + coupl(nGC_128)**2d0) +   &
              2d0*Ten533*rMZ**2d0*(coupl(nGC_124)**2d0 + coupl(nGC_128)**2d0   &
              ) + 2d0*Ten534*rMZ**2d0*(coupl(nGC_124)**2d0 + coupl(nGC_128)**  &
              2d0) + 2d0*Ten535*rMZ**2d0*(coupl(nGC_124)**2d0 + coupl(nGC_128  &
              )**2d0) + 2d0*Ten536*rMZ**2d0*(coupl(nGC_124)**2d0 + coupl(      &
              nGC_128)**2d0) + Ten555*(-coupl(nGC_130)**2d0 + 2d0*coupl(nGC_130&
              )*coupl(nGC_131) - coupl(nGC_131)**2d0) + Ten556*(-coupl(nGC_135 &
              )**2d0 + 2d0*coupl(nGC_135)*coupl(nGC_136) - coupl(nGC_136)**2d0 &
              ) + 12d0*Ten557*coupl(nGC_129)**2d0 + 6d0*Ten558*coupl(nGC_129)**&
              2d0*rMZ**2d0 + 6d0*Ten559*coupl(nGC_129)**2d0*rMZ**2d0 + 2d0*    &
              Ten560*coupl(nGC_129)**2d0*(-cMZ**2d0 + rMZ**2d0) + Ten561*(4d0* &
              cMW**2d0*cMZ**2d0*coupl(nGC_102)**2d0/3d0 - 8d0*cMW**2d0*cMZ**2d0&
              *coupl(nGC_102)*coupl(nGC_103)/3d0 + 4d0*cMW**2d0*cMZ**2d0*coupl(&
              nGC_103)**2d0/3d0 - cMW**2d0*cMZ**2d0*coupl(nGC_104)**2d0/3d0 -  &
              cMW**2d0*cMZ**2d0*coupl(nGC_105)**2d0/3d0 + cMW**2d0*cMZ**2d0*   &
              coupl(nGC_127)**2d0/3d0 - 2d0*cMW**2d0*cMZ**2d0*coupl(nGC_127)*  &
              coupl(nGC_128)/3d0 + cMW**2d0*cMZ**2d0*coupl(nGC_128)**2d0/3d0 - &
              4d0*cMW**2d0*coupl(nGC_102)**2d0*rMZ**2d0/3d0 + 8d0*cMW**2d0*    &
              coupl(nGC_102)*coupl(nGC_103)*rMZ**2d0/3d0 - 4d0*cMW**2d0*coupl( &
              nGC_103)**2d0*rMZ**2d0/3d0 + cMW**2d0*coupl(nGC_104)**2d0*rMZ**  &
              2d0/3d0 + cMW**2d0*coupl(nGC_105)**2d0*rMZ**2d0/3d0 - cMW**2d0*  &
              coupl(nGC_127)**2d0*rMZ**2d0/3d0 + 2d0*cMW**2d0*coupl(nGC_127)*  &
              coupl(nGC_128)*rMZ**2d0/3d0 - cMW**2d0*coupl(nGC_128)**2d0*rMZ** &
              2d0/3d0 + 5d0*cMZ**2d0*coupl(nGC_102)**2d0*rMZ**2d0/3d0 - 10d0*  &
              cMZ**2d0*coupl(nGC_102)*coupl(nGC_103)*rMZ**2d0/3d0 + 5d0*cMZ**  &
              2d0*coupl(nGC_103)**2d0*rMZ**2d0/3d0 + cMZ**2d0*coupl(nGC_104)** &
              2d0*rMZ**2d0/12d0 + cMZ**2d0*coupl(nGC_105)**2d0*rMZ**2d0/12d0 - &
              cMZ**2d0*coupl(nGC_127)**2d0*rMZ**2d0/12d0 + cMZ**2d0*coupl(     &
              nGC_127)*coupl(nGC_128)*rMZ**2d0/6d0 - cMZ**2d0*coupl(nGC_128)** &
              2d0*rMZ**2d0/12d0 - 2d0*cMZ**2d0*coupl(nGC_171)**2d0 - 5d0*coupl(&
              nGC_102)**2d0*rMZ**4d0/3d0 + 10d0*coupl(nGC_102)*coupl(nGC_103)* &
              rMZ**4d0/3d0 - 5d0*coupl(nGC_103)**2d0*rMZ**4d0/3d0 - coupl(     &
              nGC_104)**2d0*rMZ**4d0/12d0 - coupl(nGC_105)**2d0*rMZ**4d0/12d0  &
               + coupl(nGC_127)**2d0*rMZ**4d0/12d0 - coupl(nGC_127)*coupl(     &
              nGC_128)*rMZ**4d0/6d0 + coupl(nGC_128)**2d0*rMZ**4d0/12d0 + 2d0* &
              coupl(nGC_171)**2d0*rMZ**2d0) + Ten562*(2d0*cME**2d0*cMZ**2d0*   &
              coupl(nGC_124)**2d0/3d0 - 4d0*cME**2d0*cMZ**2d0*coupl(nGC_124)*  &
              coupl(nGC_128) + 2d0*cME**2d0*cMZ**2d0*coupl(nGC_128)**2d0/3d0 - &
              2d0*cME**2d0*coupl(nGC_124)**2d0*rMZ**2d0/3d0 + 4d0*cME**2d0*    &
              coupl(nGC_124)*coupl(nGC_128)*rMZ**2d0 - 2d0*cME**2d0*coupl(     &
              nGC_128)**2d0*rMZ**2d0/3d0 - 2d0*cMZ**2d0*coupl(nGC_124)**2d0*rMZ&
              **2d0/3d0 - 2d0*cMZ**2d0*coupl(nGC_128)**2d0*rMZ**2d0/3d0 + 2d0* &
              coupl(nGC_124)**2d0*rMZ**4d0/3d0 + 2d0*coupl(nGC_128)**2d0*rMZ** &
              4d0/3d0) + Ten563*(2d0*cMM**2d0*cMZ**2d0*coupl(nGC_124)**2d0/3d0 &
               - 4d0*cMM**2d0*cMZ**2d0*coupl(nGC_124)*coupl(nGC_128) + 2d0*cMM &
              **2d0*cMZ**2d0*coupl(nGC_128)**2d0/3d0 - 2d0*cMM**2d0*coupl(     &
              nGC_124)**2d0*rMZ**2d0/3d0 + 4d0*cMM**2d0*coupl(nGC_124)*coupl(  &
              nGC_128)*rMZ**2d0 - 2d0*cMM**2d0*coupl(nGC_128)**2d0*rMZ**2d0/3d0&
               - 2d0*cMZ**2d0*coupl(nGC_124)**2d0*rMZ**2d0/3d0 - 2d0*cMZ**2d0* &
              coupl(nGC_128)**2d0*rMZ**2d0/3d0 + 2d0*coupl(nGC_124)**2d0*rMZ** &
              4d0/3d0 + 2d0*coupl(nGC_128)**2d0*rMZ**4d0/3d0) + Ten564*(2d0*   &
              cMTA**2d0*cMZ**2d0*coupl(nGC_124)**2d0/3d0 - 4d0*cMTA**2d0*cMZ** &
              2d0*coupl(nGC_124)*coupl(nGC_128) + 2d0*cMTA**2d0*cMZ**2d0*coupl(&
              nGC_128)**2d0/3d0 - 2d0*cMTA**2d0*coupl(nGC_124)**2d0*rMZ**2d0/  &
              3d0 + 4d0*cMTA**2d0*coupl(nGC_124)*coupl(nGC_128)*rMZ**2d0 - 2d0*&
              cMTA**2d0*coupl(nGC_128)**2d0*rMZ**2d0/3d0 - 2d0*cMZ**2d0*coupl( &
              nGC_124)**2d0*rMZ**2d0/3d0 - 2d0*cMZ**2d0*coupl(nGC_128)**2d0*rMZ&
              **2d0/3d0 + 2d0*coupl(nGC_124)**2d0*rMZ**4d0/3d0 + 2d0*coupl(    &
              nGC_128)**2d0*rMZ**4d0/3d0) + 2d0*Ten571*coupl(nGC_129)**2d0*rMZ &
              **2d0*(-cMZ**2d0 + rMZ**2d0) + Ten572*(cMHL**4d0*cMZ**2d0*coupl( &
              nGC_130)**2d0 - 2d0*cMHL**4d0*cMZ**2d0*coupl(nGC_130)*coupl(     &
              nGC_131) + cMHL**4d0*cMZ**2d0*coupl(nGC_131)**2d0 - cMHL**4d0*   &
              coupl(nGC_130)**2d0*rMZ**2d0 + 2d0*cMHL**4d0*coupl(nGC_130)*coupl&
              (nGC_131)*rMZ**2d0 - cMHL**4d0*coupl(nGC_131)**2d0*rMZ**2d0 - 2d0&
              *cMHL**2d0*cMZ**4d0*coupl(nGC_130)**2d0 + 4d0*cMHL**2d0*cMZ**4d0*&
              coupl(nGC_130)*coupl(nGC_131) - 2d0*cMHL**2d0*cMZ**4d0*coupl(    &
              nGC_131)**2d0 + 2d0*cMHL**2d0*coupl(nGC_130)**2d0*rMZ**4d0 - 4d0*&
              cMHL**2d0*coupl(nGC_130)*coupl(nGC_131)*rMZ**4d0 + 2d0*cMHL**2d0*&
              coupl(nGC_131)**2d0*rMZ**4d0 + cMZ**6d0*coupl(nGC_130)**2d0 - 2d0&
              *cMZ**6d0*coupl(nGC_130)*coupl(nGC_131) + cMZ**6d0*coupl(nGC_131 &
              )**2d0 - 3d0*cMZ**4d0*coupl(nGC_130)**2d0*rMZ**2d0 + 6d0*cMZ**4d0&
              *coupl(nGC_130)*coupl(nGC_131)*rMZ**2d0 - 3d0*cMZ**4d0*coupl(    &
              nGC_131)**2d0*rMZ**2d0 + 3d0*cMZ**2d0*coupl(nGC_130)**2d0*rMZ**  &
              4d0 - 6d0*cMZ**2d0*coupl(nGC_130)*coupl(nGC_131)*rMZ**4d0 + 3d0* &
              cMZ**2d0*coupl(nGC_131)**2d0*rMZ**4d0 - 12d0*cMZ**2d0*coupl(     &
              nGC_175)**2d0*rMZ**2d0 - coupl(nGC_130)**2d0*rMZ**6d0 + 2d0*coupl&
              (nGC_130)*coupl(nGC_131)*rMZ**6d0 - coupl(nGC_131)**2d0*rMZ**6d0 &
               + 12d0*coupl(nGC_175)**2d0*rMZ**4d0)/(12d0*rMZ**2d0) + Ten573*( &
              cMHH**4d0*cMZ**2d0*coupl(nGC_135)**2d0 - 2d0*cMHH**4d0*cMZ**2d0* &
              coupl(nGC_135)*coupl(nGC_136) + cMHH**4d0*cMZ**2d0*coupl(nGC_136 &
              )**2d0 - cMHH**4d0*coupl(nGC_135)**2d0*rMZ**2d0 + 2d0*cMHH**4d0* &
              coupl(nGC_135)*coupl(nGC_136)*rMZ**2d0 - cMHH**4d0*coupl(nGC_136 &
              )**2d0*rMZ**2d0 - 2d0*cMHH**2d0*cMZ**4d0*coupl(nGC_135)**2d0 +   &
              4d0*cMHH**2d0*cMZ**4d0*coupl(nGC_135)*coupl(nGC_136) - 2d0*cMHH**&
              2d0*cMZ**4d0*coupl(nGC_136)**2d0 + 2d0*cMHH**2d0*coupl(nGC_135)**&
              2d0*rMZ**4d0 - 4d0*cMHH**2d0*coupl(nGC_135)*coupl(nGC_136)*rMZ** &
              4d0 + 2d0*cMHH**2d0*coupl(nGC_136)**2d0*rMZ**4d0 + cMZ**6d0*coupl&
              (nGC_135)**2d0 - 2d0*cMZ**6d0*coupl(nGC_135)*coupl(nGC_136) + cMZ&
              **6d0*coupl(nGC_136)**2d0 - 3d0*cMZ**4d0*coupl(nGC_135)**2d0*rMZ &
              **2d0 + 6d0*cMZ**4d0*coupl(nGC_135)*coupl(nGC_136)*rMZ**2d0 - 3d0&
              *cMZ**4d0*coupl(nGC_136)**2d0*rMZ**2d0 + 3d0*cMZ**2d0*coupl(     &
              nGC_135)**2d0*rMZ**4d0 - 6d0*cMZ**2d0*coupl(nGC_135)*coupl(      &
              nGC_136)*rMZ**4d0 + 3d0*cMZ**2d0*coupl(nGC_136)**2d0*rMZ**4d0 -  &
              12d0*cMZ**2d0*coupl(nGC_178)**2d0*rMZ**2d0 - coupl(nGC_135)**2d0*&
              rMZ**6d0 + 2d0*coupl(nGC_135)*coupl(nGC_136)*rMZ**6d0 - coupl(   &
              nGC_136)**2d0*rMZ**6d0 + 12d0*coupl(nGC_178)**2d0*rMZ**4d0)/(12d0&
              *rMZ**2d0) + pi**2d0*(-2d0*Nc*cMB**2d0*coupl(nGC_122)**2d0/pi**  &
              2d0 - 2d0*Nc*cMB**2d0*coupl(nGC_125)**2d0/pi**2d0 - 2d0*Nc*cMC** &
              2d0*coupl(nGC_123)**2d0/pi**2d0 - 2d0*Nc*cMC**2d0*coupl(nGC_126  &
              )**2d0/pi**2d0 - 2d0*Nc*cMD**2d0*coupl(nGC_122)**2d0/pi**2d0 -   &
              2d0*Nc*cMD**2d0*coupl(nGC_125)**2d0/pi**2d0 - 2d0*Nc*cMS**2d0*   &
              coupl(nGC_122)**2d0/pi**2d0 - 2d0*Nc*cMS**2d0*coupl(nGC_125)**2d0&
              /pi**2d0 - 2d0*Nc*cMT**2d0*coupl(nGC_123)**2d0/pi**2d0 - 2d0*Nc* &
              cMT**2d0*coupl(nGC_126)**2d0/pi**2d0 - 2d0*Nc*cMU**2d0*coupl(    &
              nGC_123)**2d0/pi**2d0 - 2d0*Nc*cMU**2d0*coupl(nGC_126)**2d0/pi** &
              2d0 + 2d0*Nc*cMZ**2d0*coupl(nGC_122)**2d0/(3d0*pi**2d0) + 2d0*Nc*&
              cMZ**2d0*coupl(nGC_123)**2d0/(3d0*pi**2d0) + 2d0*Nc*cMZ**2d0*    &
              coupl(nGC_125)**2d0/(3d0*pi**2d0) + 2d0*Nc*cMZ**2d0*coupl(nGC_126&
              )**2d0/(3d0*pi**2d0) + Nc*coupl(nGC_122)**2d0*rMZ**2d0/(3d0*pi** &
              2d0) + Nc*coupl(nGC_123)**2d0*rMZ**2d0/(3d0*pi**2d0) + Nc*coupl( &
              nGC_125)**2d0*rMZ**2d0/(3d0*pi**2d0) + Nc*coupl(nGC_126)**2d0*rMZ&
              **2d0/(3d0*pi**2d0) - 2d0*cME**2d0*coupl(nGC_124)**2d0/pi**2d0 - &
              2d0*cME**2d0*coupl(nGC_128)**2d0/pi**2d0 - 2d0*cMM**2d0*coupl(   &
              nGC_124)**2d0/pi**2d0 - 2d0*cMM**2d0*coupl(nGC_128)**2d0/pi**2d0 &
               - 2d0*cMTA**2d0*coupl(nGC_124)**2d0/pi**2d0 - 2d0*cMTA**2d0*    &
              coupl(nGC_128)**2d0/pi**2d0 - cMW**2d0*coupl(nGC_102)**2d0/pi**  &
              2d0 + 2d0*cMW**2d0*coupl(nGC_102)*coupl(nGC_103)/pi**2d0 - cMW** &
              2d0*coupl(nGC_103)**2d0/pi**2d0 - 2d0*cima*cMW**2d0*coupl(nGC_85 &
              )/pi**2d0 - cMZ**2d0*coupl(nGC_102)**2d0/(18d0*pi**2d0) + cMZ**  &
              2d0*coupl(nGC_102)*coupl(nGC_103)/(9d0*pi**2d0) - cMZ**2d0*coupl(&
              nGC_103)**2d0/(18d0*pi**2d0) + cMZ**2d0*coupl(nGC_104)**2d0/(18d0&
              *pi**2d0) + cMZ**2d0*coupl(nGC_105)**2d0/(18d0*pi**2d0) + 2d0*cMZ&
              **2d0*coupl(nGC_124)**2d0/(3d0*pi**2d0) - cMZ**2d0*coupl(nGC_127 &
              )**2d0/(18d0*pi**2d0) + cMZ**2d0*coupl(nGC_127)*coupl(nGC_128)/( &
              9d0*pi**2d0) + 11d0*cMZ**2d0*coupl(nGC_128)**2d0/(18d0*pi**2d0   &
              ) + 2d0*cMZ**2d0*coupl(nGC_129)**2d0/(3d0*pi**2d0) + cMZ**2d0*   &
              coupl(nGC_130)**2d0/(18d0*pi**2d0) - cMZ**2d0*coupl(nGC_130)*    &
              coupl(nGC_131)/(9d0*pi**2d0) + cMZ**2d0*coupl(nGC_131)**2d0/(18d0&
              *pi**2d0) + cMZ**2d0*coupl(nGC_135)**2d0/(18d0*pi**2d0) - cMZ**  &
              2d0*coupl(nGC_135)*coupl(nGC_136)/(9d0*pi**2d0) + cMZ**2d0*coupl(&
              nGC_136)**2d0/(18d0*pi**2d0) + 2d0*coupl(nGC_102)**2d0*rMZ**2d0/(&
              9d0*pi**2d0) - 4d0*coupl(nGC_102)*coupl(nGC_103)*rMZ**2d0/(9d0*pi&
              **2d0) + 2d0*coupl(nGC_103)**2d0*rMZ**2d0/(9d0*pi**2d0) - coupl( &
              nGC_104)**2d0*rMZ**2d0/(18d0*pi**2d0) - coupl(nGC_105)**2d0*rMZ**&
              2d0/(18d0*pi**2d0) + coupl(nGC_124)**2d0*rMZ**2d0/(3d0*pi**2d0   &
              ) + coupl(nGC_127)**2d0*rMZ**2d0/(18d0*pi**2d0) - coupl(nGC_127)*&
              coupl(nGC_128)*rMZ**2d0/(9d0*pi**2d0) + 7d0*coupl(nGC_128)**2d0* &
              rMZ**2d0/(18d0*pi**2d0) + coupl(nGC_129)**2d0*rMZ**2d0/(3d0*pi** &
              2d0) - coupl(nGC_130)**2d0*rMZ**2d0/(18d0*pi**2d0) + coupl(      &
              nGC_130)*coupl(nGC_131)*rMZ**2d0/(9d0*pi**2d0) - coupl(nGC_131)**&
              2d0*rMZ**2d0/(18d0*pi**2d0) - coupl(nGC_135)**2d0*rMZ**2d0/(18d0*&
              pi**2d0) + coupl(nGC_135)*coupl(nGC_136)*rMZ**2d0/(9d0*pi**2d0   &
              ) - coupl(nGC_136)**2d0*rMZ**2d0/(18d0*pi**2d0)))/(16d0*pi**2d0  &
              ) - cima*coupl(nGC_175)*dtHl_QED1/cMHL**2d0 - cima*coupl(nGC_178 &
              )*dtHh_QED1/cMHH**2d0
    if (.not. complex_mass_scheme) then
      dMZ2_QED2 = cone*real(dMZ2_QED2,kind=dp)
    end if 
end subroutine set_ctparameter139
end module ctparameter139
