!******************************************************************************!
!                                                                              !
!    ctparameter141.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2020 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter141.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 27.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2020-07-29 18:14             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter141
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter141()
  dZWMinus_QED2 = (Nc*Ten10*coupl(nGC_99)**2d0*(-cMD**2d0 + cMU**2d0)/(3d0*rMW &
                  **4d0) + Nc*Ten11*coupl(nGC_99)**2d0*(cMC**2d0 - cMS**2d0)/( &
                  3d0*rMW**4d0) + Nc*Ten12*coupl(nGC_99)**2d0*(-cMB**2d0 + cMT &
                  **2d0)/(3d0*rMW**4d0) + Nc*Ten604*coupl(nGC_99)**2d0*(cMD**  &
                  4d0 - 2d0*cMD**2d0*cMU**2d0 + cMU**4d0 + 2d0*rMW**4d0)/(3d0* &
                  rMW**4d0) + Nc*Ten605*coupl(nGC_99)**2d0*(cMC**4d0 - 2d0*cMC &
                  **2d0*cMS**2d0 + cMS**4d0 + 2d0*rMW**4d0)/(3d0*rMW**4d0) + Nc&
                  *Ten606*coupl(nGC_99)**2d0*(cMB**4d0 - 2d0*cMB**2d0*cMT**2d0 &
                   + cMT**4d0 + 2d0*rMW**4d0)/(3d0*rMW**4d0) + Nc*Ten612*coupl(&
                  nGC_99)**2d0*(-cMD**4d0 + 2d0*cMD**2d0*cMU**2d0 - cMD**2d0*  &
                  rMW**2d0 - cMU**4d0 - cMU**2d0*rMW**2d0 + 2d0*rMW**4d0)/(3d0*&
                  rMW**2d0) + Nc*Ten613*coupl(nGC_99)**2d0*(-cMC**4d0 + 2d0*cMC&
                  **2d0*cMS**2d0 - cMC**2d0*rMW**2d0 - cMS**4d0 - cMS**2d0*rMW &
                  **2d0 + 2d0*rMW**4d0)/(3d0*rMW**2d0) + Nc*Ten614*coupl(nGC_99&
                  )**2d0*(-cMB**4d0 + 2d0*cMB**2d0*cMT**2d0 - cMB**2d0*rMW**2d0&
                   - cMT**4d0 - cMT**2d0*rMW**2d0 + 2d0*rMW**4d0)/(3d0*rMW**2d0&
                  ) + Nc*Ten7*coupl(nGC_99)**2d0*(cMD**2d0 - cMU**2d0)/(3d0*rMW&
                  **4d0) + Nc*Ten8*coupl(nGC_99)**2d0*(-cMC**2d0 + cMS**2d0)/( &
                  3d0*rMW**4d0) + Nc*Ten9*coupl(nGC_99)**2d0*(cMB**2d0 - cMT** &
                  2d0)/(3d0*rMW**4d0) + Ten0*coupl(nGC_101)*(-cMHL**2d0*coupl( &
                  nGC_100) + cMHL**2d0*coupl(nGC_101) + cMW**2d0*coupl(nGC_100 &
                  ) - cMW**2d0*coupl(nGC_101))/(6d0*rMW**4d0) + Ten1*(-4d0*cMW &
                  **2d0*coupl(nGC_102)**2d0 + 8d0*cMW**2d0*coupl(nGC_102)*coupl&
                  (nGC_103) - 4d0*cMW**2d0*coupl(nGC_103)**2d0 + cMW**2d0*coupl&
                  (nGC_104)**2d0 + cMW**2d0*coupl(nGC_105)**2d0 - 2d0*cMW**2d0*&
                  coupl(nGC_97)*coupl(nGC_98) + 2d0*cMW**2d0*coupl(nGC_98)**2d0&
                   + 4d0*cMZ**2d0*coupl(nGC_102)**2d0 - 8d0*cMZ**2d0*coupl(    &
                  nGC_102)*coupl(nGC_103) + 4d0*cMZ**2d0*coupl(nGC_103)**2d0 - &
                  cMZ**2d0*coupl(nGC_104)**2d0 - cMZ**2d0*coupl(nGC_105)**2d0  &
                   + 2d0*cMZ**2d0*coupl(nGC_97)*coupl(nGC_98) - 2d0*cMZ**2d0*  &
                  coupl(nGC_98)**2d0)/(12d0*rMW**4d0) + Ten2*coupl(nGC_118)*(- &
                  cMHH**2d0*coupl(nGC_117) + cMHH**2d0*coupl(nGC_118) + cMW**  &
                  2d0*coupl(nGC_117) - cMW**2d0*coupl(nGC_118))/(6d0*rMW**4d0  &
                  ) + Ten3*(2d0*cMHH**2d0*coupl(nGC_117)*coupl(nGC_118) - 2d0* &
                  cMHH**2d0*coupl(nGC_118)**2d0 + 2d0*cMHL**2d0*coupl(nGC_100)*&
                  coupl(nGC_101) - 2d0*cMHL**2d0*coupl(nGC_101)**2d0 - 2d0*cMW &
                  **2d0*coupl(nGC_100)*coupl(nGC_101) + 2d0*cMW**2d0*coupl(    &
                  nGC_101)**2d0 + 4d0*cMW**2d0*coupl(nGC_102)**2d0 - 8d0*cMW** &
                  2d0*coupl(nGC_102)*coupl(nGC_103) + 4d0*cMW**2d0*coupl(      &
                  nGC_103)**2d0 - cMW**2d0*coupl(nGC_104)**2d0 - cMW**2d0*coupl&
                  (nGC_105)**2d0 - 2d0*cMW**2d0*coupl(nGC_117)*coupl(nGC_118   &
                  ) + 2d0*cMW**2d0*coupl(nGC_118)**2d0 + 8d0*cMW**2d0*coupl(   &
                  nGC_3)**2d0 - 8d0*cMW**2d0*coupl(nGC_3)*coupl(nGC_4) - cMW** &
                  2d0*coupl(nGC_5)**2d0 - cMW**2d0*coupl(nGC_6)**2d0 + 2d0*cMW &
                  **2d0*coupl(nGC_97)*coupl(nGC_98) - 2d0*cMW**2d0*coupl(nGC_98&
                  )**2d0 - 4d0*cMZ**2d0*coupl(nGC_102)**2d0 + 8d0*cMZ**2d0*    &
                  coupl(nGC_102)*coupl(nGC_103) - 4d0*cMZ**2d0*coupl(nGC_103)**&
                  2d0 + cMZ**2d0*coupl(nGC_104)**2d0 + cMZ**2d0*coupl(nGC_105  &
                  )**2d0 - 2d0*cMZ**2d0*coupl(nGC_97)*coupl(nGC_98) + 2d0*cMZ**&
                  2d0*coupl(nGC_98)**2d0)/(12d0*rMW**4d0) - Ten4*cME**2d0*coupl&
                  (nGC_99)**2d0/(3d0*rMW**4d0) - Ten5*cMM**2d0*coupl(nGC_99)** &
                  2d0/(3d0*rMW**4d0) + Ten574*(4d0*cME**2d0*coupl(nGC_99)**2d0 &
                   + 4d0*cMM**2d0*coupl(nGC_99)**2d0 + 4d0*cMTA**2d0*coupl(    &
                  nGC_99)**2d0 - 8d0*cMW**2d0*coupl(nGC_3)**2d0 + 8d0*cMW**2d0*&
                  coupl(nGC_3)*coupl(nGC_4) + cMW**2d0*coupl(nGC_5)**2d0 + cMW &
                  **2d0*coupl(nGC_6)**2d0)/(12d0*rMW**4d0) + Ten575*(-8d0*cMW**&
                  4d0*coupl(nGC_3)**2d0 + 8d0*cMW**4d0*coupl(nGC_3)*coupl(nGC_4&
                  ) + cMW**4d0*coupl(nGC_5)**2d0 + cMW**4d0*coupl(nGC_6)**2d0  &
                   - 40d0*coupl(nGC_3)**2d0*rMW**4d0 + 40d0*coupl(nGC_3)*coupl(&
                  nGC_4)*rMW**4d0 - coupl(nGC_5)**2d0*rMW**4d0 - coupl(nGC_6)**&
                  2d0*rMW**4d0)/(12d0*rMW**4d0) + Ten577*(-4d0*cMW**4d0*coupl( &
                  nGC_102)**2d0 + 8d0*cMW**4d0*coupl(nGC_102)*coupl(nGC_103) - &
                  4d0*cMW**4d0*coupl(nGC_103)**2d0 + cMW**4d0*coupl(nGC_104)** &
                  2d0 + cMW**4d0*coupl(nGC_105)**2d0 - 2d0*cMW**4d0*coupl(     &
                  nGC_97)*coupl(nGC_98) + 2d0*cMW**4d0*coupl(nGC_98)**2d0 + 8d0&
                  *cMW**2d0*cMZ**2d0*coupl(nGC_102)**2d0 - 16d0*cMW**2d0*cMZ** &
                  2d0*coupl(nGC_102)*coupl(nGC_103) + 8d0*cMW**2d0*cMZ**2d0*   &
                  coupl(nGC_103)**2d0 - 2d0*cMW**2d0*cMZ**2d0*coupl(nGC_104)** &
                  2d0 - 2d0*cMW**2d0*cMZ**2d0*coupl(nGC_105)**2d0 + 4d0*cMW**  &
                  2d0*cMZ**2d0*coupl(nGC_97)*coupl(nGC_98) - 4d0*cMW**2d0*cMZ**&
                  2d0*coupl(nGC_98)**2d0 - 4d0*cMZ**4d0*coupl(nGC_102)**2d0 +  &
                  8d0*cMZ**4d0*coupl(nGC_102)*coupl(nGC_103) - 4d0*cMZ**4d0*   &
                  coupl(nGC_103)**2d0 + cMZ**4d0*coupl(nGC_104)**2d0 + cMZ**4d0&
                  *coupl(nGC_105)**2d0 - 2d0*cMZ**4d0*coupl(nGC_97)*coupl(     &
                  nGC_98) + 2d0*cMZ**4d0*coupl(nGC_98)**2d0 - 20d0*coupl(      &
                  nGC_102)**2d0*rMW**4d0 + 40d0*coupl(nGC_102)*coupl(nGC_103)* &
                  rMW**4d0 - 20d0*coupl(nGC_103)**2d0*rMW**4d0 - coupl(nGC_104 &
                  )**2d0*rMW**4d0 - coupl(nGC_105)**2d0*rMW**4d0 + 2d0*coupl(  &
                  nGC_97)*coupl(nGC_98)*rMW**4d0 - 2d0*coupl(nGC_98)**2d0*rMW**&
                  4d0)/(12d0*rMW**4d0) + Ten578*coupl(nGC_101)*(cMHL**4d0*coupl&
                  (nGC_100) - cMHL**4d0*coupl(nGC_101) - 2d0*cMHL**2d0*cMW**2d0&
                  *coupl(nGC_100) + 2d0*cMHL**2d0*cMW**2d0*coupl(nGC_101) + cMW&
                  **4d0*coupl(nGC_100) - cMW**4d0*coupl(nGC_101) - coupl(      &
                  nGC_100)*rMW**4d0 + coupl(nGC_101)*rMW**4d0)/(6d0*rMW**4d0   &
                  ) + Ten579*coupl(nGC_118)*(cMHH**4d0*coupl(nGC_117) - cMHH** &
                  4d0*coupl(nGC_118) - 2d0*cMHH**2d0*cMW**2d0*coupl(nGC_117) + &
                  2d0*cMHH**2d0*cMW**2d0*coupl(nGC_118) + cMW**4d0*coupl(      &
                  nGC_117) - cMW**4d0*coupl(nGC_118) - coupl(nGC_117)*rMW**4d0 &
                   + coupl(nGC_118)*rMW**4d0)/(6d0*rMW**4d0) - Ten6*cMTA**2d0* &
                  coupl(nGC_99)**2d0/(3d0*rMW**4d0) + Ten601*coupl(nGC_99)**2d0&
                  *(cME**4d0 + 2d0*rMW**4d0)/(3d0*rMW**4d0) + Ten602*coupl(    &
                  nGC_99)**2d0*(cMM**4d0 + 2d0*rMW**4d0)/(3d0*rMW**4d0) +      &
                  Ten603*coupl(nGC_99)**2d0*(cMTA**4d0 + 2d0*rMW**4d0)/(3d0*rMW&
                  **4d0) + Ten607*(4d0*cMW**4d0*coupl(nGC_102)**2d0 - 8d0*cMW**&
                  4d0*coupl(nGC_102)*coupl(nGC_103) + 4d0*cMW**4d0*coupl(      &
                  nGC_103)**2d0 - cMW**4d0*coupl(nGC_104)**2d0 - cMW**4d0*coupl&
                  (nGC_105)**2d0 + 2d0*cMW**4d0*coupl(nGC_97)*coupl(nGC_98) -  &
                  2d0*cMW**4d0*coupl(nGC_98)**2d0 - 8d0*cMW**2d0*cMZ**2d0*coupl&
                  (nGC_102)**2d0 + 16d0*cMW**2d0*cMZ**2d0*coupl(nGC_102)*coupl(&
                  nGC_103) - 8d0*cMW**2d0*cMZ**2d0*coupl(nGC_103)**2d0 + 2d0*  &
                  cMW**2d0*cMZ**2d0*coupl(nGC_104)**2d0 + 2d0*cMW**2d0*cMZ**2d0&
                  *coupl(nGC_105)**2d0 - 4d0*cMW**2d0*cMZ**2d0*coupl(nGC_97)*  &
                  coupl(nGC_98) + 4d0*cMW**2d0*cMZ**2d0*coupl(nGC_98)**2d0 -   &
                  8d0*cMW**2d0*coupl(nGC_102)**2d0*rMW**2d0 + 16d0*cMW**2d0*   &
                  coupl(nGC_102)*coupl(nGC_103)*rMW**2d0 - 8d0*cMW**2d0*coupl( &
                  nGC_103)**2d0*rMW**2d0 + 2d0*cMW**2d0*coupl(nGC_104)**2d0*rMW&
                  **2d0 + 2d0*cMW**2d0*coupl(nGC_105)**2d0*rMW**2d0 - 4d0*cMW**&
                  2d0*coupl(nGC_97)*coupl(nGC_98)*rMW**2d0 + 4d0*cMW**2d0*coupl&
                  (nGC_98)**2d0*rMW**2d0 + 4d0*cMZ**4d0*coupl(nGC_102)**2d0 -  &
                  8d0*cMZ**4d0*coupl(nGC_102)*coupl(nGC_103) + 4d0*cMZ**4d0*   &
                  coupl(nGC_103)**2d0 - cMZ**4d0*coupl(nGC_104)**2d0 - cMZ**4d0&
                  *coupl(nGC_105)**2d0 + 2d0*cMZ**4d0*coupl(nGC_97)*coupl(     &
                  nGC_98) - 2d0*cMZ**4d0*coupl(nGC_98)**2d0 - 8d0*cMZ**2d0*    &
                  coupl(nGC_102)**2d0*rMW**2d0 + 16d0*cMZ**2d0*coupl(nGC_102)* &
                  coupl(nGC_103)*rMW**2d0 - 8d0*cMZ**2d0*coupl(nGC_103)**2d0*  &
                  rMW**2d0 + 2d0*cMZ**2d0*coupl(nGC_104)**2d0*rMW**2d0 + 2d0*  &
                  cMZ**2d0*coupl(nGC_105)**2d0*rMW**2d0 - 4d0*cMZ**2d0*coupl(  &
                  nGC_97)*coupl(nGC_98)*rMW**2d0 + 4d0*cMZ**2d0*coupl(nGC_98)**&
                  2d0*rMW**2d0 - 20d0*coupl(nGC_102)**2d0*rMW**4d0 + 40d0*coupl&
                  (nGC_102)*coupl(nGC_103)*rMW**4d0 - 20d0*coupl(nGC_103)**2d0*&
                  rMW**4d0 - coupl(nGC_104)**2d0*rMW**4d0 - coupl(nGC_105)**2d0&
                  *rMW**4d0 + 12d0*coupl(nGC_156)*coupl(nGC_159)*rMW**2d0 +    &
                  12d0*coupl(nGC_172)**2d0*rMW**2d0 + 2d0*coupl(nGC_97)*coupl( &
                  nGC_98)*rMW**4d0 - 2d0*coupl(nGC_98)**2d0*rMW**4d0)/(12d0*rMW&
                  **2d0) + Ten608*(8d0*cMW**4d0*coupl(nGC_3)**2d0 - 8d0*cMW**  &
                  4d0*coupl(nGC_3)*coupl(nGC_4) - cMW**4d0*coupl(nGC_5)**2d0 - &
                  cMW**4d0*coupl(nGC_6)**2d0 - 16d0*cMW**2d0*coupl(nGC_3)**2d0*&
                  rMW**2d0 + 16d0*cMW**2d0*coupl(nGC_3)*coupl(nGC_4)*rMW**2d0  &
                   + 2d0*cMW**2d0*coupl(nGC_5)**2d0*rMW**2d0 + 2d0*cMW**2d0*   &
                  coupl(nGC_6)**2d0*rMW**2d0 + 12d0*coupl(nGC_168)**2d0*rMW**  &
                  2d0 - 40d0*coupl(nGC_3)**2d0*rMW**4d0 + 40d0*coupl(nGC_3)*   &
                  coupl(nGC_4)*rMW**4d0 - coupl(nGC_5)**2d0*rMW**4d0 - coupl(  &
                  nGC_6)**2d0*rMW**4d0)/(12d0*rMW**2d0) + Ten609*coupl(nGC_99  &
                  )**2d0*(-cME**4d0 - cME**2d0*rMW**2d0 + 2d0*rMW**4d0)/(3d0*  &
                  rMW**2d0) + Ten610*coupl(nGC_99)**2d0*(-cMM**4d0 - cMM**2d0* &
                  rMW**2d0 + 2d0*rMW**4d0)/(3d0*rMW**2d0) + Ten611*coupl(nGC_99&
                  )**2d0*(-cMTA**4d0 - cMTA**2d0*rMW**2d0 + 2d0*rMW**4d0)/(3d0*&
                  rMW**2d0) + Ten615*(-cMHL**4d0*coupl(nGC_100)*coupl(nGC_101  &
                  ) + cMHL**4d0*coupl(nGC_101)**2d0 + 2d0*cMHL**2d0*cMW**2d0*  &
                  coupl(nGC_100)*coupl(nGC_101) - 2d0*cMHL**2d0*cMW**2d0*coupl(&
                  nGC_101)**2d0 + 2d0*cMHL**2d0*coupl(nGC_100)*coupl(nGC_101)* &
                  rMW**2d0 - 2d0*cMHL**2d0*coupl(nGC_101)**2d0*rMW**2d0 - cMW**&
                  4d0*coupl(nGC_100)*coupl(nGC_101) + cMW**4d0*coupl(nGC_101)**&
                  2d0 + 2d0*cMW**2d0*coupl(nGC_100)*coupl(nGC_101)*rMW**2d0 -  &
                  2d0*cMW**2d0*coupl(nGC_101)**2d0*rMW**2d0 - coupl(nGC_100)*  &
                  coupl(nGC_101)*rMW**4d0 + coupl(nGC_101)**2d0*rMW**4d0 + 6d0*&
                  coupl(nGC_162)**2d0*rMW**2d0)/(6d0*rMW**2d0) + Ten616*(-cMHH &
                  **4d0*coupl(nGC_117)*coupl(nGC_118) + cMHH**4d0*coupl(nGC_118&
                  )**2d0 + 2d0*cMHH**2d0*cMW**2d0*coupl(nGC_117)*coupl(nGC_118 &
                  ) - 2d0*cMHH**2d0*cMW**2d0*coupl(nGC_118)**2d0 + 2d0*cMHH**  &
                  2d0*coupl(nGC_117)*coupl(nGC_118)*rMW**2d0 - 2d0*cMHH**2d0*  &
                  coupl(nGC_118)**2d0*rMW**2d0 - cMW**4d0*coupl(nGC_117)*coupl(&
                  nGC_118) + cMW**4d0*coupl(nGC_118)**2d0 + 2d0*cMW**2d0*coupl(&
                  nGC_117)*coupl(nGC_118)*rMW**2d0 - 2d0*cMW**2d0*coupl(nGC_118&
                  )**2d0*rMW**2d0 - coupl(nGC_117)*coupl(nGC_118)*rMW**4d0 +   &
                  coupl(nGC_118)**2d0*rMW**4d0 + 6d0*coupl(nGC_165)**2d0*rMW** &
                  2d0)/(6d0*rMW**2d0) + pi**2d0*(-2d0*Nc*coupl(nGC_99)**2d0/(  &
                  3d0*pi**2d0) - coupl(nGC_100)*coupl(nGC_101)/(9d0*pi**2d0) + &
                  coupl(nGC_101)**2d0/(9d0*pi**2d0) + coupl(nGC_102)**2d0/(18d0&
                  *pi**2d0) - coupl(nGC_102)*coupl(nGC_103)/(9d0*pi**2d0) +    &
                  coupl(nGC_103)**2d0/(18d0*pi**2d0) - coupl(nGC_104)**2d0/(   &
                  18d0*pi**2d0) - coupl(nGC_105)**2d0/(18d0*pi**2d0) - coupl(  &
                  nGC_117)*coupl(nGC_118)/(9d0*pi**2d0) + coupl(nGC_118)**2d0/(&
                  9d0*pi**2d0) + coupl(nGC_3)**2d0/(9d0*pi**2d0) - coupl(nGC_3 &
                  )*coupl(nGC_4)/(9d0*pi**2d0) - coupl(nGC_5)**2d0/(18d0*pi**  &
                  2d0) - coupl(nGC_6)**2d0/(18d0*pi**2d0) + coupl(nGC_97)*coupl&
                  (nGC_98)/(9d0*pi**2d0) - coupl(nGC_98)**2d0/(9d0*pi**2d0) -  &
                  2d0*coupl(nGC_99)**2d0/(3d0*pi**2d0)))/(16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dZWMinus_QED2 = cone*real(dZWMinus_QED2,kind=dp)
    end if 
end subroutine set_ctparameter141
end module ctparameter141
