!******************************************************************************!
!                                                                              !
!    ctparameter145.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2020 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter145.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 27.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2020-07-29 18:14             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter145
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter145()
  if (dZgs_QCD2_scheme .eq. 2) then
    DeltaUV = DeltaUV + log(muUV**2/muMS**2)
    dZgs_QCD2 = (DeltaUV*coupl(nGC_19)*(cima*Nc*coupl(nGC_17)**2d0 + 40d0*cima*&
                Nc*coupl(nGC_18)**2d0 - 12d0*Nc*coupl(nGC_18)*coupl(nGC_19) +  &
                12d0*cima*Nc*coupl(nGC_19)**2d0 + 32d0*cima*coupl(nGC_19)**2d0 &
                )/(24d0*gs) + cima*Ten392*coupl(nGC_19)**3d0/(3d0*gs) + cima*  &
                Ten393*coupl(nGC_19)**3d0/(3d0*gs))/(16d0*pi**2d0)
    dZgs_QCD2 = cone*real(dZgs_QCD2,kind=dp)
    DeltaUV = DeltaUV - log(muUV**2/muMS**2)
  end if 
end subroutine set_ctparameter145
end module ctparameter145
