!******************************************************************************!
!                                                                              !
!    ctparameter148.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2020 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter148.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 27.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2020-07-29 18:14             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter148
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter148()
  dalZ_QED2 = (16d0*pi*Nc*Ten393*aEW*(2d0*MB**2d0 + rMZ**2d0)/(27d0*rMZ**2d0   &
              ) + 64d0*pi*Nc*Ten394*aEW*(2d0*MC**2d0 + rMZ**2d0)/(27d0*rMZ**2d0&
              ) + 64d0*pi*Nc*Ten521*aEW*(-2d0*MU**2d0 - rMZ**2d0)/(27d0*rMZ**  &
              2d0) + 64d0*pi*Nc*Ten522*aEW*(-2d0*MC**2d0 - rMZ**2d0)/(27d0*rMZ &
              **2d0) + 16d0*pi*Nc*Ten524*aEW*(-2d0*MD**2d0 - rMZ**2d0)/(27d0*  &
              rMZ**2d0) + 16d0*pi*Nc*Ten525*aEW*(-2d0*MS**2d0 - rMZ**2d0)/(27d0&
              *rMZ**2d0) + 16d0*pi*Nc*Ten526*aEW*(-2d0*MB**2d0 - rMZ**2d0)/(   &
              27d0*rMZ**2d0) + 16d0*pi*Nc*Ten634*aEW*(2d0*MD**2d0 + rMZ**2d0)/(&
              27d0*rMZ**2d0) + 16d0*pi*Nc*Ten635*aEW*(2d0*MS**2d0 + rMZ**2d0)/(&
              27d0*rMZ**2d0) + 64d0*pi*Nc*Ten636*aEW*(2d0*MU**2d0 + rMZ**2d0)/(&
              27d0*rMZ**2d0) + 16d0*pi*Ten518*aEW*(-2d0*ME**2d0 - rMZ**2d0)/(  &
              3d0*rMZ**2d0) + 16d0*pi*Ten519*aEW*(-2d0*MM**2d0 - rMZ**2d0)/(3d0&
              *rMZ**2d0) + 16d0*pi*Ten520*aEW*(-2d0*MTA**2d0 - rMZ**2d0)/(3d0* &
              rMZ**2d0) + 16d0*pi*Ten631*aEW*(2d0*ME**2d0 + rMZ**2d0)/(3d0*rMZ &
              **2d0) + 16d0*pi*Ten632*aEW*(2d0*MM**2d0 + rMZ**2d0)/(3d0*rMZ**  &
              2d0) + 16d0*pi*Ten633*aEW*(2d0*MTA**2d0 + rMZ**2d0)/(3d0*rMZ**2d0&
              ) + pi**2d0*(176d0*Nc*aEW/(81d0*pi) + 16d0*aEW/(3d0*pi)))/(16d0* &
              pi**2d0)
  dalZ_QED2 = cone*real(dalZ_QED2,kind=dp)
end subroutine set_ctparameter148
end module ctparameter148
