!******************************************************************************!
!                                                                              !
!    ctparameter157.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2020 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter157.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 27.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2020-07-29 18:14             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter157
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter157()
  DeltaUV = DeltaUV + log(muUV**2/muMS_BSM**2)
  dMW2_MS_BSM_QED2 = DeltaUV*(Nc*cMB**2d0*coupl(nGC_99)**2d0 + Nc*cMC**2d0*    &
                     coupl(nGC_99)**2d0 + Nc*cMD**2d0*coupl(nGC_99)**2d0 + Nc* &
                     cMS**2d0*coupl(nGC_99)**2d0 + Nc*cMT**2d0*coupl(nGC_99)** &
                     2d0 + Nc*cMU**2d0*coupl(nGC_99)**2d0 - 2d0*Nc*cMW**2d0*   &
                     coupl(nGC_99)**2d0 + cME**2d0*coupl(nGC_99)**2d0 - cMHH** &
                     2d0*coupl(nGC_117)*coupl(nGC_118)/2d0 + cMHH**2d0*coupl(  &
                     nGC_118)**2d0/2d0 - cima*cMHH**2d0*coupl(nGC_96)/2d0 -    &
                     cMHL**2d0*coupl(nGC_100)*coupl(nGC_101)/2d0 + cMHL**2d0*  &
                     coupl(nGC_101)**2d0/2d0 - cima*cMHL**2d0*coupl(nGC_82)/2d0&
                      + cMM**2d0*coupl(nGC_99)**2d0 + cMTA**2d0*coupl(nGC_99)**&
                     2d0 - cMW**2d0*coupl(nGC_100)*coupl(nGC_101)/3d0 + cMW**  &
                     2d0*coupl(nGC_101)**2d0/3d0 + 8d0*cMW**2d0*coupl(nGC_102  &
                     )**2d0/3d0 - 16d0*cMW**2d0*coupl(nGC_102)*coupl(nGC_103)/ &
                     3d0 + 8d0*cMW**2d0*coupl(nGC_103)**2d0/3d0 - cMW**2d0*    &
                     coupl(nGC_104)**2d0/6d0 - cMW**2d0*coupl(nGC_105)**2d0/6d0&
                      - cMW**2d0*coupl(nGC_117)*coupl(nGC_118)/3d0 + cMW**2d0* &
                     coupl(nGC_118)**2d0/3d0 + 16d0*cMW**2d0*coupl(nGC_3)**2d0/&
                     3d0 - 16d0*cMW**2d0*coupl(nGC_3)*coupl(nGC_4)/3d0 - cMW** &
                     2d0*coupl(nGC_5)**2d0/6d0 - cMW**2d0*coupl(nGC_6)**2d0/6d0&
                      - cima*cMW**2d0*coupl(nGC_71) + 4d0*cima*cMW**2d0*coupl( &
                     nGC_72) + 2d0*cima*cMW**2d0*coupl(nGC_73) + cima*cMW**2d0*&
                     coupl(nGC_74) + cima*cMW**2d0*coupl(nGC_75) + cMW**2d0*   &
                     coupl(nGC_97)*coupl(nGC_98)/3d0 - cMW**2d0*coupl(nGC_98)**&
                     2d0/3d0 - 2d0*cMW**2d0*coupl(nGC_99)**2d0 + cMZ**2d0*coupl&
                     (nGC_102)**2d0 - 2d0*cMZ**2d0*coupl(nGC_102)*coupl(nGC_103&
                     ) + cMZ**2d0*coupl(nGC_103)**2d0 - cMZ**2d0*coupl(nGC_104 &
                     )**2d0/4d0 - cMZ**2d0*coupl(nGC_105)**2d0/4d0 - cima*cMZ**&
                     2d0*coupl(nGC_71)/2d0 + 2d0*cima*cMZ**2d0*coupl(nGC_85) + &
                     cima*cMZ**2d0*coupl(nGC_86) + cMZ**2d0*coupl(nGC_97)*coupl&
                     (nGC_98)/2d0 - cMZ**2d0*coupl(nGC_98)**2d0/2d0 - coupl(   &
                     nGC_156)*coupl(nGC_159) - coupl(nGC_162)**2d0 - coupl(    &
                     nGC_165)**2d0 - coupl(nGC_168)**2d0 - coupl(nGC_172)**2d0 &
                     )/(16d0*pi**2d0) - cima*coupl(nGC_162)*dtHl_MS_BSM_QED1/  &
                     cMHL**2d0 - cima*coupl(nGC_165)*dtHh_MS_BSM_QED1/cMHH**2d0
    if (.not. complex_mass_scheme) then
      dMW2_MS_BSM_QED2 = cone*real(dMW2_MS_BSM_QED2,kind=dp)
    end if 
  DeltaUV = DeltaUV - log(muUV**2/muMS_BSM**2)
end subroutine set_ctparameter157
end module ctparameter157
