!******************************************************************************!
!                                                                              !
!    ctparameter2.f90                                                          !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2020 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter2.f90                               |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 27.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2020-07-29 18:14             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter2
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter2()
  dZHl_QED2 = (-4d0*Nc*Ten36*coupl(nGC_227)**2d0 - 4d0*Nc*Ten38*coupl(nGC_227  &
              )**2d0 - 4d0*Nc*Ten39*coupl(nGC_199)**2d0 - 4d0*Nc*Ten41*coupl(  &
              nGC_199)**2d0 - 4d0*Nc*Ten42*coupl(nGC_219)**2d0 - 4d0*Nc*Ten44* &
              coupl(nGC_219)**2d0 - 4d0*Nc*Ten45*coupl(nGC_203)**2d0 - 4d0*Nc* &
              Ten47*coupl(nGC_203)**2d0 - 4d0*Nc*Ten48*coupl(nGC_215)**2d0 -   &
              4d0*Nc*Ten50*coupl(nGC_215)**2d0 - 4d0*Nc*Ten51*coupl(nGC_195)** &
              2d0 - 4d0*Nc*Ten53*coupl(nGC_195)**2d0 - 4d0*Nc*Ten59*cMU**2d0*  &
              coupl(nGC_227)**2d0 - 4d0*Nc*Ten60*cMC**2d0*coupl(nGC_199)**2d0  &
               - 4d0*Nc*Ten61*cMT**2d0*coupl(nGC_219)**2d0 - 4d0*Nc*Ten62*cMD**&
              2d0*coupl(nGC_203)**2d0 - 4d0*Nc*Ten63*cMS**2d0*coupl(nGC_215)** &
              2d0 - 4d0*Nc*Ten64*cMB**2d0*coupl(nGC_195)**2d0 - 4d0*Nc*Ten77*  &
              coupl(nGC_227)**2d0*rMHL**2d0 - 16d0*Nc*Ten78*coupl(nGC_227)**2d0&
               - 4d0*Nc*Ten79*coupl(nGC_227)**2d0*rMHL**2d0 - 4d0*Nc*Ten80*    &
              coupl(nGC_199)**2d0*rMHL**2d0 - 16d0*Nc*Ten81*coupl(nGC_199)**2d0&
               - 4d0*Nc*Ten82*coupl(nGC_199)**2d0*rMHL**2d0 - 4d0*Nc*Ten83*    &
              coupl(nGC_219)**2d0*rMHL**2d0 - 16d0*Nc*Ten84*coupl(nGC_219)**2d0&
               - 4d0*Nc*Ten85*coupl(nGC_219)**2d0*rMHL**2d0 - 4d0*Nc*Ten86*    &
              coupl(nGC_203)**2d0*rMHL**2d0 - 16d0*Nc*Ten87*coupl(nGC_203)**2d0&
               - 4d0*Nc*Ten88*coupl(nGC_203)**2d0*rMHL**2d0 - 4d0*Nc*Ten89*    &
              coupl(nGC_215)**2d0*rMHL**2d0 - 16d0*Nc*Ten90*coupl(nGC_215)**2d0&
               - 4d0*Nc*Ten91*coupl(nGC_215)**2d0*rMHL**2d0 - 4d0*Nc*Ten92*    &
              coupl(nGC_195)**2d0*rMHL**2d0 - 16d0*Nc*Ten93*coupl(nGC_195)**2d0&
               - 4d0*Nc*Ten94*coupl(nGC_195)**2d0*rMHL**2d0 + 4d0*Ten13*coupl( &
              nGC_130)**2d0 + 8d0*Ten14*coupl(nGC_100)*coupl(nGC_101) - 4d0*   &
              Ten27*coupl(nGC_207)**2d0 - 4d0*Ten29*coupl(nGC_207)**2d0 - 4d0* &
              Ten30*coupl(nGC_211)**2d0 - 4d0*Ten32*coupl(nGC_211)**2d0 - 4d0* &
              Ten33*coupl(nGC_223)**2d0 - 4d0*Ten35*coupl(nGC_223)**2d0 + Ten54&
              *(4d0*coupl(nGC_130)**2d0*rMHL**2d0 - coupl(nGC_174)**2d0 + 2d0* &
              coupl(nGC_175)**2d0 + coupl(nGC_188)**2d0/2d0) + Ten55*(8d0*coupl&
              (nGC_100)*coupl(nGC_101)*rMHL**2d0 - 2d0*coupl(nGC_161)**2d0 +   &
              4d0*coupl(nGC_162)**2d0 + coupl(nGC_187)**2d0) - 4d0*Ten56*cME** &
              2d0*coupl(nGC_207)**2d0 - 4d0*Ten57*cMM**2d0*coupl(nGC_211)**2d0 &
               - 4d0*Ten58*cMTA**2d0*coupl(nGC_223)**2d0 + Ten65*coupl(nGC_191 &
              )**2d0/2d0 + Ten66*coupl(nGC_189)**2d0 + Ten67*coupl(nGC_192)**  &
              2d0/2d0 - 4d0*Ten68*coupl(nGC_207)**2d0*rMHL**2d0 - 16d0*Ten69*  &
              coupl(nGC_207)**2d0 - 4d0*Ten70*coupl(nGC_207)**2d0*rMHL**2d0 -  &
              4d0*Ten71*coupl(nGC_211)**2d0*rMHL**2d0 - 16d0*Ten72*coupl(      &
              nGC_211)**2d0 - 4d0*Ten73*coupl(nGC_211)**2d0*rMHL**2d0 - 4d0*   &
              Ten74*coupl(nGC_223)**2d0*rMHL**2d0 - 16d0*Ten75*coupl(nGC_223)**&
              2d0 - 4d0*Ten76*coupl(nGC_223)**2d0*rMHL**2d0 + pi**2d0*(-2d0*Nc*&
              coupl(nGC_195)**2d0/(3d0*pi**2d0) - 2d0*Nc*coupl(nGC_199)**2d0/( &
              3d0*pi**2d0) - 2d0*Nc*coupl(nGC_203)**2d0/(3d0*pi**2d0) - 2d0*Nc*&
              coupl(nGC_215)**2d0/(3d0*pi**2d0) - 2d0*Nc*coupl(nGC_219)**2d0/( &
              3d0*pi**2d0) - 2d0*Nc*coupl(nGC_227)**2d0/(3d0*pi**2d0) - 2d0*   &
              coupl(nGC_207)**2d0/(3d0*pi**2d0) - 2d0*coupl(nGC_211)**2d0/(3d0*&
              pi**2d0) - 2d0*coupl(nGC_223)**2d0/(3d0*pi**2d0)))/(16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dZHl_QED2 = cone*real(dZHl_QED2,kind=dp)
    end if 
end subroutine set_ctparameter2
end module ctparameter2
