!******************************************************************************!
!                                                                              !
!    ctparameter30.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2020 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter30.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 27.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2020-07-29 18:14             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter30
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter30()
  if (dZdL_QED2_scheme .eq. 0) then
    dZdL_QED2 = (2d0*Ten244*coupl(nGC_1)**2d0 + 2d0*Ten245*coupl(nGC_1)**2d0 + &
                Ten250*(-2d0*coupl(nGC_125)**2d0 + coupl(nGC_202)**2d0) -      &
                Ten251*coupl(nGC_204)**2d0 - Ten252*coupl(nGC_203)**2d0 +      &
                Ten253*(-coupl(nGC_225)**2d0 - 2d0*coupl(nGC_99)**2d0) + 2d0*  &
                Ten254*cMD**2d0*(-4d0*coupl(nGC_122)*coupl(nGC_125) + coupl(   &
                nGC_202)**2d0) + 2d0*Ten255*cMD**2d0*coupl(nGC_204)**2d0 + 2d0*&
                Ten256*cMD**2d0*coupl(nGC_203)**2d0 - 4d0*Ten257*cMD**2d0*coupl&
                (nGC_1)**2d0 + 2d0*Ten258*cMD*cMU*coupl(nGC_201)*coupl(nGC_225 &
                ) + 2d0*Ten259*cMD**2d0*(-coupl(nGC_122)**2d0 - coupl(nGC_125  &
                )**2d0 + coupl(nGC_202)**2d0) - 2d0*Ten260*cMD**2d0*coupl(     &
                nGC_204)**2d0 - 2d0*Ten261*cMD**2d0*coupl(nGC_203)**2d0 + 4d0* &
                Ten262*cMD**2d0*coupl(nGC_1)**2d0 + Ten263*cMD**2d0*(-coupl(   &
                nGC_201)**2d0 - coupl(nGC_225)**2d0 - 2d0*coupl(nGC_99)**2d0   &
                ) + pi**2d0*(-coupl(nGC_1)**2d0/pi**2d0 - coupl(nGC_125)**2d0/ &
                pi**2d0 - coupl(nGC_99)**2d0/pi**2d0))/(16d0*pi**2d0)
    dZdL_QED2 = cone*real(dZdL_QED2,kind=dp)
  end if 
end subroutine set_ctparameter30
end module ctparameter30
