!******************************************************************************!
!                                                                              !
!    ctparameter48.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2020 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter48.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 27.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2020-07-29 18:14             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter48
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter48()
  if (dZcL_QED2_scheme .eq. 0) then
    dZcL_QED2 = (2d0*Ten266*coupl(nGC_2)**2d0 + 2d0*Ten267*coupl(nGC_2)**2d0 + &
                Ten272*(-2d0*coupl(nGC_126)**2d0 + coupl(nGC_198)**2d0) -      &
                Ten273*coupl(nGC_200)**2d0 - Ten274*coupl(nGC_199)**2d0 +      &
                Ten275*(-coupl(nGC_213)**2d0 - 2d0*coupl(nGC_99)**2d0) + 2d0*  &
                Ten276*cMC*rMC*(-4d0*coupl(nGC_123)*coupl(nGC_126) + coupl(    &
                nGC_198)**2d0) + 2d0*Ten277*cMC*coupl(nGC_200)**2d0*rMC + 2d0* &
                Ten278*cMC*coupl(nGC_199)**2d0*rMC + 4d0*Ten279*coupl(nGC_2)** &
                2d0*rMC*(-2d0*cMC + rMC) + 2d0*Ten280*cMS*coupl(nGC_197)*coupl(&
                nGC_213)*rMC + 2d0*Ten281*rMC**2d0*(-coupl(nGC_123)**2d0 -     &
                coupl(nGC_126)**2d0 + coupl(nGC_198)**2d0) - 2d0*Ten282*coupl( &
                nGC_200)**2d0*rMC**2d0 - 2d0*Ten283*coupl(nGC_199)**2d0*rMC**  &
                2d0 + 4d0*Ten284*coupl(nGC_2)**2d0*rMC**2d0 + Ten285*rMC**2d0  &
                *(-coupl(nGC_197)**2d0 - coupl(nGC_213)**2d0 - 2d0*coupl(nGC_99&
                )**2d0) + pi**2d0*(-coupl(nGC_126)**2d0/pi**2d0 - coupl(nGC_2  &
                )**2d0/pi**2d0 - coupl(nGC_99)**2d0/pi**2d0))/(16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dZcL_QED2 = cone*real(dZcL_QED2,kind=dp)
    end if 
  end if 
end subroutine set_ctparameter48
end module ctparameter48
