!******************************************************************************!
!                                                                              !
!    ctparameter7.f90                                                          !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2020 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter7.f90                               |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 27.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2020-07-29 18:14             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter7
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter7()
  dZHh_QED2 = (-4d0*Nc*Ten118*coupl(nGC_228)**2d0 - 4d0*Nc*Ten120*coupl(nGC_228&
              )**2d0 - 4d0*Nc*Ten121*coupl(nGC_200)**2d0 - 4d0*Nc*Ten123*coupl(&
              nGC_200)**2d0 - 4d0*Nc*Ten124*coupl(nGC_220)**2d0 - 4d0*Nc*Ten126&
              *coupl(nGC_220)**2d0 - 4d0*Nc*Ten127*coupl(nGC_204)**2d0 - 4d0*Nc&
              *Ten129*coupl(nGC_204)**2d0 - 4d0*Nc*Ten130*coupl(nGC_216)**2d0  &
               - 4d0*Nc*Ten132*coupl(nGC_216)**2d0 - 4d0*Nc*Ten133*coupl(      &
              nGC_196)**2d0 - 4d0*Nc*Ten135*coupl(nGC_196)**2d0 - 4d0*Nc*Ten141&
              *cMU**2d0*coupl(nGC_228)**2d0 - 4d0*Nc*Ten142*cMC**2d0*coupl(    &
              nGC_200)**2d0 - 4d0*Nc*Ten143*cMT**2d0*coupl(nGC_220)**2d0 - 4d0*&
              Nc*Ten144*cMD**2d0*coupl(nGC_204)**2d0 - 4d0*Nc*Ten145*cMS**2d0* &
              coupl(nGC_216)**2d0 - 4d0*Nc*Ten146*cMB**2d0*coupl(nGC_196)**2d0 &
               - 4d0*Nc*Ten159*coupl(nGC_228)**2d0*rMHH**2d0 - 16d0*Nc*Ten160* &
              coupl(nGC_228)**2d0 - 4d0*Nc*Ten161*coupl(nGC_228)**2d0*rMHH**2d0&
               - 4d0*Nc*Ten162*coupl(nGC_200)**2d0*rMHH**2d0 - 16d0*Nc*Ten163* &
              coupl(nGC_200)**2d0 - 4d0*Nc*Ten164*coupl(nGC_200)**2d0*rMHH**2d0&
               - 4d0*Nc*Ten165*coupl(nGC_220)**2d0*rMHH**2d0 - 16d0*Nc*Ten166* &
              coupl(nGC_220)**2d0 - 4d0*Nc*Ten167*coupl(nGC_220)**2d0*rMHH**2d0&
               - 4d0*Nc*Ten168*coupl(nGC_204)**2d0*rMHH**2d0 - 16d0*Nc*Ten169* &
              coupl(nGC_204)**2d0 - 4d0*Nc*Ten170*coupl(nGC_204)**2d0*rMHH**2d0&
               - 4d0*Nc*Ten171*coupl(nGC_216)**2d0*rMHH**2d0 - 16d0*Nc*Ten172* &
              coupl(nGC_216)**2d0 - 4d0*Nc*Ten173*coupl(nGC_216)**2d0*rMHH**2d0&
               - 4d0*Nc*Ten174*coupl(nGC_196)**2d0*rMHH**2d0 - 16d0*Nc*Ten175* &
              coupl(nGC_196)**2d0 - 4d0*Nc*Ten176*coupl(nGC_196)**2d0*rMHH**2d0&
               - 4d0*Ten109*coupl(nGC_208)**2d0 - 4d0*Ten111*coupl(nGC_208)**  &
              2d0 - 4d0*Ten112*coupl(nGC_212)**2d0 - 4d0*Ten114*coupl(nGC_212  &
              )**2d0 - 4d0*Ten115*coupl(nGC_224)**2d0 - 4d0*Ten117*coupl(      &
              nGC_224)**2d0 + Ten136*(4d0*coupl(nGC_135)**2d0*rMHH**2d0 - coupl&
              (nGC_177)**2d0 + 2d0*coupl(nGC_178)**2d0 + coupl(nGC_183)**2d0/  &
              2d0) + Ten137*(8d0*coupl(nGC_117)*coupl(nGC_118)*rMHH**2d0 - 2d0*&
              coupl(nGC_164)**2d0 + 4d0*coupl(nGC_165)**2d0 + coupl(nGC_182)** &
              2d0) - 4d0*Ten138*cME**2d0*coupl(nGC_208)**2d0 - 4d0*Ten139*cMM**&
              2d0*coupl(nGC_212)**2d0 - 4d0*Ten140*cMTA**2d0*coupl(nGC_224)**  &
              2d0 + Ten147*coupl(nGC_189)**2d0/2d0 + Ten148*coupl(nGC_192)**2d0&
               + Ten149*coupl(nGC_190)**2d0/2d0 - 4d0*Ten150*coupl(nGC_208)**  &
              2d0*rMHH**2d0 - 16d0*Ten151*coupl(nGC_208)**2d0 - 4d0*Ten152*    &
              coupl(nGC_208)**2d0*rMHH**2d0 - 4d0*Ten153*coupl(nGC_212)**2d0*  &
              rMHH**2d0 - 16d0*Ten154*coupl(nGC_212)**2d0 - 4d0*Ten155*coupl(  &
              nGC_212)**2d0*rMHH**2d0 - 4d0*Ten156*coupl(nGC_224)**2d0*rMHH**  &
              2d0 - 16d0*Ten157*coupl(nGC_224)**2d0 - 4d0*Ten158*coupl(nGC_224 &
              )**2d0*rMHH**2d0 + 4d0*Ten95*coupl(nGC_135)**2d0 + 8d0*Ten96*    &
              coupl(nGC_117)*coupl(nGC_118) + pi**2d0*(-2d0*Nc*coupl(nGC_196)**&
              2d0/(3d0*pi**2d0) - 2d0*Nc*coupl(nGC_200)**2d0/(3d0*pi**2d0) -   &
              2d0*Nc*coupl(nGC_204)**2d0/(3d0*pi**2d0) - 2d0*Nc*coupl(nGC_216  &
              )**2d0/(3d0*pi**2d0) - 2d0*Nc*coupl(nGC_220)**2d0/(3d0*pi**2d0   &
              ) - 2d0*Nc*coupl(nGC_228)**2d0/(3d0*pi**2d0) - 2d0*coupl(nGC_208 &
              )**2d0/(3d0*pi**2d0) - 2d0*coupl(nGC_212)**2d0/(3d0*pi**2d0) -   &
              2d0*coupl(nGC_224)**2d0/(3d0*pi**2d0)))/(16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dZHh_QED2 = cone*real(dZHh_QED2,kind=dp)
    end if 
end subroutine set_ctparameter7
end module ctparameter7
