!******************************************************************************!
!                                                                              !
!    ctparameter96.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2020 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter96.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 27.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2020-07-29 18:14             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter96
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter96()
  if (dZbL_QED2_scheme .eq. 0) then
    dZbL_QED2 = (2d0*Ten330*coupl(nGC_1)**2d0 + 2d0*Ten331*coupl(nGC_1)**2d0 + &
                Ten336*(-2d0*coupl(nGC_125)**2d0 + coupl(nGC_194)**2d0) -      &
                Ten337*coupl(nGC_196)**2d0 - Ten338*coupl(nGC_195)**2d0 +      &
                Ten339*(-coupl(nGC_217)**2d0 - 2d0*coupl(nGC_99)**2d0) + 2d0*  &
                Ten340*cMB*rMB*(-4d0*coupl(nGC_122)*coupl(nGC_125) + coupl(    &
                nGC_194)**2d0) + 2d0*Ten341*cMB*coupl(nGC_196)**2d0*rMB + 2d0* &
                Ten342*cMB*coupl(nGC_195)**2d0*rMB + 4d0*Ten343*coupl(nGC_1)** &
                2d0*rMB*(-2d0*cMB + rMB) + 2d0*Ten344*cMT*coupl(nGC_193)*coupl(&
                nGC_217)*rMB + 2d0*Ten345*rMB**2d0*(-coupl(nGC_122)**2d0 -     &
                coupl(nGC_125)**2d0 + coupl(nGC_194)**2d0) - 2d0*Ten346*coupl( &
                nGC_196)**2d0*rMB**2d0 - 2d0*Ten347*coupl(nGC_195)**2d0*rMB**  &
                2d0 + 4d0*Ten348*coupl(nGC_1)**2d0*rMB**2d0 + Ten349*rMB**2d0  &
                *(-coupl(nGC_193)**2d0 - coupl(nGC_217)**2d0 - 2d0*coupl(nGC_99&
                )**2d0) + pi**2d0*(-coupl(nGC_1)**2d0/pi**2d0 - coupl(nGC_125  &
                )**2d0/pi**2d0 - coupl(nGC_99)**2d0/pi**2d0))/(16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dZbL_QED2 = cone*real(dZbL_QED2,kind=dp)
    end if 
  end if 
end subroutine set_ctparameter96
end module ctparameter96
